-6-
6.      How to run SEPRAN on a UNIX computer
        ------------------------------------

In this document we assume that SEPRAN is installed on your computer.
Furthermore we assume that you have the sepran/bin directory added to
your path. Contact your SEPRAN installation officer for the name of
the sepran/bin directory.

To run SEPRAN jobs we distinguish between various possibilities.

1.  You want to run simple SEPRAN jobs using the SEPRAN programs
    SEPMESH, SEPCOMP and SEPPOST as described in the SEPRAN manuals,
    and you do not need any function subroutines.

    In this case it is sufficient to create input files for these programs
    and to run the programs as follows:

    sepmesh inputfile

            Inputfile must contain the data for the mesh (standard SEPRAN
            input).
            The mesh is written in the file "meshoutput" in binary form.
            The name meshoutput is defined in the sepran.env file defined
            globally. You may use a local sepran.env file in order to
            change this name.
            Depending on the installation standard output goes the screen,
            or to a file defined in the sepran.env file.
            If the output goes to the screen, you may redirect the output
            to a file in the following way:

            sepmesh inputfile > outputfile

            "meshoutput" can be read in your main program by subroutine
            meshrd (SEPSTR)

            If the standard input file contains plot commands, sepmesh
            creates a set of plotfiles named sepplot.001 sepplot.002 etc.
                        These files may be plotted by the program sepdisplay

    sepcomp inputfile

            Inputfile must contain the data for the main program sepcomp
            (standard SEPRAN input).
            Furthermore sepcomp reads the file "meshoutput" created by sepmesh
            sepcomp creates the files "sepcomp.inf" and "sepcomp.out" to be
            used by seppost. The actual names of "sepcomp.inf" and "sepcomp.out"
            are defined in the sepran.env file.

            Depending on the installation standard output goes the screen,
            or to a file defined in the sepran.env file.
            If the output goes to the screen, you may redirect the output
            to a file in the following way:

            sepcomp inputfile > outputfile

    seppost inputfile

            Inputfile must contain the data for the main program seppost
            (standard SEPRAN input).
            Furthermore seppost reads the files "meshoutput" created by sepmesh
            and "sepcomp.inf", "sepcomp.out" created by sepcomp.

            Depending on the installation standard output goes the screen,
            or to a file defined in the sepran.env file.
            If the output goes to the screen, you may redirect the output
            to a file in the following way:

            seppost inputfile > outputfile

            If the standard input file contains plot commands, seppost
            creates a set of plotfiles named sepplot.001 sepplot.002 etc.
                        These files may be plotted by the program sepdisplay
            Default names:        seppost.dat seppost.lis
            File1 must contain the data for seppost (standard SEPRAN input).


    sepdisplay is an interactive plot program. This program uses
         a menu structure and is also capable of creating HPGL files for a
         standard HPGL plotter or a Laserjet III printer. As alternative
         postcript files may be created.
         HPGL files created by SEPRAN get the names sephpgl.001, sephpgl.002
         sephpgl.003 etc., encapsulated postcript files get the names
         sepposc.xxx with xxx: 001, 002 etc.
         Each time sepdisplay is started the old files sephpgl.xxx or
         sepposc.xxx are removed.

    plotmesh is an interactive program to display a mesh created by sepmesh
         If you did not give the plot command in sepmesh, in which case 
         sepdisplay should be used, or if you want to see other pictures 
         plotmesh might be of help

    postsep is the interactive variant of seppost

    xsepplot is an alternative program for sepdisplay. xsepplot only runs
    under an X-environment. It uses the standard X-commands.
    xsepplot is an ad-hoc program, which will be incorporated in the
    standard SEPRAN software in the future. At this moment xsepplot is able
    to deal with one SEPRAN plot file only.

    Usage:   xsepplot  sepplot.xxx, with sepplot.xxx the SEPRAN file to
             be shown.
             Use the standard X-option to enlarge the window, the left
             button of the mouse for zooming, the right button of the mouse
             to get the original size and the middl button to leave
             xsepplot.


2.  You want to run simple SEPRAN jobs using the SEPRAN programs
    SEPMESH, SEPCOMP and SEPPOST as described in the SEPRAN manuals,
    but in this case you want to submit function subroutines, for example
    because you want to give boundary conditions as function of the place.
    Let us assume you want to run sepcomp provided with the extra function
    subroutine funcbc. The other main programs may be treated in exactly the
    same way.
    The process to be performed is the following:

    Create a local directory in which you want to run the job.
    Get the main program sepcomp.f by the command sepget:

        sepget sepcomp

    sepget creates the file sepcomp.f and uses a help file sepcomp.for
    which is deleted afterwards.
    Put the subroutine funcbc also in this directory (funcbc.f), as well
    as all input files. Now compile funcbc using the compile command:

       compile funcbc

    Next compile and link the main program sepcomp using seplink:

       seplink sepcomp

    This command creates a new local file sepcomp, including all .o
    files in the directory.
    To run sepcomp you have to give the command:

    sepcomp < inputfile

    where inputfile is the standard SEPRAN input file. Redirection of the
    output file is possible in the same way as before.


3.  You want to run your own SEPRAN main program. The procedure is as follows:
    create a main program say seplocal.f containing the subroutines you want
    to submit. It is advised to run this job in a local directory
    in order to prevent conflict with other programs and files.

    Next compile and link the main program seplocal using seplink:

       seplink seplocal

    This command creates a new file seplocal, including all .o
    files in the directory (if there are any).
    To run seplocal you have to give the command:

    seplocal < inputfile
    inputfile is the standard SEPRAN input file
    Depending on the installation standard output goes the screen,
    or to a file defined in the sepran.env file.
    If the output goes to the screen, you may redirect the output
    to a file in the following way:

       seplocal < inputfile > outputfile


    Debugging of seplocal is possible by using compiledbg instead of compile
    and sepdbg instead of seplink.
    To run seplocal in debug mode you have to consult the Fortran manuals of
    your computer.


The following list of standard commands is available for SEPRAN users:

sepmesh:     creates a SEPRAN mesh.
             Usage:  sepmesh file1
             See above

seplink:     Program to compile and link SEPRAN programs. 
             Usage: seplink file1 files
             file1 must be a file of the form file.f, for example potential.f
             After the call seplink potential, the executable file gets the 
             name: potential
             files must be files that must be compiled (aaa.f etc.)
             seplink links automatically all .o files in the directory

sepdbg:      See seplink, debug version

seplink1:    See seplink, the Navier-Stokes elements are not linked
             This command makes only sense if a license for Navsto is
             available. The linking process takes less time than with seplink.

sepdbg1:     See sepdbg, the Navier-Stokes elements are not linked


seppost:     SEPRAN postprogramming program, see above

sepcomp:     SEPRAN main program, see above

ccompile:    Compile a C-subroutine such that it can be used in
             combination with seplink(1)

compile:     Compile a FORTRAN subroutine such that it can be used in
             combination with seplink(1)

compiledbg:  Compile a FORTRAN subroutine such that it can be used in
             combination with sepdbg(1)


sepdisplay:  Plot SEPRAN file sepplot.xxx that has been made by SEPRAN plot
             subroutines (write version).
             Makes a plot at the plotter, display or a pc.

sepget:      Copies SEPRAN source to local directory.
             Usage sepget subroutine1 subroutine2 ....  (without .f)
             The files subroutine1.f subroutine2.f .... are placed in the local
             directory.

sepgetall:   Copy all SEPRAN source files with name *name*, where * means any
             set of arbitrary characters
             Usage:  sepgetall name
             Warning: sepgetall may get more subroutines than you want
             Use sepfindall to check which subroutines my be expected.

sepfind:     Give the place of a SEPRAN source file in the SEPRAN tree.
             Usage:  sepfind name, with name the name of the SEPRAN
             subroutine (with or without the extension .f)

sepfindall:  Give the place of a number of SEPRAN source file in the SEPRAN tree
             Usage:  sepfindall name.
             The place of all SEPRAN subroutines containing name as part of
             their name is printed.

sepdiff:     Compares source file in local directory with source file in
             SEPRAN source directory.
             Usage:  sepdiff subroutine  (without the extension .f)
             The UNIX command diff is executed for subroutine.f and the SEPRAN
             source subroutine subroutine.f

sepgrep:     Carries out a grep operation in all SEPRAN sources
             Usage:  sepgrep text

sepconv:     Convert SEPRAN files from binary to ASCII and vice-versa

sepvi:       Use the vi-editor to view a SEPRAN source file
             Usage: sepvi name, with name the name of the subroutine to be
             viewed

sepviall:    Combination of sepvi and the all variant as described earlier.

sepprint:    Print a SEPRAN source file
             Usage: sepprint name, with name the name of the subroutine to be
             printed

sepprintall: Combination of sepprint and the all variant as described earlier.


To use these commands it is necessary that ..../sepran/bin belongs to your
path. Here ... stands for the directory sepran is a subdirectory of.
Ask your local installation officer for the actual value of ...
