      subroutine erclmn ( namenw, timebefore )
! ====================================================================== &
!
!        programmer    Guus Segal
!        version  2.0  date 12-08-1999 Extra parameter timebefore
!        version  1.4  date 19-01-1999 include commons
!        version  1.3  date 26-12-1994 New commons cmessc and cmessg
!        version  1.2  date 23-06-1992 New common cmessg
!        version  1.1  date 13-12-1990 STOP after error
!        version  1.0  date 26-10-1990
!
!   copyright (c) 1990-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   subroutine ERCLMN does the final closing of a main SEPRAN subroutine
!   It is supposed that the subroutine has been opened with EROPEN
!   and that ERCLOS has not been called
!   ERCLMN performs the following tasks:
!   call the timing subroutine depending on the parameter ITIME
!   decrease all priorities of the arrays in IBUFFR
!   call ERCLOS, i.e. release the name of the main subroutine from name
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double precision timebefore
      character *(*) namenw

!     namenw        i   Name of calling subroutine
!     timebefore    i   Time at entrance of subroutine
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     INIPRI         Decrease priorities of arrays
!     INSTOP         SEPRAN stop subroutine
!     PRINTTIME      Print the CPU time at end of subroutine
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!   - &
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ====================================================================== &
!
      if ( itime.eq.1 ) call printtime ( namenw, timebefore )
      call inipri
      call erclos ( namenw )
      if ( ierror.ne.0 ) call instop
      end
