      subroutine erclos ( namelc )
! ====================================================================== &
!
!        programmer    Guus Segal
!        version  1.6  date 04-06-2007 Fortran 90
!        version  1.5  date 22-06-2001 Trace option
!        version  1.4  date 19-01-1999 include commons
!        version  1.3  date 26-12-1994 New commons cmessc and cmessg
!        version  1.2  date 21-06-1994 Adaptation of comment
!        version  1.1  date 23-06-1992 New common cmessg
!        version  1.0  date 05-02-1990
!
!   copyright (c) 1990-2007  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    removes the name of the local subroutine
!    from the array namsub in common cismessg/cismessc by reducing levsub
! **********************************************************************
!
!                       KEYWORDS
!
!     concatenate
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/cmesscf90'
      include 'SPcommon/cmessgf90'
      include 'SPcommon/cdebug_routsf90'

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      character (len=*) namelc

!     namelc   i    Name of local subroutine that must be comcatenated
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer lenglo

!     lenglo   Number of characters innamelc
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERRSUB  Error messages
! **********************************************************************
!
!                       I/O
!
!     none.
! **********************************************************************
!
!                       ERROR MESSAGES
!
!     1288   Name different from name in open subroutine
! **********************************************************************
!
!                       PSEUDO CODE
!
!     trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ====================================================================== &
!
!     --- determine text length

      lenglo = min(len(namelc),16)
      if ( namelc(1:lenglo)/=namsub(levsub)(1:lenglo) ) then

         chars(1) = namelc
         chars(2) = namsub(levsub)
         call errsub ( 1288, 0, 0, 2 )

      end if
      if ( trace ) then

!     --- Print the trace

         write(irefwr,100) levsub, namelc
100      format( 'in erclos: level = ', i6, '  name = ', a )

      end if
      levsub = levsub - 1

      end
