      subroutine ertrace
! ====================================================================== &
!
!        programmer    Guus Segal
!        version  1.1  date 15-11-2006 Remove trailing spaces
!        version  1.0  date 30-05-1999
!
!   copyright (c) 1999-2007  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Prints the trace back of calling subroutines
!
! **********************************************************************
!
!                       KEYWORDS
!
!     error_manipulation
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/cmesscf90'
      include 'SPcommon/cmessgf90'

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, nch

!     i              General loop variable
!     nch            Number of characters in a string
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
!     writes to the default output device.
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ====================================================================== &
!
      if ( levsub>1 ) then
         write(irefwr,100)
100      format(//' TRACEBACK of calling subroutines'// )
         do i = levsub, 1, -1
            nch = index(namsub(i),' ')-1  ! last non-blank
            if ( nch==-1 ) nch = len(namsub(i))
            write(irefwr,110) i,namsub(i)(1:nch)
110         format(10x,i2,': ',a)
         end do
      end if

      end
