
/* Global function declarations for the plotfile read routines : */

/* Fortran I/O and Sepran routines */
#ifdef UNDERSCORE
#   define initmd()                            initmd_()
#   define start(ip1,ip2 ,ip3,ip4)             start_(ip1,ip2,ip3,ip4)
#   define gethom(cp1,ip1)                     gethom_(cp1,ip1)
#   define plrdop(cp1,ip1,ip2)                 plrdop_(cp1,ip1,ip2)
#   define plrdcl(ip1)                         plrdcl_(ip1)
#   define plrd01(ip1,fp1,fp2,fp3,fp4,ip2,ip3) plrd01_(ip1,fp1,fp2,fp3,fp4,ip2,ip3)
#   define plrd06(ip1,cp1,ip2)                 plrd06_(ip1,cp1,ip2)
#   define plrd07(ip1,fp1,ip2)                 plrd07_(ip1,fp1,ip2)
#else
#ifdef CRAY
#   define initmd()                            INITMD()
#   define start(ip1,ip2 ,ip3,ip4)             START (ip1,ip2,ip3,ip4)
#   define gethom(cp1,ip1)                     GETHOM(cp1,ip1)
#   define plrdop(cp1,ip1,ip2)                 PLRDOP(cp1,ip1,ip2)
#   define plrdcl(ip1)                         PLRDCL(ip1)
#   define plrd01(ip1,fp1,fp2,fp3,fp4,ip2,ip3) PLRD01(ip1,fp1,fp2,fp3,fp4,ip2,ip3)
#   define plrd06(ip1,cp1,ip2)                 PLRD06(ip1,cp1,ip2)
#   define plrd07(ip1,fp1,ip2)                 PLRD07(ip1,fp1,ip2)
#endif
#endif

/* Sepran Fortran routines */

extern void initmd();
extern void start(int *,int *,int *,int *);
extern void gethom(char *,int *);
extern void plrdop(char *,int *,int *);
extern void plrdcl(int *);
extern void plrd01(int *,float *,float *,float *,float *,int *,int *);
extern void plrd06(int *,char *,int *);
extern void plrd07(int *,float *,int *);

/* Java binary read routines */

extern void jplrdop(char *,int *,int *);
extern void jplrdcl(int *);
extern void jplrd01(int *,float *,float *,float *,float *,int *,int *);
extern void jplrd06(int *,char *,int *);
extern void jplrd07(int *,float *,int *);

/* Java binary write routines */

extern void jplwrop(char *,int *,int *);
extern void jplwrcl(int *);
extern void jplwr01(int *,float *,float *,float *,float *,int *,int *);
extern void jplwr06(int *,char *,int *);
extern void jplwr07(int *,float *,int *);

/* readfun.c routines */

int closeinput(int type);
int openinput(char *name, filnam_t *info);
int readrecord(seprec_t *s, int type);
int readstring(int len, char *string, int type);
int readpolygon(int nr, float polyg[], int type);

