      subroutine inicopreal2d ( array1, nfirst1, array2, nfirst2, &
                                nsecond )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 28-11-2001
!
!   copyright (c) 2001-2001  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Copy first nfirst2 rows of array array1 of size nfirst1 x nsecond
!    into array array2 of size nfirst2 x nsecond
! **********************************************************************
!
!                       KEYWORDS
!
!     copy
!     2d
!     array
!     real
!     double
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer nfirst1, nfirst2, nsecond
      double precision array1(nfirst1,*), array2(nfirst2,*)

!     array1         i    real array to be copied
!     array2         o    real array in which the array must be copied
!     nfirst1        i    Length of first index of first array
!     nfirst2        i    Length of first index of second array
!     nsecond        i    Length of second index of array
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, j

!     i              Counting variable
!     j              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!    Copy array straight-forward column by column
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      do j = 1, nsecond
         do i = 1, nfirst2
            array2(i,j) = array1(i,j)
         end do
      end do
      end
