      function inifindentry ( number, iarray, lenarray )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 06-04-2005
!
!   copyright (c) 2005-2005  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Check if integer number can be found in integer array
!     and return with the position in the array
! **********************************************************************
!
!                       KEYWORDS
!
!     find
!     array
!     entry
!     integer
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/cmcdpif90'
      include 'SPcommon/cconstf90'

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer number, iarray(*), lenarray, inifindentry

!     iarray         i    List of integers of length lenarray
!     inifindentry   o    Sequence number of number in iarray
!                         If 0, number is not in iarray
!     lenarray       i    Length of array iarray
!     number         i    Quantity o be found in iarray
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer icount
      logical debug

!     debug          If true debug statements are carried out otherwise
!                    they are not
!     icount         Counter
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!     inifindentry := 0;  icount = 0
!     while ( inifindentry=0 and icount<lenarray ) do
!        icount := icount+1
!        if ( iarray(icount)=number ) then
!           inifindentry := icount
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'inifindentry' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from inifindentry'

      end if
      if ( ierror/=0 ) go to 1000

!     --- inifindentry := 0;  icount = 0

      inifindentry = 0
      icount = 0

!     --- while ( inifindentry=0 and icount<lenarray ) do

      do while ( inifindentry==0 .and. icount<lenarray )

!     --- icount := icount+1
!         if ( iarray(icount)=number ) then
!            inifindentry := icount

         icount = icount+1
         if ( iarray(icount)==number ) inifindentry = icount

      end do  ! while ( inifindentry==0 .and. icount<lenarray )

1000  call erclos ( 'inifindentry' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End inifindentry'

      end if

      end
