      subroutine intx02 ( code, ncode, n, itype, table, codemn, nmcode,
     +                    nmain, iretur, tabmin, tabmax, tabout, nout,
     +                    strout, nstrng, ncodmx )
! ======================================================================
!
!        programmer    Guus Segal
!        version  5.0  date 06-07-2011 Replace by call to intx02ext1
!        version  4.1  date 16-06-2008 Fortran 90
!        version  4.0  date 13-12-2002 Replace body by call to intx02ext
!
!   copyright (c) 1993-2011  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   read rest of record and check if keywords from the code table followed
!   by a number are available
!   It is assumed that either the record has alrady been read or that ityprd
!   is set equal to 1
!   The subroutine starts with reading the next item but reads only one record
!   If a keyword from the code table is found, the value following it is
!   read and put in the right position of table
!   It is checked if the value read is within a given range
!   If an item is not recognized an error message is given
!   If a main keyword is found or end of record the subroutine returns
! **********************************************************************
!
!                       KEYWORDS
!
!     interpret
!     keyword
!     read
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer n, ncode(n), itype(*), nmain, nmcode(*), iretur, nout,
     +        nstrng, ncodmx(n)
      character *(*) code(n), codemn(*), strout(nstrng)
      double precision table(n), tabmin(n), tabmax(n), tabout(nout)

!     See subroutine intx02ext1
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer iseqkeyw(100), nseqkeyw, errorcode

!     See subroutine intx02ext1
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     ERRCHR         Put character in error message
!     ERRINT         Put integer in error message
!     ERRSUB         Error messages
!     INTX02EXT1     Interpret a record containing keywords followed by numbers
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
!     550   array length too short
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'intx02' )
      errorcode = 0
      call intx02ext1 ( code, ncode, n, itype, table, codemn,
     +                  nmcode, nmain, iretur, tabmin, tabmax,
     +                  tabout, nout, strout, nstrng, ncodmx,
     +                  iseqkeyw, nseqkeyw, errorcode )

      if ( nseqkeyw>100 ) then

!     --- nseqkeyw>100, array too small

         call errint ( nseqkeyw, 1 )
         call errint ( 100, 2 )
         call errchr ( 'iseqkeyw', 1 )
         call errsub ( 550, 2, 0, 1 )

      end if
      call erclos ( 'intx02' )
      end
