module sepmodulecadapt

!  contains information of mesh adaptation routines of Zdenek

   integer :: iadapt               ! =0 when the adaptive mesh strategy is not
                                   !    applied
                                   ! =1 when we deal with the original mesh
                                   ! >1 when we deal with iadapt-th of the
                                   !    meshes
   integer :: inplrf(8)            ! information for LINREF
                                   ! 1  number of positions of this array
                                   ! 2  indicates what kind of precision is in
                                   !    rinlrf(1)
                                   !       1 = global relative error in
                                   !           semi-energy norm
                                   !       2 = global absolute error in
                                   !           semi-energy norm
                                   ! 3  maximum number of meshes
                                   !    ( including the given )
                                   ! 4  plot indication
                                   !       0 = no plot files to be created
                                   !       1 = two files: first mesh and the
                                   !           last mesh
                                   !       2 = each mesh
                                   ! 5  print indication ( ??? not ready )
                                   !       0 = no print
                                   !       1 = modest print
                                   !       2 = full print
                                   ! 6  restart indication ( ??? not ready )
                                   !       0 = not the restart case
                                   !       1 = restart, the last mesh from the
                                   !           previous call becomes the
                                   !           first mesh in this call
                                   ! 7  number of iterations in smoothing
                                   !    process, >=0
                                   ! 8  indicates the meshnumber for which the
                                   !    solution
                                   !    is available in isol(*,1)
                                   !    ( the original mesh has number 1 )
                                   !    0 ... no solution in isol(*,1)
                                   !    >0 ... solution is in isol(*,1)
   double precision :: rinlrf(2)   ! user information
                                   ! 1   precision to be used in stopping
                                   !     criterium, see also inplrf(2)
                                   ! 2   actual precision on return
   logical :: optim                ! information passed to FUNADA, if the mesh
                                   ! seems be optimal

end module sepmodulecadapt
