module sepmodulecoeffs

! Contains information of the coefficients

   integer :: icoef       ! Coefficient sequence number
   integer :: iposin      ! Last position used in iincof
   integer :: iposin_h    ! Starting position in iincof referring to thickness
   integer :: iposrn      ! Last position used in rincof
   integer :: nicof       ! Length parameter for iincof
   integer :: nrcof       ! Length parameter for rincof

   integer :: imark(100)  ! Indicates if a coefficient has been filled
                          ! already (1) or not (0)

   integer, pointer :: iincof(:)  ! Integer input array for coefficients
                                 ! filled as follows:
                        !  1  Maximum of NPARM over all element groups
                        !  2  icompl (indication if the coefficients are real
                        !             (0) or complex (1))
                        !  3  iprob  (Problem number)
                        !  3+ielgrp  NPARM for element group ielgrp, i.e. number
                        !            of paramters. Boundary group ibngrp gets
                        !            element group number ibngrp+nelgrp
                        !  Next for each element group read:
                        !  1  element group number, if negative boundary group
                        !          number
                        !  The next positions contain repeatedly:
                        !  1  ITYPE
                        !     Possible values:
                        !     -2  end of information
                        !     -1  The next position refers to a new group
                        !      1  ICOEF has been read, the next two positions
                        !         contain: i and value
                        !      2  COEF=VALUE has been read, the next two
                        !         positions contain: i and ipos, where ipos
                        !         refers to rincof
                        !      3  COEF=FUNC  has been read, the next two
                        !         positions contain: i and ifunc
                        !      4  COEF=POINTS has been read, the next two
                        !         positions contain: i and iref
                        !      5  COEF=ELEMENTS has been read, the next two
                        !         positions contain: i and iref
                        !      6  COEF=OLD SOL, DEGFD= has been read, the next
                        !         three positions contain: i, j and d
                        !      7  See 6, followed by COEF(VALUE=), the next four
                        !         positions contain: i, j, d and ipos
                        !      8  See 6, followed by COEF(FUNC=), the next four
                        !         positions contain: i, j, d and ifunc
                        !      9  COEF = COEF j, the next two positions
                        !         contain: i, j
                        !     10  COEF = SOL_FUNCj, the next two positions
                        !         contain: i, j
                        !     11  COEF=%scalar  has been read, the next two
                        !         positions contain: i and iscalar
                        !     12  ICOEF = name of string
                        !         The next positions conain i and string
                        !         sequence number

   double precision, pointer :: rincof(:)  ! Real input array for coefficients
                                           ! See iincof
end module sepmodulecoeffs
