module sepmodulecpack

!  General locicals

   logical :: cputiming      ! If true the CPU time is printed, otherwise the
                             ! wall clock time
   logical :: mpistart       ! If true mpi has been started
   logical :: namevfound     ! if true a vector with the name v followed by a
                             ! number has been found
   logical :: numwis         ! if true it concerns the numerical analysis lab
   logical :: parallel       ! If true parallel computing by mpi is performed
   logical :: usepetsc       ! if true petsc is used

!  Mumps locicals

   logical :: firstmumps     ! if true first time mumps is used
   logical :: skipmumps      ! indicates that the whole process must be skipped
                             ! since we are at a slave
                             ! Only prmumps must be called as well instop to
                             ! finish
   logical :: usemumps       ! if true mumps is used

!  Petsc parameters

   integer :: iseqmat           ! Sequence number of matrix in petsc module

!  Standard parallel information

   integer, parameter :: ICCORR = 2     ! Pressure correction message context
   integer, parameter :: ICDEFLT  = 1   ! Default message context
   integer, parameter :: ICERROR = 99   ! Error message context
   integer, parameter :: ICEXNODE = 96  ! Node exit message context
   integer, parameter :: ICFIELD = 6    ! Send/receive Field context
   integer, parameter :: ICPRINT = 97   ! Print message context
   integer, parameter :: ICSTCR = 3     ! Stopping criterion message context
   integer, parameter :: ICVCINFO = 4   ! Virtual cell data context
   integer, parameter :: ICVCDATA = 5   ! Virtual cell info context
   integer, parameter :: ICWARN = 98    ! Warning message context
   integer, parameter :: SPHOST=0       ! Host process ( responsible for I/O,
                                        ! etc.)

   integer :: iacnodes                  ! Number of nodes active
   integer :: inodenr                   ! Rank of present node

   integer :: SP_ANY                    ! Receive from any source
   integer :: SPCHAR                    ! MPI datatype for characters
   integer :: SPDOUBLE                  ! MPI datatype for double precision
   integer :: SPINT                     ! MPI datatype for integers

end module sepmodulecpack
