module sepmoduleint2d

!  module for intersection of line with surface (2d)


   integer :: numelm          ! Number elements that are intersected
   integer :: numint          ! Number of interpolation points

   double precision :: angle  ! angle of line with respect to x-axis
   double precision :: x1(2)  ! coordinates of first point of line
   double precision :: x2(2)  ! coordinates of second point of line
   double precision :: x(4)   ! x-coordinates of triangle (4=1)
   double precision :: y(4)   ! y-coordinates of triangle (4=1)

   integer, allocatable :: iwork(:)  ! work array
   integer, allocatable :: listel(:,:) ! list of elements
   integer, allocatable :: iseqx(:)  ! work array to store sequence of
                                     ! of elements and nodes
   integer, pointer :: triangles(:)  ! Nodes of triangles
   integer, pointer :: trian2d(:,:)  ! Nodes of triangles
   integer, pointer :: imapfn(:,:)   ! Mapping array
                                     ! (1,i) number of nodes
                                     ! (2..,i) node numbers

   double precision, allocatable :: coor2d(:,:)  ! coordinates of nodes
   double precision, allocatable :: listx(:,:)   ! x-coordinates of intersection
   double precision, allocatable :: work(:,:)    ! coordinates of nodes
   double precision, allocatable :: mapfn(:,:)   ! interpolation factors

end module sepmoduleint2d
