module sepmodulemain

      use sepmodulecons
      use sepmoduleintmat
      use sepmodulemap

      integer :: ifoutp                 ! Indication if the subroutine PROUTP
                                        ! is called for the first time, which
                                        ! means that there is no preceding
                                        ! information written to the file
                                        ! sepcomp.inf (=0), except by SEPSTR,
                                        ! or that this is a succeeding call of
                                        ! PROUTP and hence only the time should
                                        ! be written to file sepcomp.inf (>0)
      integer :: iseqmatr               ! sequence number of matrix
      integer :: iseqsol1               ! sequence number of solution
      integer :: iseqsol2               ! sequence number of second solution
      integer :: mainsubr               ! name of the main program
                                        !   Possible values:
                                        !   0:  Unknown, or user main program
                                        !   1:  sepmesh
                                        !   2:  sepcomp
                                        !   3:  sepfree
                                        !   4:  seppost
                                        !   5:  postsep
                                        !   6:  sepmakeparmesh
                                        ! 103:  cyclop
                                        ! 104:  cycpost
                                        ! 106:  cycpost using matlab
      integer :: readconstants ! Indicates if the part constants has been
                               ! read (1) or not (0)

      integer :: iinmap(5)              !Help array for subroutine INTPOLMS
                   ! The positions 1 and 2 are used by INTPOLMS
                   ! The positions 4 and 5 are used by this subroutine
                   ! Pos. 1: 2 indicating that 2 positions are used by INTPOLMS
                   ! Pos. 2: 1 = the new formal mapping must be computed (map)
                   !         2 = the old formal mapping in map is reused
                   ! Pos. 4: meshin for map
                   ! Pos. 5: meshout for map
      integer :: meshseqs(maxmesh)              ! Contains actual sequence
                                                ! numbers of meshes
      integer, target :: irhsd(maxprb)          ! information of the
                                                ! right-hand sides
      type(mapping), target :: map(maxmesh,maxmesh) ! information of the
                                                ! mapping between meshes

      integer, target :: isolut3d(maxvec,maxmesh) ! information of the
                                                ! solution and other vectors
      integer, target :: kmesh2d(maxmesh+2) ! information of the mesh
      integer, target :: kprob2d(maxmesh+2) ! information of the problem
                                                ! definition


      integer, pointer :: isol2d(:)
      integer, pointer :: isolut2d(:)
      integer, pointer :: isolut2dred(:)
      integer, pointer :: kprob
      integer, pointer :: kmesh
      integer, pointer :: isolut

      integer :: startcalled  ! if 99991 startsepran has been called
      
      logical :: testversion

    contains

      subroutine sepmakerel
!     Make relation between local and global arrays
      use sepmodulemnsub
      intmat1d => intmat2d(:,meshnr)
      intmatar => intmat1d
      intmat => intmat1d(1)
      kmesh => kmesh2d(meshnr)
      kprob => kprob2d(meshnr)
      isol2d => isolut3d(:,meshnr)
      isolut2d => isol2d
      isolut2dred => isolut2d
      isolut => isolut2d(1)
      stiffmat => stiffm(1:2)
      massmat => massmt(1)
      totmat => mattot(1)
      end subroutine sepmakerel

!     Subroutines that are useful

!     call sepmakerel     Make relation between local and global arrays

end module sepmodulemain
