module sepmodulemnsub

  !  Contains parameters for subroutine tosepcomsub

   integer :: icalltimstr ! Number of calls of loop start
   integer :: ioutpsav  ! Help parameter to store the initial value of ioutp
   integer :: iseqlp    !
   integer :: istartmn  ! Starting address in array INPVEC
   integer :: isubrmn   ! Indicates the type of calling subroutine
                        ! Possible values
                        ! -1:  End of input
                        !  1:   PRESBC  Read essential boundary conditions
                        !  2:   LINPRB  Build system of equations and solves
                        !               linear system of equations
                        !  3:   NONLNS  Build system of equations and solves
                        !               non-linear system of equations
                        !  4:   CREATN  Create vector
                        !  5:   OUTSOL  Write solution to file "sepcomp.out"
                        !  6:   MANVEC  Manipulate vectors
                        !  7:   PRINT_SCALAR: Print scalar
                        !  8:   DERIV   Compute derivatives
                        !  9:   PRINTV  Print vector
                        ! 10:   Print constant
                        ! 11:   INTEGR  Compute integral
                        ! 12:   SCALAR i =  value/func
                        ! 13:   COMMAT  Change structure of matrix
                        ! 14:   PRCOPYCOOR  Copy coordinates
                        ! 15:   PRINT_TEXT: Print text
                        ! 16:   INTBND  Compute boundary integral
                        ! 17:   WRITBS  Write array to backing storage
                        ! 18:   READBS  Read array from backing storage
                        ! 19:   TIMPRB  Solve time-dependent problem
                        ! 20:   USEROUT User output subroutine
                        ! 21:   WHILE   Start of while loop
                        ! 22:   END_WHILE  End of while loop
                        ! 23:   START_STAT_FREE_BOUN  Start of stationary free
                        !               boundary loop
                        ! 24:   END_STAT_FREE_BOUN  End of stationary free
                        !               boundary loop
                        ! 25:   CHANGE_COEFFICIENTS
                        ! 26:   START_INSTAT_FREE_BOUN  Start of instationary
                        !              free boundary loop
                        ! 27:   END_INSTAT_FREE_BOUN  End of instationary free
                        !              boundary loop
                        ! 28:   INSTFREE, time integration in free boundary loop
                        ! 29:   INPUT_VECTOR
                        ! 30:   OPEN_PLOT
                        ! 31:   CLOSE_PLOT
                        ! 32:   PLOT_BOUNDARY
                        ! 33:   REFINE_MESH (mesh refinement)
                        ! 34:   PRESENT_MESH (set mesh sequence number)
                        ! 35:   WRITE_MESH (write mesh to file)
                        ! 36:   INTERPOLATE (interpolate between two meshes)
                        ! 37:   FOR Start for loop
                        ! 38:   END_FOR_LOOP
                        ! 39:   PLOT_VECTOR
                        ! 40:   PLOT_CONTOUR
                        ! 41:   CONTACT
                        ! 42:   INTERCHANGE_MESH
                        ! 43:   CREATE_FORCE_VECTOR
                        ! 44:   START_LOOP  Start of loop
                        ! 45:   END_LOOP    End of loop
                        ! 46:   START_TIME_LOOP  Start of time loop
                        ! 47:   END_TIME_LOOP    End of time loop
                        ! 48:   CHANGE_COORDINATES
                        ! 49:   COMPUTE_EIGENVALUES
                        ! 50:   CHANGE_PROBLEM
                        ! 51:   COMPUTE_CAPACITY
                        ! 52:   SOLVE_INVERSE_PROBLEM
                        ! 53:   DEFORM_MESH
                        ! 54:   PRINT_TIME
                        ! 55:   COMPUTE_PRINCIPAL_STRESSES
                        ! 56:   PLOT_COLOURED_LEVELS
                        ! 57:   PLOT_TENSOR
                        ! 58:   MOVE_OBSTACLE
                        ! 59:   MAKE_OBSTACLE_MESH
                        ! 60:   REMOVE_OBSTACLE_MESH
                        ! 61:   NO_OUTPUT (no action)
                        ! 62:   PLOT_MESH
                        ! 63:   STREAM_FUNCTION
                        ! 64:   STOP
                        ! 65:   READ_MESH
                        ! 66:   SET_TIME
                        ! 67:   MAKE_LEVELSET_MESH
                        ! 68:   REMOVE_LEVELSET_MESH
                        ! 69:   PRINT ZERO_LEVELSET
                        ! 70:   PLOT_ZERO_LEVELSET
                        ! 71:   ENTHALPY_INTEGRATION
                        ! 72:   COMPUTE_ENTHALPY
                        ! 73:   INTERSECTION
                        ! 74:   TIME_HISTORY
                        ! 75:   PROBDFEXT
                        ! 76:   REF_ENTHALPY_INTEGRATION
                        ! 77:   PRESSURE_CORRECTION
                        ! 78:   NAVIER-STOKES
                        ! 79:   BEARING
                        ! 80:   READ_SOLUTIONS
                        ! 81:   PLOT_FUNCTION
                        ! 82:   PRINT SURFACES
                        ! 83:   IF   Start of if statement
                        ! 84:   END_IF  End of if statement
                        ! 85:   COPYVC  Copy vectors
                        ! 86:   Print_time_history
                        ! 87:   Move boundary
                        ! 88:   Compute_psi
                        ! 89:   Stochastic investment
                        ! 90:   Copy mesh
                        ! 91:   Compute bubble
                        ! 92:   PLOT_TIME_HISTORY
                        ! 93:   MATRIX_STRUCTURE
                        ! 94:   WRITE_TO_FILE
                        ! 95:   CLOSE_FILE
                        ! 96:   PLOT_3D
                        ! 97:   PLOT_INTERSECTION
                        ! 98:   LEVELSET_MESH_VELOCITY
                        ! 99:   ADAPT_INTERFACE_BOUNDARY
                        !100:   MAKE_DISTANCE_FUNCTION
                        !101:   COMPARE_MESH
                        !102:   PRINT MESH
                        !103:   BREAK
                        !104:   CREATE_LEVELSET_VECTOR
                        !105:   INTERSECT_MESH
                        !106:   PART_NONLINEAR_CONCENTRATION
                        !107:   STRING
                        !108:   CHANGE_VECTOR
                        !109:   PRINT_INTERSECTION
                        !110:   INTERSECTION_INTEGRAL
                        !111:   CREATE_KMESH
                        !112:   create right-hand side
   integer :: meshnr    ! Mesh sequence number
   integer :: numvecmn  ! Largest sequence number of vector that has been filled

   integer :: ireadlp(10)    ! Array of length 10.
                             ! Sequence number for reading of loop information
   integer :: niterlp(10)    ! Array of length 10.
                             ! Pos. i contains iteration number for loop i

   logical :: loopfinished   ! If true the loop has finished
   logical :: timefinished   ! If true the time loop has finished

end module sepmodulemnsub
