module sepmoduleoldvecs

!     --- Contains general information for old solutions in subroutine build
!         In general we define arrays of types prevsols and indprevsols
!         Each element of the array of type prevsols refers to one vector
!         as referred by islold
!         Usually this array has length numoldvecs
!         Arrays of type indprevsols have length numtypesols
!         They contain the position of unknowns in a vector to which it refers
!         for one specific element

   type prevsols

      double precision, pointer :: oldvecs(:)  ! prior vector
      double precision, pointer :: locvecs(:,:)! prior vector per element
                                               ! first component integration pnt
                                               ! second component number of
                                               ! unknowns
      double precision, pointer :: locvecsnode(:,:)! prior vector per element
                                               ! now for nodal points
      double complex, pointer :: oldcvecs(:)   ! prior vector
      double complex, pointer :: loccvecs(:,:) ! prior vector per element
                                               ! first component integration pnt
                                               ! second component number of
                                               ! unknowns
      double complex, pointer :: loccvecsnode(:,:)! prior vector per element
                                               ! now for nodal points
      integer, pointer :: kprobf(:)            ! kprob part f for this vector
      integer :: indprf                        ! indication if kprobf exists
      integer :: iseqtype                      ! sequence number of type of
                                               ! vector (refers to array of
                                               ! type prevsols)
      integer :: nunkp                         ! number of unknowns per point
      integer :: itypvc                        ! sepran type number of type
                                               ! of vector
      integer :: ndegfd                        ! number of degrees of freedom
      integer :: lenoldvec                     ! length of array oldvecs

   end type prevsols

   type indprevsols

      integer, pointer :: index3(:)     ! new index3: positions in oldsols
                                        ! For the first element of arrays
                                        ! of type indprevsols, this array
                                        ! is equal to index2
      integer, pointer :: index4(:)     ! new index4
      integer :: lenindex3              ! length of index3

   end type indprevsols

   integer :: iseqtype     ! sequence number of type of vector
   integer :: iseqprevsol  ! sequence number of previous solution
   integer :: numtypesols  ! number of different types of old vectors
   integer :: numoldvecs   ! number of old vectors stored in oldsols
   integer, pointer :: indvector(:)         ! Is used to indicate which
                                            ! old vectors are used
                                            ! 0: not used
                                            ! 1: used
   double precision, pointer :: gradoldvec(:,:,:) ! gradient of prior vector
                                                  ! per element
                                   ! first component: local node
                                   ! second component: unknown
                                   ! third component: type derivative (x,y,z)
   double precision, pointer :: uprev(:,:) ! prior vector per element
                                   ! first component: local node
                                   ! second component: unknown
   double precision, pointer :: uprev2(:,:) ! second prior vector per element
   double complex, pointer :: gradoldcvec(:,:,:) ! gradient of prior vector
                                                 ! per element
                                   ! first component: local node
                                   ! second component: unknown
                                   ! third component: type derivative (x,y,z)
   double complex, pointer :: ucprev(:,:) ! prior vector per element
                                   ! first component: local node
                                   ! second component: unknown
   double complex, pointer :: ucprev2(:,:) ! second prior vector per element
   type (prevsols), allocatable :: oldsols(:) ! Contains information of
                                              ! a series of old vectors
   type (indprevsols), allocatable :: indoldsols(:)
                         ! Contains information of the positions of the unknowns
                         ! for the various vectors stored in oldsols

end module sepmoduleoldvecs
