      subroutine mshdelkmeshad ( ibuffr, kmesh )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 08-12-2003
!
!   copyright (c) 2003-2003  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Remove array kmesh part ad if it exists
!
! **********************************************************************
!
!                       KEYWORDS
!
!     delete
!     mesh
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/cmcdpif90'
      include 'SPcommon/cconstf90'

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer kmesh(*), ibuffr(*)

!     ibuffr    i/o   Integer buffer array in which all large data is stored
!     kmesh     i/o   KMESH array to be deleted
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, kelmad
      logical debug

!     debug          If true debug statements are carried out otherwise
!                    they are not
!     i              Counting variable
!     kelmad         memory management reference number of array KMESH part ad
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     INI066TEXT     delete temporary array
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'mshdelkmeshad' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from mshdelkmeshad'

      end if
      if ( ierror.ne.0 ) go to 1000
      kelmad = kmesh(52)-1
      if ( kelmad.gt.0 ) then

!     --- kelmad > 0, information about obstacle intersections in kmesh ad

         do i = 1, 4
            if ( kmesh(kelmad+i).gt.0 ) &
               call ini066text ( ibuffr, kmesh(kelmad+i), 'kelmad_1' )
         end do
         do i = 9, 10
            if ( kmesh(kelmad+i).gt.0 ) &
               call ini066text ( ibuffr, kmesh(kelmad+i), 'kelmad_2' )
         end do
      end if
      kmesh(52) = 0

1000  call erclos ( 'mshdelkmeshad' )

      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End mshdelkmeshad'

      end if

      end
