      subroutine priinpoints ( iinput, rinput, iinp, irinp )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 15-08-1999
!
!   copyright (c) 1999-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Print contents of arrays iinput and rinput with respect to the user
!    points
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/cmcdpif90'

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iinput(*), iinp, irinp
      double precision rinput(*)
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, j, ndim, nuspnt, jcoars
      double precision x(3)
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      ndim   = iinput(1)
      nuspnt = iinput(2)
      jcoars = iinput(11)
      iinp = 16
      irinp = 3+nuspnt*ndim
      if ( jcoars.eq.0 ) then
         write(irefwr,100)
100      format(' User points with coordinates' )
      else
         write(irefwr,110) rinput(irinp)
110      format(' unit length = ', d12.3 )
         write(irefwr,120)
120      format(' User points with coordinates and coarseness' )
      end if
      do i = 1, nuspnt
         do j = 1, ndim
            x(j) = rinput(2+j+(i-1)*ndim)
         end do
         if ( jcoars.eq.0 ) then
            write(irefwr,150) i, (x(j),j=1,ndim)
         else
            write(irefwr,150) i, (x(j),j=1,ndim), rinput(irinp+i)
         end if
150      format ( i4,':  ',4d15.6 )
      end do
      if ( jcoars.eq.1 ) irinp = irinp+nuspnt+1
      end
