      subroutine procopy ( kprob1, kprob2 )
! ======================================================================
!
!        programmer    Guus Segal
!        version  2.0  date 03-04-1999 Replace by call to procopybf
!        version  1.4  date 28-02-1997 Store also iinput and rinput
!        version  1.3  date 23-10-1996 Correction for more problems
!        version  1.2  date 06-09-1996 Correction for more problems
!        version  1.1  date 18-08-1996 Correction for new kprob2
!        version  1.0  date 01-07-1996
!
!   copyright (c) 1996-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Copy the essential parts of array kprob1 into kprob2
!    Only those parts needed for subroutine intmsh are copied
!    In 2D it concerns the parts f, h and p
! **********************************************************************
!
!                       KEYWORDS
!
!     2d
!     copy
!     problem_definition
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulebuf
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer kprob1(*), kprob2(*)

!     kprob1     i    kprob array to be copied
!     kprob2    i/o   Copy of array kprob
!                     All positions must have been initialized before
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS       Resets old name of previous subroutine of higher level
!     EROPEN       Produces concatenated name of local subroutine
!     PROCOPYBF    Body of subroutine PROCOPY
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'procopy' )
      call procopybf ( ibuffr, buffer, kprob1, kprob2 )
      call erclos ( 'procopy' )

      end
