      subroutine read74heading
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 11-12-2013
!
!   copyright (c) 2013-2013  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Read first part of file sepcomp.out
!     The contents are not stored
! **********************************************************************
!
!                       KEYWORDS
!
!     read
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/cmcdpif90'
      include 'SPcommon/cconstf90'
      include 'SPcommon/cinoutf90'
      include 'SPcommon/cmachnf90'

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, ios, iinput, ivers, isubr, leniinput, lenrinput
      double precision rinput
      character (len=80) textloc
      logical debug

!     debug          If true debug statements are carried out otherwise
!                    they are not
!     i              Counting variable
!     iinput         integer input dummy
!     ios            IOSTAT variable, returns from reading or writing
!     isubr          Indicates the type of calling subroutine
!     ivers          Version sequence number
!     leniinput      Length of array iinput
!     lenrinput      Length of array rinput
!     rinput         Real input dummy
!     textloc        String to store a local text
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'read74heading' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from read74heading'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

!     --- Read first line (comment line)

      read(iref74,100, iostat=ios) textloc
      if ( ios/=0 ) go to 1000
100   format(a)

!     --- Read second and third line (dimensions)

      read(iref74,*, iostat=ios) ivers, isubr, leniinput
      read(iref74,*, iostat=ios) lenrinput
      if ( ios/=0 ) go to 1000

!     --- Read iinput
!         First line comment

      read(iref74,100, iostat=ios) textloc
      read ( iref74,*, iostat=ios ) (iinput,i=1,5+leniinput)
      if ( lenrinput>0 ) then

!     --- lenrinput>0, read rinput
!         First line comment

         read(iref74,100, iostat=ios) textloc
         read ( iref74,*, iostat=ios ) (rinput, i=1,lenrinput)

      end if

1000  call erclos ( 'read74heading' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End read74heading'

      end if  ! ( debug )

      end
