      subroutine readsl ( ivectr, kmesh, kprob, iref )
! ======================================================================
!
!        programmer     Guus Segal
!        version 3.0    date 04-01-1999 Remove ibuffr, buffer;
!                                       new body
!        version 2.0    date 03-12-1998 Extra parameters ibuffr, buffer
!        version 1.8    date 01-09-1994 Correction isol(3)
!        version 1.7    date 22-08-1992 type=116
!        version 1.6    date 19-08-1992 Extra error message
!        version 1.5    date 22-08-1991 Zdenek: no dimension, cdc, ce
!        version 1.4    date 06-06-1989 Correction ivec for more problems
!        version 1.3    date 17-02-1989 Deletion of superfluous parameters
!        version 1.2    date 13-09-1988 Negative reference number
!        version 1.1    date 08-07-1988 Addition of cconst
!
!
!   copyright (c) 1987-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! **********************************************************************
!
!                       DESCRIPTION
!
!   read real/complex  sepran solution array except the large matrix
!   only solution vectors of type 110, 115 and 116 are allowed
!   in case of formatted files the standard format 5d16.9 is used
!   This subroutine is meant to be used in combination with subroutine
!   prinsl.
!   prinsl writes a solution in character format to a file, &
!   readsl reads the solution
! **********************************************************************
!
!                       KEYWORDS
!
!   read
!   vector
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulebuf
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer kmesh(*), kprob(*), ivectr(*), iref

!     iref    i   Reference number of file to which solution must be written
!                 possibilities:  see user manual
!                 if iref < 0, the file is read unformatted, otherwise it is
!                 supposed to be formatted
!     ivectr  o   integer array denoting the array to be readed
!     kmesh   i   array containing information of the mesh
!     kprob   i   array containing information of degrees of freedom
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS    Resets old name of previous subroutine of higher level
!     EROPEN    Produces concatenated name of local subroutine
!     READSLBF  Actual body of readsl
! **********************************************************************
!
!                       I/O
!
!    The solution vector or vector of special structure is read from the
!    file with reference number iref74
!    If iref74 > 0, the file is formatted, otherwise it is unformatted
!    The first record contain the 5 integers that must be stored into array
!    IVECTR, the second record contains the real values
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       MODULES USED
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'readsl' )
      call readslbf ( ibuffr, buffer, ivectr, kmesh, kprob, iref )
      call erclos ( 'readsl' )
      end
