      subroutine msh620( ibuurp, iwork, ih, ij )
! ======================================================================
!
!        programmer    Niek Praagman
!        version  2.1  date 03-09-2010 New release
!        version  2.0  date 14-04-2005 Update code
!        version  1.2  date 19-02-1993 New layout
!
!   copyright (c) 1988-2010  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Subroutine to fill nodal point number ij in right position of
!     array ibuurp
! **********************************************************************
!
!                       KEYWORDS
!
!     mesh
!     3d
!     mesh_generation
!     tetrahedron
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer ibuurp(*), iwork(*), ih, ij

!     ibuurp i/o   array containing the nodal point numbers of
!                  the neighbours (see msh619)
!     ih      i    nodal point number to be considered
!     ij      i    nodal point number of neighbour
!     iwork   i    pointer array (see msh619)
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer jstart

!     jstart
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!   - &
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- Initialize jstart

      jstart = 0

!     --- Adjust jstart

      if ( ih/=1 ) jstart = iwork(ih-1)

!     --- Run through ibuurp

100   jstart = jstart + 1

!     --- Check whether point is already stored:

      if ( ibuurp ( jstart )==ij )  return

!     --- If not zero check next number

      if ( ibuurp ( jstart )/= 0 )  goto 100

!     --- 0 found: store node ij

      ibuurp ( jstart ) = ij

!     --- Point is stored

      end
