      subroutine msh633( kstapl, kstap, itri )
! ======================================================================
!
!        programmer    niek praagman
!        version  3.0  date 08-09-2010 New release
!        version  2.0  date 15-04-2005 Update code
!        version  1.1  date 22-08-1991 Zdenek: no dimension, cdc, ce
!
!   copyright (c) 1988-2010  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Change triangle array: put first triangle to last positions and
!     reset the cooresponding positions in array itri
! **********************************************************************
!
!                       KEYWORDS
!
!     mesh_generation
!     triangle
!     reordering
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer kstap, kstapl(3, kstap), itri(*)

!     itri    i    array boundary node or not
!     kstap   i    number of triangles in boundary
!     kstapl i/o   array containing all kstap boundary triangles
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, i1, i2, i3

!     i         loop variable
!     i1        node triangle
!     i2        node triangle
!     i3        node triangle
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!   - &
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- Select first triangle

      i1 = kstapl( 1, 1 )
      i2 = kstapl( 2, 1 )
      i3 = kstapl( 3, 1 )

!     --- Run through all triangles

      do i = 2, kstap
         kstapl( 1, i-1 ) = kstapl ( 1, i )
         kstapl( 2, i-1 ) = kstapl ( 2, i )
         kstapl( 3, i-1 ) = kstapl ( 3, i )
      end do

!     --- Replace first triangle at last positions:

      kstapl ( 1, kstap ) = i1
      kstapl ( 2, kstap ) = i2
      kstapl ( 3, kstap ) = i3

!     --- Reset the values of itri for the triangle

      itri( i1 ) = itri( i1 ) + 1
      itri( i2 ) = itri( i2 ) + 1
      itri( i3 ) = itri( i3 ) + 1

!     --- End of activity

      end
