      subroutine msh636( a1, a2, a3, b1, b2, b3, c1, c2, c3, det )
! ======================================================================
!
!        programmer    niek praagman
!        version  3.0  date 08-09-2010 New release
!        version  2.0  date 15-04-2005 Update code
!        version  1.0  date 25-01-1988
!
!   copyright (c) 1988-2010  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Compute determinant
!
! **********************************************************************
!
!                       KEYWORDS
!
!     mesh
!     3d
!     mesh_generation
!     tetrahedron
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double precision a1, a2, a3, b1, b2, b3, c1, c2, c3, det

!     a1             i    entry of the matrix
!     a2             i    entry of the matrix
!     a3             i    entry of the matrix
!     b1             i    entry of the matrix
!     b2             i    entry of the matrix
!     b3             i    entry of the matrix
!     c1             i    entry of the matrix
!     c2             i    entry of the matrix
!     c3             i    entry of the matrix
!     det            o    the determinant value of the matrix
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      det = a1 * b2 * c3 - a1 * c2 * b3 - a2 * b1 * c3 + &
            a3 * b1 * c2 + a2 * b3 * c1 - c1 * a3 * b2
      end
