      subroutine sepbuffer ( ibuffer, rbuffer, nbuf )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 31-07-2015
!
!   copyright (c) 2015-2015  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Make the relation between the buffer array and the
!     module sepmodulebuf
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulebuf
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer (kind=8), intent(in) :: nbuf
      integer, target :: ibuffer(*)
      double precision, target :: rbuffer(*)

!     combuffer   i/o   Complex buffer array in which all large data is stored
!     ibuffer     i/o   Integer buffer array in which all large data is stored
!     nbuf         i    Defines the size of the buffer array.
!     rbuffer     i/o   Real buffer array in which all large data is stored
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      ibuffr => ibuffer(1:nbuf)
      buffer => rbuffer(1:nbuf/2)

      end subroutine sepbuffer
