      function ercdet ( v1, v2, v3 )
! ====================================================================== &
!
!        programmer     Guus Segal
!        version 1.0    date   12-11-1994
!
!
!
!   copyright (c) 1994-1994  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ********************************************************************
!
!                         DESCRIPTION
!
!   Compute a 3x3 determinant, where the matrix is given as a series of
!   column vectors
! ********************************************************************
!
!                      KEYWORDS
!
!    determinant
! ********************************************************************
!
!                      INPUT / OUTPUT    PARAMETERS
!
      implicit none
      double precision ercdet, v1(3), v2(3), v3(3)

!     ercdet  o    Determinant to be computed
!     v1      i    First column of matrix
!     v2      i    Second column of matrix
!     v3      i    Third column of matrix
! ********************************************************************
!
!                    COMMON BLOCKS
!
! ********************************************************************
!
!                   LOCAL PARAMETERS
!
! ********************************************************************
!
!                   SUBROUTINES CALLED
!
! ********************************************************************
!
!                    I/O
!
!    none
! ********************************************************************
!
!                    ERROR MESSAGES
!
! ********************************************************************
!
!                    PSEUDO CODE
!
!    det = v1(1) * ( v2(2)*v3(3) - v3(2)*v2(3) ) + &
!          v2(1) * ( v3(2)*v1(3) - v1(2)*v3(3) ) + &
!          v3(1) * ( v1(2)*v2(3) - v2(2)*v1(3) )
! ====================================================================== &
!
      ercdet = v1(1) * ( v2(2)*v3(3) - v3(2)*v2(3) ) + &
               v2(1) * ( v3(2)*v1(3) - v1(2)*v3(3) ) + &
               v3(1) * ( v1(2)*v2(3) - v2(2)*v1(3) )
      end
