      subroutine errint ( int, errvar )
! ======================================================================
!
!        programmer    Jos van Kan
!        version  1.5  date 04-06-2007 Fortran 90
!        version  1.4  date 19-01-1999 include commons
!        version  1.3  date 26-12-1994 New commons cmessc and cmessg
!
!   copyright (c) 1990-2007  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!  errint is an auxiliary subroutine to errsub. It must be called prior to
!  errsub and sets the message variable int. errvar is the number ofthe
!  variable to be set (errvar<=1000).
! **********************************************************************
!
!                       KEYWORDS
!
!     error_manipulation
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleerr
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer int, errvar

!    errvar i  Sequence number of variable in ints
!    int    i  Integer variable to be put into array ints
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERRSUB  Error messages
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    1258   Too many errints, erreals or errchrs in one errormessage.
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      if ( errvar>1000 ) then

!     --- ERROR: too many ints in this errormessage

         chars(1) = 'integers'
         call errsub ( 1258, 0, 0, 1 )

      else

         ints (errvar) = int

      end if
      end
