      subroutine errsub ( mesnum, nints, nreal, nchar )
! ======================================================================
!
!        programmer    S.Jansen / H.Hanzon
!        version  2.7  date 08-11-2004 Set ierror = 0, before errmes
!        version  2.6  date 04-04-2003 Make length of lines equal to 80
!        version  2.5  date 19-01-1999 include commons
!        version  2.4  date 02-03-1997 maxerror introduced
!        version  2.3  date 26-12-1994 Delete commons cmessc and cmessg
!        version  2.2  date 02-02-1994 New comments
!        version  2.1  date 23-06-1992 New common cmessg
!        version  2.0  date 04-02-1990 Adapted to SEPRAN by Guus Segal
!        version  1.0  date 01-01-1990
!
!   copyright (c) 1990-2004  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     ERRSUB prints an error message.
!
! **********************************************************************
!
!                       KEYWORDS
!
!     error_manipulation
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      use sepmoduledebug
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer mesnum, nints, nreal, nchar

!     mesnum   i    Error number.
!     nchar    i    Number of character strings.
!     nints    i    Number of integers.
!     nreal    i    Number of reals.
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERMESS   Prints a message, stored in the Error Text File.
!     INSTOP   Closes files and stops the program.
! **********************************************************************
!
!                       I/O
!
!     ERRSUB writes to the default output device.
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!     Increment NERROR (number of errors);
!     Call ERMESS;
!     if (number of errors = maxerror) then
!        Print message;
!        STOP;
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      nerror = nerror + 1

!     --- Print the message, stored in the Error Text File.

      ierror = 0
      call ermess ( mesnum, nints, nreal, nchar, 'ERROR' )
      ierror = mesnum

!     --- Stop if number of errors = maxerror

      if ( nerror>=maxerror ) then
         write (irefwr,'(//80(''*'')/)')
         write (irefwr,100) maxerror
100      format (' STOP : number of errors = ', i3 )
         write (irefwr,'(/80(''*'')//)')
         call instop
      end if

      end
