      subroutine inichkarlen ( length, lengthar, namear )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 14-06-2004
!
!   copyright (c) 2004-2004  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Check length of array and give error message 550 of array is too small
!
! **********************************************************************
!
!                       KEYWORDS
!
!     check
!     array_length
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer length, lengthar
      character *(*) namear

!     length         i    Computed length of array
!     lengthar       i    Declared length of array
!     namear         i    Name of array
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERRCHR         Put character in error message
!     ERRINT         Put integer in error message
!     ERRSUB         Error messages
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
!     550   array length too short
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      if ( length.gt.lengthar ) then

!     --- Length of array too short

         call errint ( length, 1 )
         call errint ( lengthar, 2 )
         call errchr ( namear, 1 )
         call errsub ( 550, 2, 0, 1 )

      end if  ! ( length.gt.lengthar )

      end
