      function inifirstelgrp()
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 06-11-2009
!
!   copyright (c) 2009-2009  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Find first element group that has a non-zero type number
!
! **********************************************************************
!
!                       KEYWORDS
!
!     element_group
!     type_number
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekprob
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer inifirstelgrp

!     inifirstelgrp  o    first element group that has a non-zero type number
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer nelgrp, itype, i

!     i              Counting variable
!     itype          Type number of element
!     nelgrp         Number of element groups
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'inifirstelgrp' )
      inifirstelgrp = 0
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from inifirstelgrp'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      nelgrp = kprobloc(8)    ! Number of element groups

      do i = 1, nelgrp
         itype = kprobc(i)
         if ( itype>0 ) then

!        --- type number>0 found, return

            inifirstelgrp = i
            go to 1000

         end if  ! ( itype>0 )

      end do  ! i = 1, nelgrp

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End inifirstelgrp'

      end if  ! ( debug )
      call erclos ( 'inifirstelgrp' )

      end
