      subroutine priinextra ( iinput, rinput, iinp, irinp, nelgrp )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 15-08-1999
!
!   copyright (c) 1999-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iinput(*), iinp, irinp, nelgrp
      double precision rinput(*)
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, j, istartchange, istartintface, istartobst, istartprop, &
              jlast, nchancoor, nintprop, nrealprop, numobst
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      jlast = iinput(15)-5
      write(irefwr,100) (iinput(jlast+i),i=0,3)
100   format(' irefin =', i4, '  itrans =', i4, '  icheck =',i4, &
             ' iskiptopol =', i4 )
      istartintface = iinput(jlast+4)-5
      if ( istartintface.gt.0 ) then
         write(irefwr,110) (iinput(istartintface+i),i=0,2)
110      format(' interface dimensions ',3i5)
         write(irefwr,120)
120      format(' curve interfaces:')
         iinp = istartintface+3
         do i = 1, iinput(istartintface+1)
            write(irefwr,130) i, (iinput(iinp+j),j=0,3)
            nelgrp = max(nelgrp,iinput(iinp))
            iinp = iinp+4
130         format(i4, ' : ', 10i6 )
         end do
      end if
      istartprop = iinput(jlast+5)-5
      iinp = istartprop+3
      if ( istartprop.gt.0 ) then
         nintprop = iinput(istartprop)
         nrealprop = iinput(istartprop+1)
         iinp = istartprop+2
         if ( nintprop.gt.0 ) then
            write(irefwr,140)
140         format ( 'integer properties' )
            do i = 1, nelgrp
               write(irefwr,130) i, (iinput(iinp+j),j=0,nintprop-1)
               iinp = iinp+nintprop
            end do
         end if
         if ( nrealprop.gt.0 ) then
            write(irefwr,150)
150         format ( 'real properties' )
            do i = 1, nelgrp
               write(irefwr,160) i, (rinput(irinp+j),j=0,nrealprop-1)
160            format(i4, ' : ', 10d12.3 )
               irinp = irinp+nrealprop
            end do
         end if
      end if
      istartchange = iinput(jlast+6)-5
      if ( istartchange.gt.0 ) then
         nchancoor = iinput(istartchange)
         iinp = istartchange+1
         write(irefwr,170)
170      format ( 'change coordinates' )
         do i = 1, nchancoor
            write(irefwr,130) i, (iinput(iinp+j),j=0,3)
            iinp = iinp+4
         end do
      end if
      istartobst = iinput(jlast+7)-5
      if ( istartobst.gt.0 ) then
         numobst = iinput(istartobst)
         iinp = istartobst+1
         write(irefwr,180)
180      format ( 'obstacles' )
         do i = 1, numobst
            write(irefwr,130) i, (iinput(iinp+j),j=0,1)
            iinp = iinp+2
         end do
      end if
      end
