      subroutine prinrl2 ( array, n, m, text )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 23-08-2006 Adaptation formats
!        version  1.0  date 02-02-1998
!
!   copyright (c) 1998-2006  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Auxilary help subroutine only meant for debugging purposes
!    The task of prinrl1 is to print a real array in the form
!    form   seq. number:  n numbers etc.
! **********************************************************************
!
!                       KEYWORDS
!
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer n, m
      double precision array(n,m)
      character *(*) text

!    array    i  double precision array to be printed
!    m        i  Number of entries of the array to be printed per line
!    n        i  Number of lines of the array to be printed
!    text     i  Text to be printed in the heading
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, j

!    i          General loop variable
!    j          General loop variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!    - &
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      write ( irefwr, 100 ) text
100   format(1x,a)
      do i = 1, n
         write(irefwr,110) i,(array(i,j),j=1,min(6,m))
110      format(i4,':',ss,6(1pe12.3e2))
         if ( m>6 ) write(irefwr,120) (array(i,j),j=7,m)
120      format((5x,ss,6(1pe12.3e2)))
      end do
      end
