      subroutine prmultadd ( nusol, alpha, usol, beta )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 22-11-2006
!
!   copyright (c) 2006-2006  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Compute alpha usol + beta and store in usol
!
! **********************************************************************
!
!                       KEYWORDS
!
!     add
!     multiplication
!     vector
!     constant
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer nusol
      double precision alpha, usol(*), beta

!     alpha          i    multiplication factor
!     beta           i    addition constant
!     nusol          i    Total number of unknowns
!     usol          i/o   Solution vector
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prmultadd' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from prmultadd'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

!     --- Perform action

      do i = 1, nusol
         usol(i) = alpha*usol(i)+beta
      end do  ! i = 1, nusol

1000  call erclos ( 'prmultadd' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End prmultadd'

      end if  ! ( debug )

      end
