      subroutine readb1
! ======================================================================
!
!        programmer    Niek Praagman
!        version  2.4  date 15-11-2012 Long integers
!        version  2.3  date 24-07-1998 include commons
!        version  2.2  date 12-11-1991 Delete use of ibuffr
!
!   copyright (c) 1984-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     readb1 reads the first record of file 2
!
! **********************************************************************
!
!                       KEYWORDS
!
!     read
!     backing_storage
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecpack
      use sepmodulefiles
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer work(1000)

!     work           Work array
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     ERTRACE        Prints trace back of subroutines
!     READFL         Read integer array from a direct access SEPRAN file
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'readb1' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from readb1'
         call ertrace
  1      format ( a, 1x, (10i6) )

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

!     --- Read first record in work

      call readfl ( 1, 1, 1000, 1, 2, work )

!     --- Store information from work into common cfile2

      ifree2 = work(1)
      inew = work(2)

      if ( debug ) write(irefwr,1) 'ifree2, inew', ifree2, inew
      iwork3(1:998) = work(3:1000)

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End readb1'

      end if  ! ( debug )
      call erclos ( 'readb1' )

      end subroutine readb1
