      subroutine sepcopytype ( nncode2, itype2, tabmn2, tabmx2 )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 20-03-2017
!
!   copyright (c) 2017-2017  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Copy itype2 and related arrays into itype
!
! **********************************************************************
!
!                       KEYWORDS
!
!     copy
!     read
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleread1
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer :: nncode2, itype2(nncode2)
      double precision :: tabmn2(nncode2), tabmx2(nncode2)

!     itype2         i    Indicates the type of action corresponding to keywords
!                         in code2
!     nncode2        i    Number of entries in code2
!     tabmn2         i    Table containing the minimum values of the quantities
!                         given in code2
!     tabmx2         i    Table containing the maximum values of the quantities
!                         given in code2
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepcopytype' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepcopytype'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      itype(1:nncode2) = itype2
      tabmin(1:nncode2) = tabmn2
      tabmax(1:nncode2) = tabmx2

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepcopytype'

      end if  ! ( debug )
      call erclos ( 'sepcopytype' )

      end subroutine sepcopytype
