      subroutine sepfillkmeshaa
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 01-03-2018
!
!   copyright (c) 2018-2018  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Fill first part of array KMESH part aa
!     Old subroutine topfillkmeshaa
! **********************************************************************
!
!                       KEYWORDS
!
!     memory_management
!     topology
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulemain
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer ielgrp, medpel, medpfa, mfapel, mndped
      double precision dummy(1)

!     dummy      Dummy parameter
!     ielgrp     element group number
!     medpel     maximum number of edges in one element
!     medpfa     maximum number of edges per face
!     mfapel     maximum number of faces in one element
!     mndped     maximum number of nodes in one edge
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     ERTRACE        Prints trace back of subroutines
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepfillkmeshaa' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepfillkmeshaa'
         call ertrace
         write(irefwr,1) 'iseqkm, kelmaa', iseqkm, km(iseqkm)%kmesh(48)
  1      format ( a, 1x, (10i6) )

      end if
      if ( ierror/=0 ) go to 1000
      if ( km(iseqkm)%kmesh(48)==0 ) then
         if ( associated(km(iseqkm)%nmesh) ) deallocate(km(iseqkm)%nmesh)
         allocate ( km(iseqkm)%nmesh(50) )
      end if  ! ( km(iseqkm)%kmesh(48)==0 )
      km(iseqkm)%kmesh(48) = 50
      nmesh => km(iseqkm)%nmesh

      nmesh = 0
      medpfa = 0
      medpel = 0
      mndped = 0
      mfapel = 0
      do ielgrp = 1, nelgrp
         mfapel = max(sepgetnfapel(ielgrp),mfapel)
         medpfa = max(sepgetnedpfa(ielgrp),medpfa)
         medpel = max(sepgetnedpel(ielgrp),medpel)
         nspec = 0
         if ( kelmu>0 ) nspec = kmeshu(2)+2
         nndped = sepgetnndped(ielgrp)
         mndped = max(nndped,mndped)
         if ( debug ) &
            write(irefwr,1) 'ielgrp, mfapel, medpfa, medpel, mndped', &
                             ielgrp, mfapel, medpfa, medpel, mndped
      end do
      km(iseqkm)%nmesh(19) = mfapel
      km(iseqkm)%nmesh(21) = medpfa
      km(iseqkm)%nmesh(22) = medpel
      km(iseqkm)%nmesh(23) = mndped
      km(iseqkm)%nmesh(25) = npelm
      km(iseqkm)%nmesh(26) = nspec

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepfillkmeshaa'

      end if
      call erclos ( 'sepfillkmeshaa' )

      end
