      subroutine sepfillkmeshad ( iseqad )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 01-03-2018
!
!   copyright (c) 2018-2018  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Initialize kmesh ad
!     Old subroutine initkmeshad
! **********************************************************************
!
!                       KEYWORDS
!
!     initialization
!     mesh
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulemain
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer :: iseqad

!     iseqad         o    Sequence number
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      double precision dummy(1)

!     dummy          Dummy parameter
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepfillkmeshad' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepfillkmeshad'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      if ( km(iseqkm)%kmesh(52)==0 ) then

!     --- kmesh part ad has not been filled before

         allocate ( km(iseqkm)%kmeshad(10) )
         kmeshad => km(iseqkm)%kmeshad
         kmeshad = 0
         iseqad = 1
         kmeshad(5) = iseqad
         km(iseqkm)%kmesh(52) = 10
         kelmad = km(iseqkm)%kmesh(52)

      else

!     --- kmesh part ad has been filled before

         iseqad = km(iseqkm)%kmeshad(5)
         kmeshad => km(iseqkm)%kmeshad

      end if

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepfillkmeshad'

      end if  ! ( debug )
      call erclos ( 'sepfillkmeshad' )

      end
