      subroutine sepfillkprobp
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 15-10-2018
!
!   copyright (c) 2018-2018  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Make a reference between ibuffr and parinfo
!
! **********************************************************************
!
!                       KEYWORDS
!
!     matrix_structure
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekprob
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepfillkprobp' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepfillkprobp'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      if ( associated(kprobpart%blockunkinfo) ) then
         innercontr => kprobpart%innercontr
         blockunkinfo => kprobpart%blockunkinfo
         sendinfo => kprobpart%sendinfo
         sendinfopar => kprobpart%sendinfopar
         sendinfou => kprobpart%sendinfou
         sendinfop => kprobpart%sendinfop
         innercontru => kprobpart%innercontru
         innercontrp => kprobpart%innercontrp
      end if  ! ( associated(kprobpart%blockunkinfo) )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepfillkprobp'

      end if  ! ( debug )
      call erclos ( 'sepfillkprobp' )

      end subroutine sepfillkprobp
