      subroutine sepinitread
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 15-12-2017 New storage of intmat
!        version  1.0  date 15-08-2016
!
!   copyright (c) 2016-2017  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Initialize module sepmoduleinput
!     Old subroutine ini009
! **********************************************************************
!
!                       KEYWORDS
!
!     fill
!     read
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleinput
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, maxi3

!                    they are not
!     i              Counting variable
!     maxi3          Computes total number of integer input arrays that
!                    may be stored
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepinitread' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepinitread'
  1      format ( a, 1x, (10i6) )

      end if
      if ( ierror/=0 ) go to 1000

!     --- Fill parameter maxsub for all inputs

      iinputarrs%maxsub = 10

      iinputarrs(1)%maxsub = 1
      iinputarrs(2)%maxsub = 1
      iinputarrs(4)%maxsub = 100
      iinputarrs(5)%maxsub = 25
      iinputarrs(6)%maxsub = 25
      iinputarrs(7)%maxsub = 50
      iinputarrs(8)%maxsub = 25   ! number of inputs for solve
      iinputarrs(10)%maxsub = 1
      iinputarrs(11)%maxsub = 100
      iinputarrs(13)%maxsub = 25
      iinputarrs(14)%maxsub = 100  ! number of boundary integrals
      iinputarrs(15)%maxsub = 10
      iinputarrs(16)%maxsub = 25

      iinputarrs%icall = 1
      iinputarrs%maxcall = 0

      maxi3 = 0
      do i = 1, nsubr
         iinputarrs(i)%istart = maxi3 + 1
         maxi3 = maxi3 + iinputarrs(i)%maxsub
      end do

      in%used = .false.

      if ( debug ) write(irefwr,1) 'maxi3', maxi3

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepinitread'

      end if
      call erclos ( 'sepinitread' )

      end subroutine sepinitread
