      subroutine seprmmatstr1
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 11-12-2017
!
!   copyright (c) 2017-2017  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     nullify arrays in module sepmodulematstr
!
! **********************************************************************
!
!                       KEYWORDS
!
!     matrix_structure
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleproj
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'seprmmatstr1' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from seprmmatstr1'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      if ( associated(irowsii) ) nullify(irowsii)
      if ( associated(icolsii) ) nullify(icolsii)
      if ( associated(irowsip) ) nullify(irowsip)
      if ( associated(icolsip) ) nullify(icolsip)
      if ( associated(irowsp) ) nullify(irowsp)
      if ( associated(icolsp) ) nullify(icolsp)
      if ( associated(irowsic) ) nullify(irowsic)
      if ( associated(icolsic) ) nullify(icolsic)
      if ( associated(irowsfi) ) nullify(irowsfi)
      if ( associated(icolsfi) ) nullify(icolsfi)
      if ( associated(irowsif) ) nullify(irowsif)
      if ( associated(icolsif) ) nullify(icolsif)
      if ( associated(irowsout) ) nullify(irowsout)
      if ( associated(icolsout) ) nullify(icolsout)
      if ( associated(storeinfo) ) nullify(storeinfo)
      if ( associated(irowsQ) ) nullify(irowsQ)
      if ( associated(icolsQ) ) nullify(icolsQ)
      if ( associated(irowsG) ) nullify(irowsG)
      if ( associated(icolsG) ) nullify(icolsG)
      if ( associated(irowsDG) ) nullify(irowsDG)
      if ( associated(icolsDG) ) nullify(icolsDG)
      if ( associated(irowsPM) ) nullify(irowsPM)
      if ( associated(icolsPM) ) nullify(icolsPM)

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End seprmmatstr1'

      end if  ! ( debug )
      call erclos ( 'seprmmatstr1' )

      end subroutine seprmmatstr1
