      subroutine topq01 ( line, nline, npoint, ihelp, help )
! ======================================================================
!
!
!        programmer     Niek Praagman
!        version 5.0    date   26-01-1995 remove ispace
!        version 4.0    date   01-01-1993 Renamed subroutine PLT364
!        version 3.0    date   15-05-1989 New call of plt369, extra ispace
!        version 2.0    date   02-02-1988
!
!
!
!   copyright (c) 1987-1995  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ********************************************************************
!
!                         DESCRIPTION
!
!    Subroutine to cancel all double lines in array line
!
! ********************************************************************
!
!                      KEYWORDS
!
!   mesh
! ********************************************************************
!
!                      INPUT / OUTPUT    PARAMETERS
!
      implicit none

      integer line(*), nline, npoint, ihelp(*)
      double precision help(*)

!     help   i/o   helparray of length nline at input
!     ihelp        helparray of length nline
!     line   i/o   array containing the lines
!     nline  i/o   number of lines in array line
!     npoint  i    Number of nodal points
! ********************************************************************
!
!                      COMMON BLOCKS
!
! ********************************************************************
!
!                    LOCAL PARAMETERS
!
      integer i, i1, i2, iline
      double precision base, val

!     base
!     i       Counting variable
!     i1      First point of curve
!     i2      Last point of curve
!     iline   number of lines
!     val     ?
! ********************************************************************
!
!             SUBROUTINES CALLED
!
!     TOPQ00  Find all multiple elements in a grid, where the node numbers
!             have been translated to real numbers
! ********************************************************************
!
!                    I/O
!
!    none
! ********************************************************************
!
!                    ERROR MESSAGES
!
!   - &
! ********************************************************************
!
!                    PSEUDO CODE
!
!   trivial
! ======================================================================
!
      base = 1d0 * npoint

!     --- Fill help

      do 100 i=1, nline
          i1 = line(2*i-1)
          i2 = line(2*i  )

!         --- Determine number for this element

          if ( i1.gt.i2 ) then
               help(i) = i1 + i2 * base
          else
               help(i) = i2 + i1 * base
          end if

100   continue

      iline = 0

!     --- Run through all numbers ; if equal than second line can be
!         canceled

      call topq00 ( help, ihelp, nline, 0 )

      do 200 i=1, nline
          val = help(i)
          if ( val.gt.0.1d0 ) then
               iline = iline + 1
               line(2*iline-1) = line(2*i-1)
               line(2*iline  ) = line(2*i  )
          end if
200   continue

      nline = iline

      end
