      subroutine topq10 ( nelemcac )

! =======================================================================
!
!
!         programmer   Niek Praagman
!
!         version 1.0  date 31-03-1993
!
!
!   copyright (c) 1993,1993  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard or soft copy granted only by written license obtained
!   from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system (e.g. , in memory, disk or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ***********************************************************************
!
!     DESCRIPTION
!
!     Compute number of 3-point triangles or 4-point tetrahedrons of mesh
!     to be created if function has been given on elements (i.e. type 116)
!
! ***********************************************************************
!
!     KEYWORDS
!
!     3d
!     2d
!     subdivision
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
! ***********************************************************************
!
!     INPUT / OUTPUT PARAMETERS
!
      integer nelemcac

!     nelemcac     o   number of elements to be created in new mesh
!
! ***********************************************************************
!
!     LOCAL PARAMETERS
!
      integer ielgrp
!
!     ielgrp     loop variable for element groups
! ***********************************************************************
!
!     SUBROUTINES CALLED
!
! ***********************************************************************
!
!     ERROR MESSAGES
!
! ***********************************************************************
!
!     METHOD
!
!     Run through all groups
!
!     Compute number of elements of group
!
!     Determine number of new triangles or tetrahedrons
!
!     Add to total number
!
! =======================================================================
!     Determine the needed values

      nelemcac    =  0

!     Run through all the groups

      do 1000 ielgrp = 1 , nelgrp

!         Determine type of element of group ielgrp

          ishape = kmeshf(ielgrp)
          inelem = Topgrp(ielgrp)%inelem

!         Compute dependent on ndim

          if ( ndim==2 ) then

             if ( ishape==3 ) then

!              triangle with three nodes

               nelemcac = nelemcac + inelem

             else if ( ishape==4 .or. ishape==7 ) then

!              triangle with six or seven nodes

               nelemcac = nelemcac + inelem

             else if ( ishape==5 ) then

!              quadrangle with four nodes

               nelemcac = nelemcac + 2 * inelem

             else if ( ishape==6 ) then

!              quadrangle with nine nodes

               nelemcac = nelemcac + 2 * inelem

             end if

          else if ( ndim==3 ) then

             if ( ishape==11 .or. ishape==12 ) then

!              tetrahedron with four or ten nodes

               nelemcac = nelemcac + inelem

             else if ( ishape==15 .or. ishape==16 ) then

!              tetrahedron with 14 or 15 nodes

               nelemcac = nelemcac + inelem

             else if ( ishape==13 .or. ishape==14 ) then

!              hexahedron with 8 or 27 nodes

               nelemcac = nelemcac + 6 * inelem

             end if

          end if

1000  continue

      end
