      subroutine erfilldefcof2 ( namecof )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 15-11-2014
!
!   copyright (c) 2014-2014  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Check if keyword is found in list of vectors.
!     If so fill value in iincof/rincof
! **********************************************************************
!
!                       KEYWORDS
!
!     coefficient
!     default
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecoeffs
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      character (len=* ) namecof

!     namecof        i    Name of Coefficient
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer :: iseq, i

!                    they are not
!     i              Counting variable
!     iseq           Sequence number
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     GETVECNAMESEQ  Get sequence number of vector with specific name
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'erfilldefcof2' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from erfilldefcof2'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

!     --- Check if the name is in the set of vectors

      iseq = 0
      call getvecnameseq ( namecof, iseq )

      if ( iseq>0 ) then

!     --- Vector found, fill iincof

         do i = 1, ndim

            iincof(iposin+1) = 6        ! Type input = vector
            iincof(iposin+2) = icoef+i-1 ! Sequence number coefficient
            iincof(iposin+3) = iseq     ! Sequence number vector
            iincof(iposin+4) = i        ! Degree of freedom
            iposin = iposin+4

         end do  ! i = 1, ndim

      end if  ! ( iseq>0 )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End erfilldefcof2'

      end if  ! ( debug )
      call erclos ( 'erfilldefcof2' )

      end subroutine erfilldefcof2
