      subroutine iniclk
! ======================================================================
!
!        programmer    Guus Segal
!        version  2.7  date 29-05-2014 Use wall clock and cpu
!        version  2.6  date 28-02-2004 Correct wall clock time
!        version  2.5  date 16-02-1994 New layout
!
!   copyright (c) 1982-2004  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!      set time parameter to zero
!      machine dependent subroutine
!      This subroutine is machine dependent
! **********************************************************************
!
!                       KEYWORDS
!
!     timing
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecpu
      use sepmodulecpack
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer timing(8)
      character (len=5) zone
      character (len=8) date_start
      character (len=10) time_start

!     date_start     Dummy parameter for date_and_time
!     time_start     Dummy parameter for date_and_time
!     timing         Dummy parameter for date_and_time
!     zone           Dummy parameter for date_and_time
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     CPU_TIME       Retruns with cpu time since start of program
!     DATE_AND_TIME  Returns with date and time
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      tim1 = 0
      tim1wall = 0

!     --- General time subroutine

      call cpu_time ( tim1 )

      if ( .not. cputiming ) then

!     --- Use the wall clock time

         call date_and_time(date_start,time_start,zone,timing)
         tim1wall = timing(5)*3600+timing(6)*60+timing(7)+timing(8)*1e-3

      end if  ! ( .not. cputiming )

      tim2 = tim1
      tim2wall = tim1wall

      end
