      subroutine read02filli ( table, isubtract )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 14-10-2015
!
!   copyright (c) 2015-2015  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Read and fill information concerning integer coefficient into iincof
!
! **********************************************************************
!
!                       KEYWORDS
!
!     type_number
!     coefficient
!     read
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecoeffs
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer, intent(inout) :: isubtract
      double precision, intent(in) :: table

!     isubtract      i    Value that must be subtracted from table
!     table          i    Contains value of coefficient in table
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'read02filli' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from read02filli'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      iincof(iposin+1) = 1      ! integer found
      iincof(iposin+2) = icoef
      iincof(iposin+3) = nint(table)-isubtract
      iposin = iposin+3

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End read02filli'

      end if  ! ( debug )
      call erclos ( 'read02filli' )

      end subroutine read02filli
