      subroutine readboolop ( iretur )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 12-09-2013 allow && and ||
!        version  1.0  date 06-02-2008
!
!   copyright (c) 2008-2013  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Interpret next item read
!     Return with a positve value if it is boolean operator
!     and a zero if not
! **********************************************************************
!
!                       KEYWORDS
!
!     read
!     boolean
!     record
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleread
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iretur

!     iretur         o    Return value of subroutine
!                         0:  item not boolean operator
!                         1: operator is <
!                         2: operator is <= &
!                         3: operator is >
!                         4: operator is >= &
!                         5: operator is /= &
!                         6: operator is == &
!                         7: operator is AND
!                         8: operator is OR
!                         9: operator is NOT
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     READBOOLWR     Interpret string read
!                    Return with a positive number if it is a boolean operator
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'readboolop' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from readboolop'
         write(irefwr,1) 'lastitem', lastitem
         write(irefwr,1) 'typeitems(lastitem)', typeitems(lastitem)
  1      format ( a, 1x, (10i6) )

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      iretur = 0  ! Return value

      select case ( typeitems(lastitem) )

         case(3)

!        --- String found, check if it is not, or, and
!            lastitem is raised if necessary

            call readboolwr ( iretur )

         case(20:25)

!        --- operator found

            iretur = typeitems(lastitem)-19
            lastitem = lastitem+1

         case(30:31)

!        --- & or && or | or || found

            iretur = typeitems(lastitem)-23
            lastitem = lastitem+1

      end select  ! case ( typeitems(lastitem) )

1000  call erclos ( 'readboolop' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,1) 'lastitem', lastitem
         write(irefwr,1) 'iretur', iretur
         write(irefwr,*) 'End readboolop'

      end if  ! ( debug )

      end
