      subroutine readboolwr ( iretur )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 06-02-2008
!
!   copyright (c) 2008-2008  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Interpret string read
!     Return with a positive number if it is a boolean operator and
!     an error if not
! **********************************************************************
!
!                       KEYWORDS
!
!     read
!     boolean
!     record
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleread
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iretur

!     iretur         o    Return value of subroutine
!                         0:  keyword not recognized
!                         7: keyword = AND
!                         8: keyword = OR
!                         9: keyword = NOT
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ASKUPC         Translate all letters to upper case
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'readboolwr' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from readboolwr'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      iretur = 0   ! not a boolean operator found

      firstcol = firstcolitems(lastitem)
      numrecord = firstcol/240+1
      firstcol = mod(firstcol,240)
      lastcol = mod(lastcolitems(lastitem),240)

      nchar = lastcol-firstcol+1
      stringim(1:nchar) = cardimage(numrecord)(firstcol:lastcol)

!     --- store text in card in uppercase form

      string(1:nchar) = stringim(1:nchar)
      call askupc(string(1:nchar))
      if ( nchar==2 .and. string(1:nchar)=='OR' ) then

!     --- OR found

         iretur = 8

      else if ( nchar==3 .and. string(1:nchar)=='AND' ) then

!     --- AND found

         iretur = 7

      else if ( nchar==3 .and. string(1:nchar)=='NOT' ) then

!     --- NOT found

         iretur = 9

      end if  ! ( nchar==2 .and. string(1:nchar)=='OR' )
      if ( iretur>0 ) lastitem = lastitem+1

1000  call erclos ( 'readboolwr' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End readboolwr'

      end if  ! ( debug )

      end
