      subroutine readscwritmesh ( istart, inpsep )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 22-11-2004 Fortran 90
!        version  1.0  date 29-11-2002
!
!   copyright (c) 2002-2011  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   Read the input following the following the keyword
!   WRITE_MESH
!   with respect to subroutine readsc
!   The input is stored in array inpsep and the real array rinsep
! **********************************************************************
!
!                       KEYWORDS
!
!     read
!     mesh
!     write
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleread1
      use sepmoduletexts
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer :: istart, inpsep(*)

!     inpsep        i/o   The integer input read is stored in array INPSEP
!                         This part contains:
!                         2:  INAME Sequence number of name in text array
!                                   0 = default name
!     istart        i/o   Next free position in inpsep
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     SEPREADSETKEYW Interpret a record containing keywords followed by data
! **********************************************************************
!
!                       I/O
!
!       WRITE_MESH, options (all in one line)
!           where options may have the following contents
!           FILE = 'file_name' (Default meshoutput)
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'readscwritmesh' )

      nncode = 1
      code(1) = 'FILE'
      ncodmx(1) = 4
      ncode(1) = 4
      itype(1) = 6
      tabmin(1) = 1d0
      tabmax(1) = 1d2
      table(1) = -1d0
      nmain = 0
      iretur = 0
      call sepreadsetkeyw
      if ( ierror/=0 ) go to 1000
      inpsep(istart) = icode
      inpsep(istart+1) = 0
      if ( table(1)>0 ) then
         inpsep(istart+1) = nextxt
         texts(nextxt) = strout(1)
         nextxt = nextxt+1
      end if
      istart = istart+2

1000  call erclos ( 'readscwritmesh' )

      end subroutine readscwritmesh
