      subroutine readsoldum
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 28-11-2006
!
!   copyright (c) 2006-2006  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Read lines with respect to solution and skip
!     these results
! **********************************************************************
!
!                       KEYWORDS
!
!     read
!     post_processing
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      use sepmodulemach
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer ios, ihelp(5), nlines, nglunk, nfictunk, idum, i

!     i              Counting variable
!     idum           General dummy variable
!     ihelp          integer work array
!     ios            IOSTAT variable, returns from reading or writing
!     nfictunk       Total number of fictitious unknowns
!     nglunk         total number of global unknowns
!     nlines         number of lines corresponding to the solution array
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     READHEADING    Read second part of information of solution array from
!                    sepcomp.out
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'readsoldum' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from readsoldum'

      end if
      if ( ierror/=0 ) go to 1000

!     --- read heading

      call readheading ( ios, ihelp, nlines, nglunk, nfictunk )
      if ( ierror/=0 ) go to 1000

!     --- read dummy lines

      do i = 1, nlines
         if ( iref74>0 ) then
            read(iref74,*) idum
         else
            read(-iref74) idum
         end if
      end do

1000  call erclos ( 'readsoldum' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End readsoldum'

      end if

      end
