      subroutine sepcopcoorsym1 ( coornew )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 03-08-2017
!
!   copyright (c) 2017-2017  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Copy coordinates of old mesh into coornew and mirror coordinates
!     of symmetric points
! **********************************************************************
!
!                       KEYWORDS
!
!     copy
!     mesh
!     coordinate
!     symmetric
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulesymm
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double precision, intent(out) :: coornew(2,npointsymm)

!     coornew        o    Array containing the new coordinates of the nodes
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepcopcoorsym1' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepcopcoorsym1'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

!     --- Copy old coordinates

      coornew(1:2,1:npoint) = coor(1:2,1:npoint)

!     --- Mirror old coordinates

      coornew(1,nodesnew(:)) = -coor(1,:)
      coornew(2,nodesnew(:)) = coor(2,:)

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepcopcoorsym1'

      end if  ! ( debug )
      call erclos ( 'sepcopcoorsym1' )

      end subroutine sepcopcoorsym1
