      subroutine sepdiffmain
! ======================================================================
!
!        programmer    Guus Segal
!        version  2.0  date 30-01-2016 New parameter list
!        version  1.2  date 25-11-2012 Long integers
!        version  1.1  date 30-08-2006 New definition of cpost5
!
!   copyright (c) 2005-2016  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Compute the difference between 2 output files of the shape sepcomp.out
!     and store in the sepcompdiff.out
! **********************************************************************
!
!                       KEYWORDS
!
!     post_processing
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulemnsub
      use sepmodulemain
      use sepmodulecons
      use sepmoduleplot
      use sepmodulepost
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
      integer ispace(500)

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, j, niter

!     i              Counting variable
!     j              Counting variable
!     niter          Iteration sequence number
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     FINISH         Stop SEPRAN
!     SEPDIFFMAIN1   starts the SEPRAN program SEPDIFFOUT
!     SEPMAKEREL     Make relation between local and global arrays
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- Initialize all arrays

      kmesh2d = 0
      kprob2d = 0
      kprob2d(:) = lenprob

      isolut3d = 0
      meshnr = 1
      call sepmakerel

!     --- Initialize array names

      do i = 1,26
         names(i) (1:8) = 'vector v'
         names(i) (11:30) = '                    '
         write( names(i) (9:10), 90 ) i-1
90       format(i2)
      end do

!     --- Start the program, read the mesh, the problem definition and the
!         solution arrays

      ispace(1) = 1498
      call sepdiffmain1 ( ispace, niter )

      print *, 'end of sepdiffmain'
      call finish(0)
      end
