      subroutine sependif
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 18-03-2017
!
!   copyright (c) 2017-2017  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Perform actions corresponding to end_if
!
! **********************************************************************
!
!                       KEYWORDS
!
!     compute_all
!     if_statement
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulemnsub
      use sepmodulecomp
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sependif' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sependif'
         write(irefwr,1) 'istartmn, iseqif', istartmn, iseqif
  1      format ( a, 1x, (10i6) )

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      checkif(iseqif) = .false.
      iseqif = iseqif-1
      istartmn = istartmn+1

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,1) 'istartmn, iseqif', istartmn, iseqif
         write(irefwr,*) 'checkif(iseqif+1)', checkif(iseqif+1)
         write(irefwr,*) 'End sependif'

      end if  ! ( debug )
      call erclos ( 'sependif' )

      end subroutine sependif
