      subroutine sepps2setm ( iinput, indmsh, iactmesh )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 26-06-2006
!
!   copyright (c) 2006-2006  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Set mesh number in seppost
!
! **********************************************************************
!
!                       KEYWORDS
!
!     mesh
!     post_processing
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iinput(*), indmsh(*), iactmesh

!     iactmesh      i/o   Actual mesh sequence number
!     iinput         i    integer input array corresponding to seppost
!                         See common cpost1
!     indmsh         i    Integer array of length nmesh. In this array flags to
!                         indicate which meshes are active are stored
!                         indmsh(i) = 0, means mesh i is not active
!                         indmsh(i) = 1, means mesh i is active
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     ERRINT         Put integer in error message
!     ERRSUB         Error messages
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    2225   Mesh sequence number already in use
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepps2setm' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepps2setm'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      iactmesh = iinput(90)
      if ( indmsh(iactmesh)/=0 ) then

!     --- indmsh(iactmesh) already in use

         call errint ( iactmesh, 1 )
         call errsub ( 2225, 1, 0, 0 )
         go to 1000

      else

         indmsh(iactmesh) = 1

      end if

1000  call erclos ( 'sepps2setm' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepps2setm'

      end if  ! ( debug )

      end
