      subroutine sepreadcofmark
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 17-02-2017
!
!   copyright (c) 2017-2017  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Fill and check imark for double coefficients
!
! **********************************************************************
!
!                       KEYWORDS
!
!     type_number
!     coefficient
!     read
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleactual
      use sepmodulecoeffs
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepreadcofmark' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepreadcofmark'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      if ( imark(icoef)==0 ) then

!     --- imark(icoef) = 0, Coefficient has not been filled

         imark(icoef) = 1

      else

!     --- imark(icoef)>0, Coefficient has been filled before

         call errint ( icoef, 1 )
         call errint ( ielgrp, 2 )
         call errwar ( 1865, 2, 0, 0 )

      end if  ! ( imark(icoef)==0 )

1000  call erclos ( 'sepreadcofmark' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepreadcofmark'

      end if  ! ( debug )

      end subroutine sepreadcofmark
