      subroutine sepst1sub2
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 17-12-2009 Remove princons
!        version  1.0  date 02-05-2005
!
!   copyright (c) 2005-2009  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Perform the last part of subroutine sepst1
!
! **********************************************************************
!
!                       KEYWORDS
!
!     mesh
!     start
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!

! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     READSEPFREQ    Read the contents of the file sepcomp.freq
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepst1sub2' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepst1sub2'

      end if
      if ( ierror/=0 ) go to 1000

!     --- Read file sepcomp.freq if it exists

      call readsepfreq
      if ( debug ) write(irefwr,*) 'after readsepfreq'
      if ( ierror/=0 ) go to 1000

1000  call erclos ( 'sepst1sub2' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepst1sub2'

      end if

      end
