      subroutine msh044 ( kmeshm, kmeshl )
! ======================================================================
!
!        programmer    Guus Segal
!        version  3.0  date 13-03-2006 New layout
!        version  2.0  date 27-12-1987 Removal of knpt<-10000
!        version  1.1  date 22-08-1991 Zdenek: no dimension, cdc, ce
!        version  1.0  date 03-09-1985
!
!   copyright (c) 2006-2006  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     fill negative values in kmeshm if possible
!
! **********************************************************************
!
!                       KEYWORDS
!
!     node
!     topology
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer kmeshm(*), kmeshl(*)

!     kmeshl         i    KMESH part l, contains nodal point numbers of the
!                         user points
!     kmeshm        i/o   KMESH part m, contains nodal point numbers of the
!                         curves
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer j, nodp, jnodp

!     j              Counting variable
!     jnodp          Nodal point sequence number
!     nodp           Nodal point sequence number
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'msh044' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from msh044'

      end if
      if ( ierror/=0 ) go to 1000
      do j = kmeshm(2), kmeshm(3)-1
         nodp=kmeshm(j)
         if (nodp<0) then
            jnodp=kmeshl(-nodp)
            if(jnodp>0) kmeshm(j)=jnodp
         end if
      end do

1000  call erclos ( 'msh044' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End msh044'

      end if

      end
