      subroutine msh473( coor  , npoint, xmin, ymin, klasse, &
                         dstepx, dstepy )

! =======================================================================
!
!         programmer   Niek Praagman
!
!         version 1.0  date  27-04-1994
!
!   copyright (c) 1994-1994  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard or soft copy granted only by written license obtained
!   from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system (e.g. , in memory, disk or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ***********************************************************************
!
!     DESCRIPTION
!
!     Find class number for each point as given in COOR
!
! ***********************************************************************
!
!     KEYWORDS
!
!     subdivision
!     class
!
! ***********************************************************************
!
!     INPUT / OUTPUT PARAMETERS
!
      implicit none
      integer npoint, klasse(2,npoint)
      double precision coor(2,npoint), xmin, ymin, dstepx, dstepy

!     coor     i   array with coordinates of points submitted by user
!
!     dstepx   i   stepsize in x-direction
!
!     dstepy   i   stepsize in y-direction
!
!     klasse   o   array with for each point its class number both in x- &
!                  and y-direction
!
!     npoint   i   number of points in field to be structured
!
!     xmin     i   smallest x-coordinate to be considered
!
!     ymin     i   smallest y-coordinate to be considered
!
! ***********************************************************************
!
!     COMMON BLOCKS
!
! ***********************************************************************
!
!     LOCAL PARAMETERS
!
      integer ip, nx, ny
      double precision xp, yp

!     ip     loop variable
!
!     nx     x-class indicator
!
!     ny     y-class indicator
!
!     xp     x-coordinate
!
!     yp     y-coordinate
!
! ***********************************************************************
!
!     SUBROUTINES CALLED
!
! ***********************************************************************
!
!     ERROR MESSAGES
!
! ***********************************************************************
!
!     PSEUDO CODE
!
!     run through all points and fill array class with the x- and y-class
!     numbers
!
! =======================================================================

!     Run through all points

      do 100 ip = 1 , npoint

          xp = coor( 1, ip )
          yp = coor( 2, ip )

          nx = int( (xp - xmin) / dstepx ) + 1
          ny = int( (yp - ymin) / dstepy ) + 1

          klasse( 1, ip ) = nx
          klasse( 2, ip ) = ny

100   continue

      end
