      subroutine mshg02 ( x1, y1, x2, y2, x3, y3, ih, w )
! ======================================================================
!
!        programmer    Niek Praagman
!        version  3.0  date 30-12-1995 Sander de Snoo: new implementation
!        version  2.1  date 27-01-1994 angle of 360 degrees !
!        version  2.0  date 26-09-1984
!
!   copyright (c) 1983-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Subroutine to check whether angle 1-2-3 is greater or smaller than
!    180 degrees.
! **********************************************************************
!
!                       KEYWORDS
!
!     angle
!     2d
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleconsts
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer ih
      double precision w, x1, x2, x3, y1, y2, y3

!     ih       o     indicator whether angle is concave (1) or not (0)
!     w        o     cosine value of angle
!     x1       i     x-coordinate first point
!     x2       i     x-coordinate second point
!     x3       i     x-coordinate third point
!     y1       i     y-coordinate first point
!     y2       i     y-coordinate second point
!     y3       i     y-coordinate third point
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      double precision a

!     a       angle
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!    MSHG01    Determine cosine of angle 1-2-3
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!      calculate angle (interval 0, 2pi)
!      angle < 0.001  degrees: angle must be 360 degrees thus concave
!      angle > 180.05 degrees: angle concave
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- calculate angle

      a = atan2(y1-y2,x1-x2)-atan2(y3-y2,x3-x2)

!     --- angle between 0 and 2pi!

      if (a.lt.0) a=a+2*pi

      if ( a.gt.2d-5 .and. a.lt.3.1425d0 ) then
        ih=0
      else
        ih=1
        call mshg01 ( x1, y1, x2, y2, x3, y3, w )
      end if

      end
