      subroutine mshnewsurf ( iinput )
! ======================================================================
!
!        programmer    Guus Segal
!        version  2.0  date 02-09-2010 Remove intarmsh
!        version  1.0  date 23-07-1999
!
!   copyright (c) 1999-2010  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Check if new surfaces, curves and user points must be created because
!     a surface actually consists of subparts
!     At this moment this is only the case if the submesh generator sphere is
!     used
! **********************************************************************
!
!                       KEYWORDS
!
!     check
!     mesh
!     surface
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      use sepmodulemesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iinput(*)

!     iinput         i    integer input array
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer iinp, i

!     i              Counting variable
!     iinp           last position used in array iinput
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     MSH049         Compute starting address of specific surface in array
!                    IINPUT
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!     For all surfaces do
!        if ( type of surface is sphere ) then
!            compute extra information
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'mshnewsurf' )
      nsurfs = iinput(4)
      iinp   = iinp3
      nextrapnts = 0
      nextracrvs = 0
      nextrasrfs = 0
      do i = 1, nsurfs
         isurf = iinput(iinp)
         if ( isurf==20 ) then
            itypesurf = iinput(iinp+5)
            if ( itypesurf==1 ) then

!           --- Complete sphere

               nextrapnts = nextrapnts+5
               nextracrvs = nextracrvs+13
               nextrasrfs = nextrasrfs+11

            else

!           --- Half sphere

               nextrapnts = nextrapnts+4
               nextracrvs = nextracrvs+9
               nextrasrfs = nextrasrfs+7

            end if

         end if
         call msh049 ( iinput, iinp, isurf )
      end do
      call erclos ( 'mshnewsurf' )
      end
