      subroutine msho64 ( coor1, coor2, dist )

! =======================================================================
!
!
!         programmer     Niek Praagman
!
!         version 1.0    date  30-09-1993
!
!
!
!   copyright (c) 1993-1993  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ***********************************************************************
!
!     DESCRIPTION
!
!     Compute the Euclidian distance between two points in 3d
!
! ***********************************************************************
!
!     KEYWORDS
!
!     3d
!     mesh_generation
!     distance
!
! ***********************************************************************
!
!     INPUT / OUTPUT PARAMETERS
!
      implicit none
      double precision coor1(3), coor2(3), dist

!     coor1    i    coordinate array first point
!
!     coor2    i    coordinate array second point
!
!     dist     o    Euclidian distance
!
! ***********************************************************************
!
!     COMMON BLOCKS
!
! ***********************************************************************
!
!     LOCAL PARAMETERS
!
      double precision dx, dy, dz

!
!     dx     x-distance
!     dy     y-distance
!     dz     z-distance
!
! ********************************************************************
!
!     SUBROUTINES CALLED
!
! ***********************************************************************
!
!     ERROR MESSAGES
!
! ***********************************************************************
!
!     METHOD
!
!     trivial
!
! =======================================================================

      dx = coor2(1) - coor1(1)
      dy = coor2(2) - coor1(2)
      dz = coor2(3) - coor1(3)

      dist = sqrt( dx*dx + dy*dy + dz*dz )

      end
