      subroutine msho84 ( kbound )
! ======================================================================
!
!        programmer     Niek Praagman
!        version 1.1    date   15-09-1996 New ordering boundary
!        version 1.0    date   28-06-1996
!
!
!
!   copyright (c) 1996-1996  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Fill the boundary triangles in boundary array in case of an
!     unstructured mesh with artificial boundary
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      implicit none
      integer kbound(*)

!     kbound  o    array with the boundary triangles
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!     Fill all positions for a simple hexahedron with 8 nodes and twelve
!     boundary triangles
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- Fill the boundary triangles in array positions

      kbound(  1 ) = 1
      kbound(  2 ) = 2
      kbound(  3 ) = 3

      kbound(  4 ) = 1
      kbound(  5 ) = 3
      kbound(  6 ) = 4

      kbound(  7 ) = 5
      kbound(  8 ) = 7
      kbound(  9 ) = 6

      kbound( 10 ) = 5
      kbound( 11 ) = 8
      kbound( 12 ) = 7

      kbound( 13 ) = 1
      kbound( 14 ) = 4
      kbound( 15 ) = 5

      kbound( 16 ) = 4
      kbound( 17 ) = 8
      kbound( 18 ) = 5

      kbound( 19 ) = 2
      kbound( 20 ) = 6
      kbound( 21 ) = 3

      kbound( 22 ) = 3
      kbound( 23 ) = 6
      kbound( 24 ) = 7

      kbound( 25 ) = 1
      kbound( 26 ) = 6
      kbound( 27 ) = 2

      kbound( 28 ) = 1
      kbound( 29 ) = 5
      kbound( 30 ) = 6

      kbound( 31 ) = 4
      kbound( 32 ) = 7
      kbound( 33 ) = 8

      kbound( 34 ) = 4
      kbound( 35 ) = 3
      kbound( 36 ) = 7

!     --- All boundary triangles have been placed

      end
