      subroutine mshv04(ipoly,ipoln,nr,c,n,npt,coor,coarse)
      implicit double precision (a-h,o-z)
      integer ipoly(*), nr(*)
      double precision c(*), coor(*), coarse(*)
! * &
! ***********************************************************************
! * &
! *   subroutine mshv04 divides a convex polygon into two new smaller
! *   polygons by drawing the "most-appropriate" split-line .
! * &
! ***********************************************************************
!
!
!         programmer     Niek Praagman
!         version 3.3    date  18-08-1992 remove float
!         version 3.2    date  22-08-1991 Zdenek: no dimension, cdc, ce
!         version 3.1    date  17-02-1989  Deletion of superfl. parms
!         version 3.0    date  14-12-1985
!
!
!
!   copyright (c) 1984,1992  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard or soft copy granted only by written license obtained
!   from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system (e.g. , in memory, disk or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ***********************************************************************
! * &
      iforty=0
! * &
100   continue
! * &
! *   try to determine the most appropriate split-line in a polygon
! * &
      ibest=0
      jbest=0
! * &
      afwijk=5.0d0
! * &
! *   consider all combinations i - j
! * &
      do 150 i=1,n
          icoor=nr(i+1)
          xi=coor(2*icoor-1)
          yi=coor(2*icoor)
          i1=i-1
          if(i1.lt.1) i1=i1+n
          i2=i+1
          if(i2.gt.n) i2=i2-n
          icoor=nr(i1+1)
          x1=coor(2*icoor-1)
          y1=coor(2*icoor)
          icoor=nr(i2+1)
          x2=coor(2*icoor-1)
          y2=coor(2*icoor)
          j=i+1
120   continue
! * &
          j=j+1
          if ( j.gt.n ) goto 150
! * &
          if ( j.eq.i1 ) goto 150
! * &
          icoor=nr(j+1)
          xj=coor(2*icoor-1)
          yj=coor(2*icoor)
          j1=j-1
          if(j1.lt.1) j1=j1+n
          j2=j+1
          if(j2.gt.n) j2=j2-n
          icoor=nr(j1+1)
          x3=coor(2*icoor-1)
          y3=coor(2*icoor)
          icoor=nr(j2+1)
          x4=coor(2*icoor-1)
          y4=coor(2*icoor)
! * &
! *   compute the cosine of the four new angles
! * &
! *   angle 1 = i1 , i , j
! * &
      call mshg01(x1,y1,xi,yi,xj,yj,c1)
! * &
      if (c1.gt.0.99d0) goto 120
! * &
! *   angle 2 = i2 , i , j
! * &
      call mshg01(x2,y2,xi,yi,xj,yj,c2)
! * &
      if (c2.gt.0.99d0) goto 120
! * &
! *   angle 3 = j1 , j , i
! * &
      call mshg01(x3,y3,xj,yj,xi,yi,c3)
! * &
      if (c3.gt.0.99d0) goto 120
! * &
! *   angle 4 = j2 , j , i
! * &
      call mshg01(x4,y4,xj,yj,xi,yi,c4)
! * &
      if (c4.gt.0.99d0) goto 120
! * &
      jbest=1
! * &
! *   check first whether all angles are larger than 60 degrees
! *   skip this if iforty = 1
! * &
      if (iforty.eq.1) goto 130
! * &
      if (c1.gt.0.5d0) goto 120
      if (c2.gt.0.5d0) goto 120
      if (c3.gt.0.5d0) goto 120
      if (c4.gt.0.5d0) goto 120
! * &
! *   all angles are larger than 60 degrees
! * &
130   continue
! * &
! *   determine sum of truncations
! * &
      af1=abs(c1)
      af2=abs(c2)
      af3=abs(c3)
      af4=abs(c4)
! * &
      som=af1+af2+af3+af4
! * &
      ibest=1
! * &
      if(som.gt.afwijk) goto 120
! * &
      afwijk=som
! * &
! *   possible candidate  i - j
! * &
      imog=i
      jmog=j
! * &
      goto 120
! * &
150   continue
! * &
      if ( jbest.eq.1 ) goto 200
! * &
      call ertrap('mesh',353,2,n,0,0)
      call instop
! * &
200   continue
! * &
! *   line  imog - jmog has been chosen
! * &
      if ( ibest.eq.1 ) goto 250
! * &
! *   ibest is 0 hence no splitting line has been found , &
! *   skip requirement of 60 degrees
! * &
      iforty=1
! * &
      goto 100
! * &
250   continue
! * &
! *   determine coarseness
! * &
      ipnt=nr(imog+1)
      jpnt=nr(jmog+1)
      rimog=coarse(ipnt)
      rjmog=coarse(jpnt)
      ri=(rimog+rjmog)/2d0
! * &
! *   determine length of line ipnt - jpnt
! * &
      xi=coor(2*ipnt-1)
      yi=coor(2*ipnt)
! * &
      xj=coor(2*jpnt-1)
      yj=coor(2*jpnt)
! * &
      dx=xj-xi
      dy=yj-yi
! * &
      slang=sqrt(dx*dx+dy*dy)
! * &
      call mshv06(imog,jmog,slang,ri,n1)
      n1=n1+1
! * &
      if(n1.le.1) goto 340
! * &
! *   n1 > 1 , hence ( n1 - 1 ) new points
! * &
      nh1=n1-1
! * &
! *   place the points in the right positions
! * &
      a=1d0/nh1
! * &
      alva=rjmog/rimog
      alva=(alva)**a
! * &
! *   determine weighting factor
! * &
      som=1d0
! * &
      do 320 i=1,nh1
          som=alva*som+1d0
320   continue
! * &
! *   starting with length rimog would give a total length of
! *   som * rimog , start in such a way that the total length
! *   will be exactly dx resp. dy
! * &
      rbx=dx/som
      rby=dy/som
      s=1.0d0
! * &
      ah=(rjmog-rimog)/n1
! * &
      do 330 i=1,nh1
          npt=npt+1
          coor(2*npt-1)=xi+s*rbx
          coor(2*npt)=yi+s*rby
          s=alva*s+1.0d0
          coarse(npt)=rimog+i*ah
330   continue
! * &
340   continue
! * &
! *   fill array ipoly
! * &
      ih=imog
      ipoln=ipoln+1
      ihulp=ipoln
350   continue
      ipoln=ipoln+1
      ipoly(ipoln)=nr(ih+1)
      ih=ih+1
      if(ih.gt.n) ih=ih-n
      if(ih.ne.jmog) goto 350
      ipoln=ipoln+1
      ipoly(ipoln)=nr(jmog+1)
! * &
      if(n1.le.1) goto 370
! * &
      do 360 i=1,nh1
          ipoln=ipoln+1
          ipoly(ipoln)=npt+1-i
360   continue
! * &
370   continue
! * &
      ipoly(ihulp)=ipoln-ihulp
      ih=jmog
      ipoln=ipoln+1
      ihulp=ipoln
375   continue
      ipoln=ipoln+1
      ipoly(ipoln)=nr(ih+1)
      ih=ih+1
      if(ih.gt.n) ih=ih-n
      if(ih.ne.imog) goto 375
      ipoln=ipoln+1
      ipoly(ipoln)=nr(imog+1)
      if(n1.le.1) goto 385
! * &
      do 380 i=1,nh1
          ipoln=ipoln+1
          ipoly(ipoln)=npt+i-nh1
380   continue
! * &
385   continue
! * &
      ipoly(ihulp)=ipoln-ihulp
! * &
      end
