      subroutine mshz11 ( n1, n2, n3, n4, npedge, mrec, iQ )
!
! **********************************************************************
!
!       programmer      Zdenek Vlasek
!       version 1.0     date 14-02-1990
!
!
!   copyright (c) 1990  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! **********************************************************************
!
!                  PURPOSE
!
!   To initialize the record iQ by the given quadrilateral
!
! **********************************************************************
!
!                  INPUT / OUTPUT  PARAMETERS

      integer n1, n2, n3, n4, npedge, mrec, iQ ( mrec )

!     mrec     i    Upper bound for length of iQ, see mshzde
!     n1,n2,n3,n4
!              i    Number of elements along s/e/n/west side of the
!                       quadrilateral
!     npedge   i    Number of points per one element edge, both ends
!                   included
!     iQ       o    Integer array of length mrec. This record describes
!                   boundary of the quadrilateral region ( see mshz21 ).
!
! **********************************************************************
!
!                  LOCAL VARIABLES

      integer i, incr

!     i        Counter
!     incr     Number of subintervals along one element edge
!
! **********************************************************************
!

!    * number of intervals on each edge
      incr = npedge - 1

!    * number of elements on each edge
      iQ ( 2 ) = n1
      iQ ( 3 ) = n2
      iQ ( 4 ) = n3
      iQ ( 5 ) = n4

!    * pointers into  iQ , beginnings of edges
      iQ ( 6 ) = 15
      iQ ( 7 ) = iQ ( 6 ) + n1 * incr
      iQ ( 8 ) = iQ ( 7 ) + n2 * incr
      iQ ( 9 ) = iQ ( 8 ) + n3 * incr

!    * pointers into  iQ , ends of edges
      iQ ( 10 ) = iQ ( 7 )
      iQ ( 11 ) = iQ ( 8 )
      iQ ( 12 ) = iQ ( 9 )
      iQ ( 13 ) = iQ ( 12 ) + n4 * incr

!    * orientation
      iQ ( 14 ) = 1

!    * actual length of the record
      iQ ( 1 ) = iQ ( 13 )

!    * nodenumbers for boundary nodes, &
!         ( first node appears also as the last node )

      do 10 i = iQ ( 6 ), iQ ( 13 ) - 1
         iQ ( i ) = i - 14
   10 continue

      iQ ( iQ ( 13 ) ) = 1

      end
