      subroutine mshz19 ( mstk, mrec, nstk, iQ, iStk )
!
! **********************************************************************
!
!       programmer      Zdenek Vlasek
!       version 1.0     date 14-02-1990
!
!
!   copyright (c) 1990  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! **********************************************************************
!
!                  PURPOSE
!
!    To pop one record ( one quadrilateral ) from the top of the stack, &
!    the record is to be copied into iQ.
!
!    See mshz21 for details about this stack
!
! **********************************************************************
!
!                  INPUT / OUTPUT  PARAMETERS

      integer mstk, mrec, nstk, iQ ( mrec ), iStk ( mstk, mrec )

!     iQ       o    Integer array of length mrec, to contain the
!                   record which should be poped from the stack
!     iStk     io   Integer array (mstk,mrec).
!                   The stack which can keep upto mstk records, &
!                   the current number of records is nstk
!                   Each record represents one quadrilateral boundary
!                   and is built like the iQ(mrec), see mshz21, &
!                   the records wait in the stack for processing
!     mrec     i    Upper bound for length of iQ
!     mstk     i    Upper bound for number of records in the stack
!     nstk     io   Current number of records in the stack
!
! **********************************************************************
!
!                  LOCAL VARIABLES

      integer i

!     i    Loop control
!
! **********************************************************************
!
!                  SUBROUTINES CALLED
!
!     mshz04   To display an error message and to stop the run
!
! **********************************************************************
!
!                  ERROR MESSAGES are self-explaining
!
! **********************************************************************
!

      if ( nstk.le.0 ) call mshz04 ( '# mshz19: stack underflow' )

      do 10 i = 1, iStk ( nstk, 1 )
         iQ ( i ) = iStk ( nstk, i )
   10 continue

      nstk = nstk - 1

      end
