      subroutine sepfillkmad2
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 14-03-2018
!
!   copyright (c) 2018-2018  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Fill array kmesh ad  part 2: ielemobst
!     Old subroutine topfillkmad2
! **********************************************************************
!
!                       KEYWORDS
!
!     memory_management
!     topology
!     mesh
!     element
!     node
!     obstacle
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer :: ichoice

!     ichoice        Integer choice parameter
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     SEPFILLNMESHC  Fill array nmeshc
!     SEPFILLNMESHH  Fill array nmesh part h
!     SEPFLKMESHAD2  Fill array kmesh part ad as well as the subarrays
!                    ipointobst and ielemobst (R^2 only)
!     SEPFLKMESHAD3  Fill array kmesh part ad as well as the subarrays
!                    ipointobst and ielemobst (R^3 only)
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepfillkmad2' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepfillkmad2'
         write(irefwr,1) 'kelmaa, kelmad', kelmaa, kelmad
  1      format ( a, 1x, (10i6) )

      end if
      if ( ierror/=0 ) go to 1000

      if ( kelmaa==0 )  call sepfillnmeshc
      if ( debug ) write(irefwr,*) 'after sepfillnmeshc'
      if ( nmesh(38)==0 ) call sepfillnmeshh
      if ( debug ) write(irefwr,*) 'after sepfillnmeshh'

      if ( kelmad==0 ) then
         ichoice = 2
      else if ( kmeshad(1)==0 ) then
         ichoice = 2
      else if ( kmeshad(5)/=kmeshad(6) .and. kmeshad(5)/=kmeshad(7) .and. &
                kmeshad(5)/=kmeshad(8) ) then
         ichoice = 2
      else
         ichoice = -2
      end if
      if ( debug ) write(irefwr,1) 'ichoice, ndim', ichoice, ndim

      if ( ndim==2 ) then

!     --- ndim = 2

         call sepflkmeshad2 ( ichoice )

      else

!     --- ndim = 3

         call sepflkmeshad3 ( ichoice )

      end if

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepfillkmad2'

      end if
      call erclos ( 'sepfillkmad2' )

      end subroutine sepfillkmad2
