      subroutine msh322 ( kmeshc, coor, nelem, npoint )
!
! ********************************************************************
!
!        programmer    Guus Segal
!        version 1.0   date   17-07-1990
!
!
!   copyright (c) 1990 "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ********************************************************************
!
!   *   Fill centroids for elements of type 16
!       It is assumed that the nodes 1 to 14 have already been filled in
!       KMESHC and COOR
!
!       The centroid nodes get numbers subsequent to the existing nodes
!
! ********************************************************************
!
!                       INPUT / OUTPUT
!

      double precision coor(3,*)
      integer kmeshc(15,*), nelem, npoint

!
!    coor    i/o  Array containing the coordinates of the nodes
!                 At input it is assumed that the nodes 1 to npoint have been
!                 filled. The new nodes (centroids of the elements) get the
!                 nodal point numbers npoint+1 to npoint+nelem
!
!    kmeshc  i/o  Array containing the nodal point numbers of the nodes
!                 At input the local numbers 1 to 14 have already been filled
!                 At output the 15 th point has been added
!
!    npoint  i/o  Number of nodes. At input this concerns the number of nodes
!                 already created, at output this number is enlarged
!
!    nelem    i   Number of elements
!
! ********************************************************************
!
!                   COMMON BLOCKS
!
! ********************************************************************
!
!                   LOCAL PARAMETERS
!
      integer i, j, k
      double precision sum

!
!    i        General loop variable
!
!    j        General loop variable
!
!    k        General loop variable
!
!    sum      Variable to store a sum
!
! ********************************************************************
!
!    *  Fill KMESH part c
!
      do 100 i = 1, nelem
         kmeshc(15,i) = npoint+i
100   continue

!    *  Fill last co-ordinates

      do 200 i = 1, nelem
         do 180 k = 1, 3
            sum = 0d0
            do 160 j = 1, 10
               sum = sum + coor(k,kmeshc(j,i))
160         continue
            coor(k,npoint+i) = sum * 0.1d0
180      continue
200   continue

!    *  Raise npoint

      npoint = npoint + nelem

      end
