      subroutine msh414( kmeshm, ncurvs, iwork )

! ====================================================================
!
!
!        programmer   Guus Segal
!
!        version 1.2  date   04-02-1993 New norms
!        version 1.1  date   22-08-1991 Zdenek: no dimension, cdc, ce
!        version 1.0  date   24-09-1987
!
!
!
!   copyright (c) 1987-1993  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ***********************************************************************
!
!     DESCRIPTION
!
!     Fill array iwork of length ncurvs with information concerning the
!     curves (filled or not)
!
! ***********************************************************************
!
!     KEYWORDS
!
!     mesh_generation
!     curve
!
! ***********************************************************************
!
!     INPUT / OUTPUT PARAMETERS
!
      implicit none

      integer kmeshm(*), ncurvs, iwork(*)


!    iwork    o   Work array of length that will be filled in the following
!                 way:
!
!                 When iwork(i) = 0 then curve i has been filled with nodes
!                 else when iwork(i) = 1 then curve i has not been filled
!
!    kmeshm   i   Kmesh part m  (contains information of the curves)
!
!    ncurvs   i   number of curves
!
! ***********************************************************************
!
!     COMMON BLOCKS
!
! ***********************************************************************
!
!     LOCAL PARAMETERS
!
      integer i, icurve, ih, istart, n

!     i          loop variable
!     icurve     curve number, loop variable
!     ih         helppointer
!     istart     position where info of curves starts
!     n          number of points in curve
!
! ***********************************************************************
!
!     SUBROUTINES CALLED
!
!
! ***********************************************************************
!
!     ERROR MESSAGES
!
! ***********************************************************************
!
!     METHOD
!
!     PSEUDO CODE
!
! =======================================================================

!     Initiate array iwork with zeros

      do 100 i = 1, ncurvs

          iwork(i)=0

100   continue

      istart  =  kmeshm(2)-1

      do 120 icurve = 1, ncurvs

         n = kmeshm(5+icurve) - kmeshm(4+icurve)

         if ( n.le.0 ) iwork(icurve) = 1

         ih=istart+kmeshm(icurve+4)

         do 110 i = 0 , n-1

            if ( kmeshm(ih+i).le.0 ) then

!                Curve not (yet) filled

                 iwork(icurve)=1

                 goto 120

            end if

110      continue

120   continue

      end
