      subroutine msh461 ( i1, i2, i3, ia, ib, ic )
! =======================================================================
!
!
!        programmer     Niek Praagman
!        version 1.0    date   13-02-1995
!
!
!
!   copyright (c) 1995-1995  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ***********************************************************************
!
!     DESCRIPTION
!
!     Sort the three nodes of a triangle
!
! ***********************************************************************
!
!     KEYWORDS
!
!     mesh_generation
!     sort
!
! ***********************************************************************
!
!     INPUT / OUTPUT    PARAMETERS
!
      implicit none

      integer i1, i2, i3, ia, ib, ic

!     i1      i   node of triangle to be considered
!     i2      i   node of triangle to be considered
!     i3      i   node of triangle to be considered
!     ia      o   smallest of the three nodes
!     ib      o   middle value of the three nodes
!     ic      o   largest value of the three nodes
!
! ***********************************************************************
!
!     COMMON BLOCKS
!
! ***********************************************************************
!
!     LOCAL PARAMETERS
!
! ***********************************************************************
!
!     SUBROUTINES CALLED
!
! ***********************************************************************
!
!     I/O
!
! ***********************************************************************
!
!     ERROR MESSAGES
!
! ***********************************************************************
!
!     PSEUDO CODE
!
!     Determine the smallest and largest node number
!
!     Determine helpnodenumber
!
!     Place characteristics in neighbour arrays
!
! =======================================================================

!     Determine smallest nodenumber

      ia = min( i1, i2, i3 )
      ic = max( i1, i2, i3 )

      if ( ia.eq.i1 ) then

           ib = min( i2, i3 )

      else if ( ia.eq.i2 ) then

           ib = min( i1, i3 )

      else if ( ia.eq.i3 ) then

           ib = min( i1, i2 )

      end if

      end
