      subroutine mshfirpntscrv ( icurnr, kmeshm, firstpnt, nextpnt )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 29-03-2002
!
!   copyright (c) 2002-2002  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Find first and next point of a curve using the information stored in
!     kmeshm
! **********************************************************************
!
!                       KEYWORDS
!
!     curve
!     node
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer icurnr, kmeshm(*), firstpnt, nextpnt

!     firstpnt       o    First point of a curve
!     icurnr         i    Curve sequence number
!     kmeshm         i    KMESH part m, contains nodal point numbers of the
!                         curves
!     nextpnt        o    Next point on a curve
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer istar3, ipstart

!     ipstart        Starting address in array
!     istar3         Starting address of KMESHM part 3 in KMESH part M
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'mshfirpntscrv' )
      istar3 = kmeshm(2)-1
      if ( icurnr.gt.0 ) then

!     --- icurnr > 0, positive direction

         ipstart = istar3+kmeshm(4+icurnr)
         firstpnt = kmeshm(ipstart)
         nextpnt = kmeshm(ipstart+1)

      else

!     --- icurnr < 0, negative direction

         ipstart = istar3+kmeshm(5-icurnr)-1
         firstpnt = kmeshm(ipstart)
         nextpnt = kmeshm(ipstart-1)

      end if
      call erclos ( 'mshfirpntscrv' )
      end
