      subroutine mshpavmnsmoot3 ( newbnd )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 12-12-2003
!
!   copyright (c) 2003-2003  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Remove double entries from array newbnd
!
! **********************************************************************
!
!                       KEYWORDS
!
!     mesh
!     mesh_generation
!     surface
!     paver
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer newbnd(*)

!     newbnd        i/o   temp array containing the boundary nodes for one loop
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, icount

!     i              Counting variable
!     icount         Counter
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'mshpavmnsmoot3' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from mshpavmnsmoot3'

      end if
      if ( ierror.ne.0 ) go to 1000

!     --- Remove double entries in newbnd

      length = newbnd(1)
      if ( newbnd(length+1).eq.newbnd(2) ) length = length-1
      icount = 1
      do i = 3, length+1
         if ( newbnd(i).ne.newbnd(i-1) ) then
            icount = icount+1
            newbnd(icount+1) = newbnd(i)
         end if
      end do
      if ( newbnd(icount+1).eq.newbnd(2) ) icount = icount-1
      newbnd(1) = icount

1000  call erclos ( 'mshpavmnsmoot3' )

      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End mshpavmnsmoot3'

      end if

      end
