      subroutine mshmeshquan
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 22-08-2012
!
!   copyright (c) 2012-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Fill contents of kmesh_quant
!
! **********************************************************************
!
!                       KEYWORDS
!
!     mesh
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'mshmeshquan' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from mshmeshquan'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

!     --- Make permanent space for array kmesh_quant
!         The reference is stored in kmesh(66)
!         The actual length at this moment is 10

      if ( associated(km(iseqkm)%kmeshquant) ) &
         deallocate(km(iseqkm)%kmeshquant)
      allocate( km(iseqkm)%kmeshquant(2*ndim) )
      km(iseqkm)%kmesh(66) = 2*ndim

      kmeshquant => km(iseqkm)%kmeshquant


      kmeshquant = 0d0

!     --- Fill xmin,xmax, ymin, ymax, ... in kmeshquant

      do i = 1, ndim
         kmeshquant(2*i-1) = minval(coor(i,1:npoint))
         kmeshquant(2*i) = maxval(coor(i,1:npoint))
      end do  ! i = 1, ndim

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End mshmeshquan'

      end if  ! ( debug )
      call erclos ( 'mshmeshquan' )

      end subroutine mshmeshquan
