      subroutine mshrefinit ( nelem_basis )
! ======================================================================
!
!        programmer    John Brusche
!        version  1.0  date 02-05-2005
!
!   copyright (c) 2005-2007  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Initialize some vectors needed for adaptive local mesh refinement
!
! **********************************************************************
!
!                       KEYWORDS
!
!     mesh
!     refine
!     initialization
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulevecs
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer nelem_basis

!     nelem_basis    i    number of element of the basis mesh
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'mshrefinit' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from mshrefinit'

      end if
      if ( ierror/=0 ) go to 1000

      refineold = 0
      refmapold = 0
      intnodesold(nelem_basis:) = 0
      do i = 1, nelem_basis
         refmapold(2*i-1) = i
         intnodesold(i) = nelem_basis+i
      end do

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End mshrefinit'

      end if
      call erclos ( 'mshrefinit' )

      end
