      subroutine mshreflocchk ( kmeshcnew, kmeshnnew, &
                                coornew, kmeshmnew, lencoornew, &
                                lenkmscnew,  lenkmsnnew, lenkmsmnew )
! ======================================================================
!
!        programmer    Guus Segal
!        version  3.0  date 22-11-2011 New parameter list
!        version  2.0  date 20-09-2006 Extra parameters
!        version  1.0  date 20-10-2004
!
!   copyright (c) 2004-2011  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Compute starting addresses of temporary arrays and
!     put control integers around the temporary arrays in refineloc
!     In this way overwriting of arrays can be checked
! **********************************************************************
!
!                       KEYWORDS
!
!     check
!     refine
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer kmeshcnew(0:*), kmeshnnew(0:*), &
              kmeshmnew(0:*), lenkmsmnew, &
              lencoornew, lenkmscnew, lenkmsnnew
      double precision coornew(0:*)

!     coornew       i/o   Array containing the new coordinates of the nodes
!     kmeshcnew     i/o   New kmesh part c
!     kmeshmnew     i/o   New array kmeshm
!     kmeshnnew     i/o   New array kmeshn
!     lencoornew     i    Estimated length of array coornew
!     lenkmscnew     i    Length of array kmshcnew
!     lenkmsmnew     i    Length of array kmshmnew
!     lenkmsnnew     i    Length of array kmshnnew
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'mshreflocchk' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from mshreflocchk'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

!     --- Set control integers

      kmeshcnew(0) = 10002
      kmeshcnew(lenkmscnew+1) = 10002
      kmeshnnew(0) = 10003
      kmeshnnew(lenkmsnnew+1) = 10003
      coornew(0) = 10006d0
      coornew(lencoornew+1) = 10006d0
      kmeshmnew(0) = 10011
      kmeshmnew(lenkmsmnew+1) = 10011

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End mshreflocchk'

      end if
      call erclos ( 'mshreflocchk' )

      end
