      subroutine pr0003 ( kmesh, kmeshc )
! ======================================================================
!
!        programmer    Guus Segal
!        version  2.1  date 08-12-1995 Print absolute element numbers too
!        version  2.0  date 03-10-1992 Delete IBUFFR, introduce KMESHC
!        version  1.1  date 22-08-1991 Zdenek: no dimension,  cdc,  ce
!
!   copyright (c) 1982-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    print kmesh parts c and g
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulemeshinf
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer kmesh, kmeshc(*)

!    kmesh   i   Standard SEPRAN array containing information of the mesh
!    kmeshc  i   KMESH part c, contains the nodal point numebrs of the elements
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer nelgrp, inelem, inpelm, kelma, kelmg, ielgrp, iielem, &
              ikelm1, ikelm, i, ielem

!    i         General loop variable
!    ielem     Actual element sequence number
!    ielgrp    Actual element group sequence number
!    iielem    Relative element number with respect to element group
!    ikelm     Starting address in array KMESHC
!    ikelm1    Starting address in array KMESHC
!    inelem    number of elements in element group
!    inpelm    number of nodal points in elements of element group
!    kelma     starting address of KMESH part a in KMESH
!    kelmg     starting address of KMESH part g in KMESH
!    nelgrp    Number of element groups
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      iseqkm = kmesh
      nelgrp = km(iseqkm)%kmesh(5)
      inelem = km(iseqkm)%kmesh(9)
      inpelm = km(iseqkm)%kmesh(4)
      kelma  = km(iseqkm)%kmesh(15)
      kelmg  = km(iseqkm)%kmesh(21)
      ikelm  = 1
      write(irefwr, 1)
  1   format(' internal elements:')
      ielem = 0
      do 200 ielgrp = 1, nelgrp
         if(nelgrp>1) inelem = km(iseqkm)%kmeshg(ielgrp)
         if(kelma/=0) &
             inpelm=km(iseqkm)%kmesha(1+ielgrp)-km(iseqkm)%kmesha(ielgrp)
         write(irefwr, 2) ielgrp
  2      format(' standard element sequence number', i6/ &
                ' absolute/relative el.number     nodes'/)
         do 100 iielem = 1, inelem
            ikelm1 = ikelm+inpelm-1
            write(irefwr,3) ielem+iielem, iielem, (kmeshc(i), i=ikelm, &
                  min(ikelm1, ikelm+9))
            if(ikelm+9<ikelm1) write(irefwr,4) (kmeshc(i),i=ikelm+10, &
                       ikelm1)
  3         format(i8,i6,':',5x,10i6)
  4         format(20x,10i6)
            ikelm = ikelm1+1
100      continue
         ielem = ielem + inelem
200   continue
      end
