      subroutine pr0008 ( kmeshm, ncurvs )
! ======================================================================
!
!        programmer    Guus Segal
!        version  4.2  date 21-03-2005 Information about empty curve
!        version  4.1  date 22-06-2004 Skip empty curves
!        version  4.0  date 27-05-2002 Change of parameter list
!        version  3.2  date 24-04-1996 Layout
!        version  3.1  date 22-08-1991 Zdenek: no dimension, cdc, ce
!        version  3.0  date 15-01-1987
!
!   copyright (c) 1985-2005  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     print kmesh part m
!
! **********************************************************************
!
!                       KEYWORDS
!
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer kmeshm(*), ncurvs

!     kmeshm   i  kmesh part m
!     ncurvs   i  Number of curves in mesh
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer ninner, istar3, istar4, i, n, j

!     i          Counting variable
!     istar3     Starting address of KMESHM part 3 in KMESH part M
!     istar4
!     j          Counting variable
!     n
!     ninner     Number of inner curves
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      ninner=kmeshm(1)
      istar3=kmeshm(2)
      istar4=kmeshm(3)
      write(irefwr,100)
100   format(' nodal point numbers of the curves')

      do i = 1,ncurvs
         n=kmeshm(5+i)-kmeshm(4+i)
         if ( n>0 ) then
            write(irefwr,110)i,(kmeshm(istar3+j-1),j=1,n)
         else
            write(irefwr,120)i
         end if  ! ( n>0 )
110      format(' curve number', i6/ &
                '  nodal point numbers:' /(1x,10i7) )
120      format(' curve number', i6, '  is empty' )
         istar3=istar3+n
      end do

      if ( ninner>0 ) then
         write(irefwr,210) (kmeshm(istar4+j-1),j=1,ninner)
210      format(' the following curves are internal:'/(1x,10i7))
      end if

      end
