      subroutine pr0012(n,kpart1,kpart2)
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.4  date 09-01-2008 Fortran 90
!        version  1.3  date 16-01-2001 Correction m>10
!        version  1.2  date 22-08-1991 Zdenek: no dimension, cdc, ce
!        version  1.1  date 31-03-1991 New formats
!        version  1.0  date 22-05-1985
!
!   copyright (c) 1985-2008  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     print vector where in kpart1 the number of elements has
!     been stored accumulated (length n+1)
!     the actual information has been stored in kpart2
! **********************************************************************
!
!                       KEYWORDS
!
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer kpart1(*), kpart2(*), n

!     kpart1    i   array containing the number of entries accumulated
!     kpart2    i   array containing the actual information
!     n         i   number of entries in kpart1
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, istart, j, k, m

!     i          Counting variable
!     istart     First position used at a part
!     j          Counting variable
!     k          Counting variable
!     m
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      istart=kpart1(1)
      do i=1,n
         m=kpart1(i+1)-istart
         k=min(m,10)
         write(irefwr,100) i,(kpart2(j+istart),j=1,k)
100      format(1x,i6,':',5x,10i6)
         if(m>10) write(irefwr,110) (kpart2(j+istart),j=k+1,m)
110      format(13x,10i6)
         istart=istart+m

      end do  ! i=1,n

      end
