      subroutine pr0018 ( amat )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.2  date 22-08-1991 Zdenek: no dimension, cdc, ce
!        version  1.1  date 04-04-1990  New type format
!        version  1.0  date 27-03-1986
!
!   copyright (c) 1986-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     print matrix corresponding to boundary conditions
!     complex case
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulematstr
      use sepmodulekprob
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double complex, intent(in) :: amat(*)

!     amat       i    part of the matrix to be printed
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, j, jend, jstart, m, nh

!     i          Counting variable
!     j          Counting variable
!     jend
!     jstart
!     m
!     nh         number of nodes along a subcurve
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      nh=nusol-nbound
      do 200 i=1,nbound
         jstart=irowsip(i)+1
         jend=irowsip(i+1)
         m=min(jstart+1,jend)
         write(irefwr,110) i+nh,(icolsip(j),amat(j),j=jstart,m)
110      format(1x,i6,':',2(1x,i6,': (',ss,1pe12.5e2,',',ss,1pe12.5e2, &
                ')'))
         if(m.lt.jend) write(irefwr,120) (icolsip(j),amat(j),j=m+1,jend)
120      format((8x,2(1x,i6,': (',ss,1pe12.5e2,',',ss,1pe12.5e2,')')))
200   continue
      end
