      subroutine prfillgrid1 ( coor, xmin, dx, nstepx )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 04-01-2001
!
!   copyright (c) 2001-2001  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Fill coordinates of equidistant grid
!     1D version
! **********************************************************************
!
!                       KEYWORDS
!
!     coordinate
!     1d
!     grid
!     regular
!     rectangle
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer nstepx
      double precision coor(nstepx), xmin, dx

!     coor           o    array of length ndim x nstepx containing the
!                         co-ordinates of the nodal points with respect to the
!                         global numbering
!     dx             i    step size in x-direction
!     nstepx         i    Number of steps in x-direction
!     xmin           i    Minimum x-value
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      do i = 1, nstepx
         coor(i) = xmin+dx*(i-1)
      end do
      end
