      subroutine prininnonzero ( iarray, nusol, text )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 13-08-2012 Print text only if array non-zero
!        version  1.0  date 21-06-2002
!
!   copyright (c) 2002-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print the non-zero contents of an integer array
!
! **********************************************************************
!
!                       KEYWORDS
!
!     print
!     array
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iarray(*), nusol
      character *(*) text

!     iarray         i    Integer array of size nusol of which only the
!                         positions with non-zero contents are printed
!     nusol          i    Total number of entries in iarray
!     text           i    String variable containing a text to be printed before
!                         the array is printed
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, istore(2,nusol), icount

!     i              Counting variable
!     icount         Counter
!     istore         Work array containing the indices and contents of the
!                    array that must be printed
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- Store non-zero entries in istore

      icount = 0
      do i = 1, nusol
         if ( iarray(i)/=0 ) then

!        --- Non-zero entry found

            icount = icount+1
            istore(1,icount) = i
            istore(2,icount) = iarray(i)

         end if
      end do

      if ( icount>0 ) then

!     --- icount>0

         write(irefwr,*) text

         write(irefwr,100) ( istore(1,i), istore(2,i), i=1,icount)
100      format((5(i7,':',i7)))

      end if
      end
