      subroutine prinkmeshquant ( ndim, kmeshquant )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 22-08-2012
!
!   copyright (c) 2012-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print the contents of array kmeshquant
!
! **********************************************************************
!
!                       KEYWORDS
!
!     print
!     mesh
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer ndim
      double precision kmeshquant(*)

!     kmeshquant     i    Double precision array containg some mesh quantities
!                         Pos 1-6 contain the parameters xmin, xmax, ymin, &
!                         ymax, zmin, zmax
!     ndim           i    Dimension of the space.
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prinkmeshquant' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from prinkmeshquant'
  2      format ( a, 1x, (5d12.4) )

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      write(irefwr,2) 'xmin, xmax', kmeshquant(1:2)
      if ( ndim>=2 ) then
         write(irefwr,2) 'ymin, ymax', kmeshquant(3:4)
         if ( ndim==3 ) write(irefwr,2) 'zmin, zmax', kmeshquant(5:6)
      end if  ! ( ndim>=2 )

1000  call erclos ( 'prinkmeshquant' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End prinkmeshquant'

      end if  ! ( debug )

      end
