      subroutine prinkprobab
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 02-04-2003
!
!   copyright (c) 2003-2003  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print array kprob part ab
!
! **********************************************************************
!
!                       KEYWORDS
!
!     problem_definition
!     periodical
!     periodical_boundary_condition
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekprob
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, npair, istart, num, j

!     i              Counting variable
!     istart         First position used at a part
!     j              Counting variable
!     npair          Number of "pairs"
!     num            Number of degrees of freedom per pair
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prinkprobab' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from prinkprobab'

      end if
      write(irefwr,*) 'Degrees of freedom that are coupled because ', &
                      'of periodical boundary conditions'
      write(irefwr,*) 'Pair nr       degrees of freedom '
      npair = kprobab(1)
      do i = 1, npair
         istart = kprobab(i+1)
         num = kprobab(istart)
         write(irefwr,100) i, (kprobab(istart+j),j=1,num)
100      format ( i8, ':        ', 50i6 )
      end do

      call erclos ( 'prinkprobab' )
      if ( debug ) write(irefwr,*) 'End prinkprobab'

      end
