      subroutine prinnmeshc ( nedges, nmeshc )
! ======================================================================
!
!        programmer    Guus Segal
!        version  2.0  date 06-05-2013 New call
!        version  1.0  date 20-12-2000
!
!   copyright (c) 2000-2013  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print the contents of array nmesh part c
!     Node numbers of the edges
! **********************************************************************
!
!                       KEYWORDS
!
!     edge
!     node
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer nedges, nmeshc(*)

!     nedges         i    number of edges
!     nmeshc         i    nmesh part c
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, istart, iedge, nnode_edge

!     i              Counting variable
!     iedge          edge sequence number
!     istart         First position used at a part
!     nnode_edge     number of nodes in edge
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      write ( irefwr, 100 )
100   format ( ' Node numbers of the edges'/ )
      do iedge = 1, nedges
         istart = nmeshc(iedge)
         nnode_edge = nmeshc(istart)
         write ( irefwr, 110 ) iedge, &
            (nmeshc(istart+i), i = 1, nnode_edge )
110      format ( i6,':', 40i7 )
      end do
      end
