      subroutine prinnmeshx ( nfaces, nmeshx )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 27-02-2002
!
!   copyright (c) 2002-2002  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print the contents of an integer array with structure of
!     sub array of nmesh
! **********************************************************************
!
!                       KEYWORDS
!
!     face
!     node
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer nfaces, nmeshx(*)

!     nfaces         i    Number of faces
!     nmeshx         i    nmesh part x
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, istart, j, nnodes, k, jmax

!     i              Counting variable
!     istart         First position used at a part
!     j              Counting variable
!     jmax           Defines maximum j value allowed
!     k              Counting variable
!     nnodes         Number of nodes
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      do i = 1, nfaces
         istart = nmeshx(i)
         nnodes = nmeshx(istart)
         write ( irefwr, 110 ) i, &
            (nmeshx(istart+j), j = 1, min(10,nnodes) )
110      format ( i6,':', 10i7 )
         if ( nnodes.gt.10 ) then
            jmax = 10
            do k = 1, (nnodes-1)/10
               write ( irefwr, 120 ) &
                  (nmeshx(istart+j), j = jmax+1, min(jmax+10,nnodes) )
120            format ( 7x, 10i7 )
               jmax = jmax+10
            end do
         end if
      end do
      end
