      subroutine prinskipelms
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 28-02-2001
!
!   copyright (c) 2001-2001  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print all elements that must be skipped
!
! **********************************************************************
!
!                       KEYWORDS
!
!     element
!     print
!     skip
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekprob
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer iwork(10), icount, ielem, i

!     i              Counting variable
!     icount         Counter
!     ielem          Element number
!     iwork          integer work array of length 10 to store element numbers
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      write(irefwr,*) 'Elements that must be skipped'
      icount = 0
      do ielem = 1, nelem

         if ( kprobaa(ielem)==1 ) then

!        --- element must be skipped, store in iwork

            icount = icount+1
            iwork(icount) = ielem
            if ( icount==10 ) then

!           --- One row ready: print

               write ( irefwr, 100 ) (iwork(i),i=1,10)
100            format(1x,10i7)
               icount = 0

            end if

         end if

      end do

      if ( icount>0 ) write ( irefwr, 100 ) (iwork(i),i=1,icount)

      end
