      subroutine prinvolm ( ivolnr, npoint, nelem, inpelm, &
                            coor, kmeshc, text, ichoice )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 17-01-2003
!
!   copyright (c) 2003-2003  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print the contents of one volume
!     It concerns co-ordinates and topology
! **********************************************************************
!
!                       KEYWORDS
!
!     print
!     write
!     volume
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer ivolnr, npoint, nelem, inpelm, kmeshc(inpelm,*), &
              ichoice
      double precision coor(3,*)
      character *(*) text

!     coor           i    array of length ndim x npoint containing the
!                         co-ordinates of the nodal points with respect to the
!                         global numbering
!     ichoice        i    Indicates if the coordinates must be printed (1)
!                         or not (0)
!     inpelm         i    number of points per element
!     ivolnr         i    volume sequence number
!     kmeshc         i    kmesh part c, contains the nodal points
!                         corresponding to the elements
!     nelem          i    Number of elements
!     npoint         i    Number of nodal points
!     text           i    String variable containing the heading to be printed
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, j

!     i              Counting variable
!     j              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      write(irefwr,*) text
      if ( ichoice.eq.1 ) then

!     --- ichoice = 1, prin coordinates

         write(irefwr,100) ivolnr
100      format ( 'Co-ordinates of volume ', i3)
         do i = 1, npoint
            write(irefwr,110) i, (coor(j,i), j = 1, 3 )
110         format( i6, 3 (ss, 1pe14.6e2) )
         end do

      end if

!     --- Print topology

      write(irefwr,200) ivolnr
200   format ( 'Node numbers of volume ', i3)
      do i = 1, nelem
         write(irefwr,210) i, (kmeshc(j,i), j = 1, inpelm )
210      format( i6, 5x, 27i6 )
      end do

      end
