      subroutine prsepblocksurs ( numlayers )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 27-01-2014
!
!   copyright (c) 2014-2014  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer numlayers

!     numlayers      i    Number of blocks that are created
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, icount, jcount, j
      character (len=80) text

!     i              Counting variable
!     icount         Counter
!     j              Counting variable
!     jcount         Counter
!     text           String variable containing some text
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prsepblocksurs' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from prsepblocksurs'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      write(irefwr,*) 'surfaces'

      write(irefwr,*) '   s1 = rectangle  shape_sur (c1,c2,c3,c4)    '
      write(irefwr,*) '   s2 = rectangle  shape_sur (c1,c10,-c5,-c9 )'
      write(irefwr,*) '   s3 = rectangle  shape_sur (c2,c11,-c6,-c10)'
      write(irefwr,*) '   s4 = rectangle  shape_sur (-c3,c11,c7,-c12)'
      write(irefwr,*) '   s5 = rectangle  shape_sur (-c4,c12,c8,-c9 )'
      write(irefwr,*) '   s6 = rectangle  shape_sur (c5,c6,c7,c8)    '

      icount = 6
      jcount = 4
      do i = 2, numlayers

100      format ( '   s', i3, ' = rectangle shape_sur ( c', i3, ',c', &
                  i3, ',c', i3, ',c', i3, ' )' )

         write(text,110) icount+1, jcount+1, jcount+14, jcount+9, &
                         jcount+13
110      format ( '   s', i3, ' = rectangle shape_sur ( c', i3, ',c', &
                  i3, ',-c', i3, ',-c', i3, ' )' )
         write(irefwr,*) text

         write(text,110) icount+2, jcount+2, jcount+15, jcount+10, &
                         jcount+14
         write(irefwr,*) text

         write(text,120) icount+3, jcount+3, jcount+15, jcount+11, &
                         jcount+16
120      format ( '   s', i3, ' = rectangle shape_sur ( -c', i3, ',c', &
                  i3, ',c', i3, ',-c', i3, ' )' )
         write(irefwr,*) text

         write(text,120) icount+4, jcount+4, jcount+16, jcount+12, &
                         jcount+13
         write(irefwr,*) text

         write(text,100) icount+5, (jcount+8+j, j=1,4)
         write(irefwr,*) text

         icount = icount+5
         jcount = jcount+8

      end do  ! i = 2, numlayers

1000  call erclos ( 'prsepblocksurs' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End prsepblocksurs'

      end if  ! ( debug )

      end
