      subroutine prsw01 ( n, numm, vector, text, compl )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 09-06-2010 Change of layout
!        version  1.0  date 11-03-1991
!
!   copyright (c) 1991-2010  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     This subroutine performs the actual printing for vectors of type 119
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      logical compl
      character *(*) text
      integer n, numm(n)
      double precision vector(*)

!    compl     i   Indication if the vector to be printed is real (false)
!                  or complex (true)
!    n         i   Number of parts the vector consists of
!    numm      i   In this array the number of points per part is stored
!    text      i   Text to be printed in the heading of each page
!    vector    i   Array to be printed
!                  Vector is of type 119, which means that it is filled as
!                  follows:
!                  For i := 1 (1) n
!                     numm(i) coordinates (1D) followed by
!                     numm(i) function values (real or complex)
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, k, m, jcount, icount

!    i         General loop variable
!    icount    Position in vector referring to start coordinates minus 1
!    jcount    Position in vector referring to start solution minus 1
!    k         General loop variable
!    m         Number of points in one group
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
2     format( 'Relative arc length', 3x, a )
3     format( 1x, ss,1pe14.6e2, 5x, 2(ss,1pe14.6e2) )
      icount = 0
      write(irefwr,2) text
      do i = 1, n
         m = numm(i)
         jcount = icount + m
         if ( compl ) then
            do k = 1, m
               write(irefwr,3) vector(icount+k),vector(jcount+2*k-1), &
                               vector(jcount+2*k)
            end do
            icount = jcount + 2*m
         else
            do k = 1, m
               write(irefwr,3) vector(icount+k),vector(jcount+k)
            end do
            icount = jcount + m
         end if
      end do
      end
