      subroutine sepprinkmeshd
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 22-02-2018
!
!   copyright (c) 2018-2018  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     print vector kmeshd
!     Old subroutine pr0012
! **********************************************************************
!
!                       KEYWORDS
!
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, istart, j, k, m

!     i          Counting variable
!     istart     First position used at a part
!     j          Counting variable
!     k          Counting variable
!     m
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      write ( irefwr, '(/a/)') &
              ' elements corresponding to nodal points'
      istart=kmshd1(1)
call prinin ( kmshd1, npoint, 'kmshd1')
      do i = 1, npoint
         m=kmshd1(i+1)-istart
         k=min(m,10)
         write(irefwr,100) i,(kmshd2(j+istart),j=1,k)
100      format(1x,i6,':',5x,10i6)
         if(m>10) write(irefwr,110) (kmshd2(j+istart),j=k+1,m)
110      format(13x,10i6)
         istart=istart+m

      end do  ! i = 1, npoint

      end
