      subroutine sepprinkmesht
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 08-04-2018
!
!   copyright (c) 2018-2018  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print the contents of KMESH part t
!     Old subroutine prkmesht
! **********************************************************************
!
!                       KEYWORDS
!
!     mesh
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, n

!     i          Counting variable
!     n          number of quantities to be printed
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      if ( nvolms>0 ) then

!     --- There are volumes

         n = nvolms
         write(irefwr,100)
100      format ( ' volume   first elno   last elno' )

      else if ( nsurfs>0 ) then

!     --- There are surfaces

         n = nsurfs
         write(irefwr,110)
110      format ( ' surface   first elno   last elno' )

      else

!     --- There are only curves

         n = ncurvs
         write(irefwr,120)
120      format ( ' curve   first elno   last elno' )

      end if

      write(irefwr,200) ( i, kmesht(1,i), kmesht(2,i), i = 1, n )
200   format ( i5, 2i12 )

      end
