      subroutine sepprinnmesha
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 09-03-2018
!
!   copyright (c) 2018-2018  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print the contents of nmesh part a
!     Old subroutine prinnmesha
! **********************************************************************
!
!                       KEYWORDS
!
!     print
!     mesh
!     face
!     element
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     PRINNMESHX     Print the contents of an integer array with structure of
!                    sub array of nmesh
!     SEPFILLKMESHAA Fill first part of array KMESH part aa
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepprinnmesha' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepprinnmesha'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      if ( kelmaa==0 ) call sepfillkmeshaa
      if ( nmesh(31)>0 ) then
         write(irefwr,*) 'Face numbers corresponding to elements'
         call prinnmeshx ( nelem, nmesha )
      end if

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepprinnmesha'

      end if  ! ( debug )
      call erclos ( 'sepprinnmesha' )

      end
