      subroutine to0072 ( index1, array, inpelm, ielem )
!
! ********************************************************************
!
!
!        programmer    Arno van Duin
!        version 1.1   date   91-03-21 adjusted for NDIM = 3
!        version 1.0   date   90-11-14
!
!
!   copyright (c) 1990  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
!
! ********************************************************************
!
!   Array INDEX1 is filled
!
! ********************************************************************
!
!
!                INPUT / OUTPUT PARAMETERS

      implicit none
      integer index1(*), array(*), inpelm, ielem

!
!     index1   o  integer array, containing the nodal point numbers of one
!                 element
!
!     array    i  integer array, containing the nodal point numbers of all
!                 elements
!                 standard SEPRAN array, KMESH part c (see PG 13.1.3)
!
!     inpelm   i  integer, the number of nodal points per element
!
!     ielem    i  integer, the number of the element
!
! *********************************************************************
!
!               LOCAL PARAMETERS

      integer j

!
!     j           integer, loop variable
!
! ********************************************************************
!
!                              METHOD
!
!     The information is extracted from ARRAY and stored in INDEX1
!
! ********************************************************************
!
!               SUBROUTINES CALLED
!
!     none
!
! ********************************************************************

      call eropen ( 'to0072' )

      do 10 j = 1, inpelm
         index1(j) = array((ielem-1)*inpelm+j)
10    continue

      call erclos ( 'to0072' )

      end
