      subroutine to0073 ( index2, index1, ndim )
!
! ********************************************************************
!
!
!        programmer    Arno van Duin
!        version 1.1   date   91-03-21 adjusted for NDIM = 3
!        version 1.0   date   90-11-14
!
!
!   copyright (c) 1990  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
!
! ********************************************************************
!
!   Array INDEX2 is filled
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekprob
      implicit none
! ********************************************************************
!
!
!                INPUT / OUTPUT PARAMETERS

      integer index1(*), index2(*), ndim

!
!     index1   i  integer array, containing the nodal point numbers of one
!                 element
!
!     index2   o  integer array, containing information of the correspondence
!                 between the flux array and the nodal points of one element
!
!     ndim     i  the dimension of space
!
! *********************************************************************
!
!               LOCAL PARAMETERS
!
!     none
!
! ********************************************************************
!
!                              METHOD
!
!     The information is extracted from KPORBP and stored in INDEX2
!
! ********************************************************************
!
!               SUBROUTINES CALLED
!
!     none
!
! ********************************************************************

      call eropen ( 'to0073' )

      if ( ndim.eq.2 ) then
         index2(1) = kprobpi(index1(2),1)
         index2(2) = kprobpi(index1(4),1)
         index2(3) = kprobpi(index1(6),1)
      else if ( ndim.eq.3 ) then
         index2(1) = kprobpi(index1(13),1)
         index2(2) = kprobpi(index1(14),1)
         index2(3) = kprobpi(index1(12),1)
         index2(4) = kprobpi(index1(11),1)
      end if

      call erclos ( 'to0073' )

      end
