      function to0083 ( x )
!
! ********************************************************************
!
!
!        programmer    Arno van Duin
!        version 1.0   date   90-11-14
!
!
!   copyright (c) 1990  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
!
! ********************************************************************
!
!   the function value corresponding to x is calculated
!
! ********************************************************************
!
!
!                INPUT / OUTPUT PARAMETERS

      implicit none

      double precision x, to0083

!
!     x       i  real
!
!     to0083  o  the returned function value
!
! *********************************************************************
!
!               LOCAL PARAMETERS

      double precision u
      parameter ( u = 1.5258791d-5 )

!
!     u          parameter for checking if x > 0
!
! ********************************************************************
!
!                              METHOD
!             x
!            e - 1
!       f =  ----- if x > 0
!              x
!
!                x
!         =  1 + -   otherwise
!                2
!
! ********************************************************************
!
!               SUBROUTINES CALLED
!
!       none
!
! ********************************************************************

      call eropen ( 'to0083' )

      if ( abs ( x ).lt.u ) then
         to0083 = 1d0 + x * 0.5d0
      else
         to0083 = ( exp ( x ) - 1d0 ) / x
      end if

      call erclos ( 'to0083' )

      end
