      subroutine topmaptetra12 ( kmeshc, kmeshcnew, inpelm, inelem )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 03-08-2011 Minor correction
!        version  1.0  date 29-11-2006
!
!   copyright (c) 2006-2011  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Copy elements of shape 12, 15 or 16 into new elements of shape 11
!
! **********************************************************************
!
!                       KEYWORDS
!
!     copy
!     interpolation
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      use sepmoduletypes
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer inpelm, inelem, kmeshc(inpelm,inelem), kmeshcnew(32,*)

!     inelem         i    Number of elements in a specific element group
!     inpelm         i    number of points per element
!     kmeshc         i    kmesh part c, contains the nodal points
!                         corresponding to the elements
!     kmeshcnew      o    New kmesh part c
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'topmaptetra12' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from topmaptetra12'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      kmeshcnew(1:32,1:inelem) = kmeshc(itetra(9:40),1:inelem)

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End topmaptetra12'

      end if  ! ( debug )
      call erclos ( 'topmaptetra12' )

      end
