      subroutine pl0007 ( ipict, ierrtn )
! ======================================================================
!
!        programmer    Guus Segal
!        version  5.0  date 09-01-1993 Complete new subroutine, the old
!                                      one is not longer used)
!        version  4.1  date 22-08-1991 Zdenek: no dimension, cdc, ce
!        version  4.0  date 11-03-1986
!
!   copyright (c) 1984-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Initialize zooming parameters in common block cplaf1
!    Information about measures is read from the file plname."iseq"
! **********************************************************************
!
!                       KEYWORDS
!
!     default
!     initialization
!     read
!     zooming
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulemach
      use sepmoduleplot
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer ipict, ierrtn

!     ierrtn  o   Error return code with the following meaning:
!                -1:  Error in opening of plot file
!                 0:  No error has been found
!                 1:  The file with reference number |irefpl| is empty
!                 2:  An incorrect record has been read in the plot file
!     ipict   i   Picture number (also file number)
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer ios, iref, lastps, ichois
      character * 60 namefl
      real x, y
      logical check

!     check   Indicates if the file has been opened (true) or not
!             is zero (true) or not (false)
!     ichois  Choice parameter, here only 1 is allowed
!     ios     IOSTAT variable, returns from reading or writing
!     iref    File reference number
!     lastps  Last non-blank position in namefl
!     namefl  Name of default SEPRAN neutral plotting file
!     x       not used here
!     y       length read from file
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS  Resets old name of previous subroutine of higher level
!     EROPEN  Produces concatenated name of local subroutine
!     ERRCHR  Put character in error message
!     ERRINT  Put integer in error message
!     ERRSUB  Error messages
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!     184   Error in opening of plot file
! **********************************************************************
!
!                       PSEUDO CODE
!
!   Open plot file
!   Read first record from plotfile
!   Extract length form this record
!   Close plot file
!   Set defaults
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- construct name of plot file by concatenation of namepl and picture
!         number

      ierrtn = 0
      lastps = index ( namepl, ' ' ) - 1
      namefl = ' '
      namefl(1:lastps) = namepl(1:lastps)
      namefl(lastps+1:lastps+1) = '.'
      write ( namefl(lastps+2:lastps+4), 100 ) ipict
100   format ( i3.3 )
      lastps = lastps + 4

!     --- Open plot file

      iref = abs(irefpl)
      if ( irefpl.lt.0 ) then

!     --- irefpl < 0, file is unformatted

         open ( unit=iref, file=namefl(1:lastps), iostat=ios, &
                status='old', form='unformatted' )
      else

!     --- irefpl > 0, file is formatted

         open ( unit=iref, file=namefl(1:lastps), iostat=ios, &
                status='old' )
      end if
      if ( ios.ne.0 ) then

!     --- Error on opening of file
!         Presumably the file does not exist

         call eropen ( 'pl0007' )
         call errchr ( namefl(1:lastps), 1 )
         call errint ( ios, 1 )
         call errsub ( 184, 1, 0, 1 )
         call erclos ( 'pl0007' )
         ierrtn = -1
         go to 1000
      end if

!     --- Read first record

      if ( irefpl.lt.0 ) then
         read (iref,iostat=ios) ichois, x, y
      else
         read (iref,*,iostat=ios) ichois, x, y
      end if

!     --- Check first record

      if ( ios.lt.0 ) then

!     --- ios < 0, end of file has been reached

         ierrtn = 1
         go to 1000
      else if ( ios.gt.0 .or. ichois.ne.1 ) then

!     --- ios > 0,or ichois # 1, contents of file incorrect

         ierrtn = 2
         go to 1000
      end if
      alefig = y
      widfig = y
      xmaxor = alefig
      ymaxor = widfig
      xmaxzm = xmaxor
      xminzm = xminor
      ymaxzm = ymaxor
      yminzm = yminor
      zfact  = .5d0
      actfac = 1d0
      xcentr = 0.5d0*(xmaxzm-xminzm)
      ycentr = 0.5d0*(ymaxzm-yminzm)
      marlft = 0d0
      marund = 0d0
1000  inquire ( unit=iref, opened=check)
      if ( check ) close ( unit=iref )
      end
