      subroutine plbc02 ( ibrelm, ibrpnt, i, iel )
! ======================================================================
!
!
!        programmer     Niek Praagman
!        version 1.3    date  20-01-1996 New layout
!        version 1.2    date  22-08-1991 Zdenek: no dimension, cdc, ce
!        version 1.1    date  17-02-1989 Deletion of superfl. parms
!        version 1.0    date  29-07-1986
!
!
!   copyright (c) 1986-1996  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ********************************************************************
!
!                         DESCRIPTION
!
!    subroutine to fill the right element number iel in the right
!    position of array ibrelm for point i
! ***********************************************************************
!
!                      KEYWORDS
!
!   2d
!   element
!   plot_contour
! ********************************************************************
!
!                      INPUT / OUTPUT    PARAMETERS
!
      implicit none
      integer ibrelm(*), ibrpnt(*), i, iel

!     i          i    nodal point number
!     ibrelm    i/o   array containing sequentially the element
!                     numbers of the nodal points.
!     ibrpnt     i    array containing the start positions for array ibrelm
!     iel        i    element i is point of
! ********************************************************************
!
!                      COMMON BLOCKS
!
! ********************************************************************
!
!                    LOCAL PARAMETERS
!
      integer istart, ih

!     ih         Help variable to store a constant temporarily
!     istart     First position used at a part
! ********************************************************************
!
!             SUBROUTINES CALLED
!
! ********************************************************************
!
!                    I/O
!
!    none
! ********************************************************************
!
!                    ERROR MESSAGES
!
! ********************************************************************
!
!                    PSEUDO CODE
!
!   trivial
! ======================================================================
!
!     --- determine place

      istart=ibrpnt(i)

100   continue

      ih=ibrelm(istart)

      if ( ih.eq.0 ) then
         ibrelm(istart)=iel
      else
         istart=istart+1
         goto 100
      end if

      end
