      subroutine plbc19(work2,n,j)
      implicit double precision (a-h,o-z)
      double precision work2(*)
!
! ***********************************************************************
!
!                                                                       * &
!         programmer     Niek Praagman                                  * &
!         version 1.1    date  22-08-1991 Zdenek: no dimension, cdc, ce
!         version 1.0    date  26-199-1986                                  * &
!         version 1.1    date  17-02-1989  Deletion of superfl. parms)   * &
!                                                                       * &
!                                                                       * &
!                                                                       * &
!   copyright (c) 1986,1989  "Ingenieursbureau SEPRA"                   * &
!   permission to copy or distribute this software or documentation     * &
!   in hard or soft copy granted only by written license obtained       * &
!   from "Ingenieursbureau SEPRA".                                      * &
!   all rights reserved. no part of this publication may be reproduced, * &
!   stored in a retrieval system (e.g. , in memory, disk or core)       * &
!   or be transmitted by any means, electronic, mechanical, photocopy,  * &
!   recording, or otherwise, without written permission from the        * &
!   publisher.                                                          * &
!                                                                       * &
! ***********************************************************************
!
! *   PLBC19 computes the ldlt decomposition of the matrix for discrete * &
! *   cubic spline smoothing.                                           * &
! *   A profile method is used.                                         * &
! *                                                                     * &
! ***********************************************************************
!
! *   Parameters : see PLBC14                                           * &
! *                                                                     * &
! ***********************************************************************
!
! *   decompose n-1 or n-3 rows
! *
      ipp=5+n
      ipq=5+3*n
      ipr=5+7*n
      ips=5+9*n
      ipt=5+10*n
      nm1=n-1
      nm2=n-2
      nm3=n-3
      nm4=n-4
      nm5=n-5
      nm6=n-6
      iend=nm3
      if ( j.eq.2 .or. n.eq.4 ) iend=nm1
      istart=j+2
! *
      p1=work2(ipq+j)
      work2(ipq+j)  =p1/work2(ipp+j)
      work2(ipp+j+1)=work2(ipp+j+1)-p1*work2(ipq+j)
      if ( j.ne.1 .or. n.ne.5 ) then
! *
         do 100 i=istart,iend
             im1=i-1
             im2=i-2
             p1=work2(ipr+im2)
             work2(ipr+im2)=p1/work2(ipp+im2)
             p2=work2(ipq+im1)-p1*work2(ipq+im2)
             work2(ipq+im1)=p2/work2(ipp+im1)
             work2(ipp+i)  =work2(ipp+i)-p1*work2(ipr+im2) &
                            -p2*work2(ipq+im1)
100      continue
! *
      end if
! *
! *   check whether case 1 or 2
! *
      if ( j.eq.2 .or. n.eq.4 ) return
! *
! *   decompose rows n-2 and n-1 (case 2)
! *
! *   compute columns 1 and 2
! *
      p1=work2(ipr+nm2)
      q1=work2(ipq+nm1)
      work2(ips+1)=p1/work2(ipp+1)
      work2(ipt+1)=q1/work2(ipp+1)
! *
      p2= -p1*work2(ipq+1)
      if ( n.eq.5 ) p2=work2(ipq+2)+p2
      if ( n.eq.6 ) p2=work2(ipr+2)+p2
      q2=work2(ipr+nm1)-q1*work2(ipq+1)
      work2(ips+2)=p2/work2(ipp+2)
      work2(ipt+2)=q2/work2(ipp+2)
! *
      sums =p1*work2(ips+1)+p2*work2(ips+2)
      sumt =q1*work2(ipt+1)+q2*work2(ipt+2)
      sumst=p1*work2(ipt+1)+p2*work2(ipt+2)
! *
! *   compute columns 3 through n-3
! *
      if ( n.gt.7 ) then
! *
           do 200 i=3,nm5
! *
               p3= -p1*work2(ipr+i-2)-p2*work2(ipq+i-1)
               q3= -q1*work2(ipr+i-2)-q2*work2(ipq+i-1)
               work2(ips+i)=p3/work2(ipp+i)
               work2(ipt+i)=q3/work2(ipp+i)
               sums =sums +p3*work2(ips+i)
               sumt =sumt +q3*work2(ipt+i)
               sumst=sumst+p3*work2(ipt+i)
               p1=p2
               q1=q2
               p2=p3
               q2=q3
200        continue
! *
      end if
! *
      if ( n.gt.6 ) then
! *
           p3=work2(ipr+nm4)-p1*work2(ipr+nm6)-p2*work2(ipq+nm5)
           q3= -q1*work2(ipr+nm6)-q2*work2(ipq+nm5)
           work2(ips+nm4)=p3/work2(ipp+nm4)
           work2(ipt+nm4)=q3/work2(ipp+nm4)
           sums =sums +p3*work2(ips+nm4)
           sumt =sumt +q3*work2(ipt+nm4)
           sumst=sumst+p3*work2(ipt+nm4)
           p1=p2
           q1=q2
           p2=p3
           q2=q3
      end if
! *
      if ( n.gt.5 ) then
! *
           p3=work2(ipq+nm3)-p1*work2(ipr+nm5)-p2*work2(ipq+nm4)
           q3=work2(ipr+nm3)-q1*work2(ipr+nm5)-q2*work2(ipq+nm4)
           work2(ips+nm3)=p3/work2(ipp+nm3)
           work2(ipt+nm3)=q3/work2(ipp+nm3)
           sums =sums +p3*work2(ips+nm3)
           sumt =sumt +q3*work2(ipt+nm3)
           sumst=sumst+p3*work2(ipt+nm3)
! *
      end if
! *
      if ( n.gt.4 ) then
! *
! *        compute columns n-2 and n-1
! *
           work2(ipp+nm2)=work2(ipp+nm2)-sums
           work2(ipt+nm2)=(work2(ipq+nm2)-sumst)/work2(ipp+nm2)
           work2(ipp+nm1)=work2(ipp+nm1)-sumt- &
                          work2(ipp+nm2)*(work2(ipt+nm2)**2)
! *
      end if
! *
      end
