      subroutine plbc31( itri, nelem, line, iline )
! =======================================================================
!
!
!         programmer   niek praagman
!         version 1.1  date 21-11-1994 New norms
!         version 1.0  date 09-04-1990
!
!
!
!   copyright (c) 1990-1994 "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard or soft copy granted only by written license obtained
!   from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system (e.g. , in memory, disk or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ***********************************************************************
!
!     DESCRIPTION
!
!     Place all lines of triangular elements in array line
!
! ***********************************************************************
!
!     KEYWORDS
!
!     triangle
!     line
! ***********************************************************************
!
!     INPUT / OUTPUT PARAMETERS
!
      implicit none
      integer itri(*), nelem, line(*), iline

!     iline     o   number of lines
!     itri      i   triangle array
!     line      o   line array
!     nelem     i   number of triangles
! ***********************************************************************
!
!     COMMON BLOCKS
!
! ***********************************************************************
!
!     LOCAL PARAMETERS
!
      integer i, i1, i2, i3

!     i         loop variable
!     i1        first node of triangle
!     i2        second node of triangle
!     i3        third node of triangle
! ***********************************************************************
!
!     SUBROUTINES CALLED
!
! ***********************************************************************
!
!     ERROR MESSAGES
!
! ***********************************************************************
!
!     PSEUDO CODE
!
!     Run through all triangles and place lines in array line
!
! =======================================================================
!
!     --- Run through all triangles and place lines in array line

      iline = 0

      do 100 i = 1 , nelem

          i1 = itri( 3 * i - 2 )
          i2 = itri( 3 * i - 1 )
          i3 = itri( 3 * i     )

          iline = iline + 3

!         --- Fill lines array

          line( 2 * iline - 5 ) = i1
          line( 2 * iline - 4 ) = i2
          line( 2 * iline - 3 ) = i2
          line( 2 * iline - 2 ) = i3
          line( 2 * iline - 1 ) = i3
          line( 2 * iline     ) = i1

100   continue

      end
