      subroutine plbc39 ( coor, npoint, xmean )
! ======================================================================
!
!
!        programmer     Niek Praagman
!        version 2.1    date   21-11-1994 Norms
!        version 2.0    date   30-12-1992 Complete revision
!        version 1.0    date   09-04-1990
!
!
!
!   copyright (c) 1990-1994  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ***********************************************************************
!
!     DESCRIPTION
!
!     Correct array with coordinates array with the mean value that has
!     been subtracted in PL0014
!
! ***********************************************************************
!
!     KEYWORDS
!
!     3d
!     mesh
! ***********************************************************************
!
!     INPUT / OUTPUT    PARAMETERS
!
      implicit none
      integer npoint
      double precision coor(3,npoint), xmean(3)

!     coor   i/o   array of length 3 x npoint containing the co-ordinates
!                  of the nodal points with respect to the global numbering
!     npoint  i    Number of nodal points
!     xmean   i    Array containing the mean values of the co-ordinates
!
! ***********************************************************************
!
!     COMMON BLOCKS
!
! ***********************************************************************
!
!     LOCAL PARAMETERS
!
      integer i

!     i       loop variable
!
! ***********************************************************************
!
!     SUBROUTINES CALLED
!
! ********************************************************************
!
!     I/O
!
! ********************************************************************
!
!     ERROR MESSAGES
!
! ********************************************************************
!
!     PSEUDO CODE
!
!     trivial
!
! ======================================================================
!
      do 100 i = 1, npoint

         coor(1,i) = coor(1,i) + xmean(1)
         coor(2,i) = coor(2,i) + xmean(2)
         coor(3,i) = coor(3,i) + xmean(3)

100   continue

      end
