      subroutine plbc41( ncurvs, icurv, arline, lenlin )
! =======================================================================
!
!
!         programmer   niek praagman
!         version 1.1    date  21-11-1994 Norms
!         version 1.0    date  06-09-1991
!
!
!
!   copyright (c) 1991-1994  "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard or soft copy granted only by written license obtained
!   from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system (e.g. , in memory, disk or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ***********************************************************************
!
!     DESCRIPTION
!
!     Fill array ARLINE with the linepieces of the curves as given
!     by the user
!
! ***********************************************************************
!
!     KEYWORDS
!
!     line_piece
!     curve
!
! ***********************************************************************
!
!     INPUT / OUTPUT PARAMETERS
!
      implicit none
      integer ncurvs, icurv(*), arline(*), lenlin

!     arline    o  array to store line pieces
!
!     icurv     i  array with nodes of curves (SEPRAN KMESH part m)
!
!     lenlin    o  number of line_pieces stored in arline
!
!     ncurvs    i  number of curves to be considered
!
! ***********************************************************************
!
!     COMMON BLOCKS
!
! ***********************************************************************
!
!     LOCAL PARAMETERS
!
      integer i, j, ist, ien, ikn1, ikn2

!     i          loop variable
!
!     ien        last value to be considered in loop
!
!     ikn1       first node number
!
!     ikn2       second node number
!
!     ist        first value to be considered in loop
!
!     j          loop variable
!
! ***********************************************************************
!
!     SUBROUTINES CALLED
!
! ***********************************************************************
!
!     ERROR MESSAGES
!
! ***********************************************************************
!
!     PSEUDO CODE
!
! =======================================================================
!
!     --- Store all constituting curves of the mesh

      lenlin = 0

      do 200 i = 1 , ncurvs

!     --- Determine start and end position for this curve in array icurv

         ist  = icurv(4+i) + icurv(2) - 1
         ien  = icurv(5+i) + icurv(2) - 2

         do 100 j = ist , ien - 1

!        --- Determine start and end node of each piece

             ikn1 = icurv( j     )
             ikn2 = icurv( j + 1 )

             lenlin = lenlin + 1

             arline( 2*lenlin-1 ) = ikn1
             arline( 2*lenlin   ) = ikn2

100      continue

200   continue

      end
