      subroutine plhgl8 ( ichois, icolor, npolyg, polyg )
! ======================================================================
!
!
!        programmer     Eef Hartman
!        version 1.0    date   06-12-1991
!
!   copyright (c) 1991  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ********************************************************************
!
!                         DESCRIPTION
!
!    Plot polygon, or fill polygon with colour depending on the
!    value of ichois
!    All parameters are single precision
!
!    machine dependent subroutine
!    HPGL version
!
! ********************************************************************
!
!                      KEYWORDS
!
!   machine_dependent
!   plot
!   hpgl
!
! ********************************************************************
!
!                      INPUT / OUTPUT    PARAMETERS
!
      use sepmodulemach
      implicit none
      integer ichois, icolor, npolyg
      real polyg(*)
!
!    ichois   i   Choice parameter. Possibilities:
!                 1: The interior of the polygon gets the colour icolor
!
!    icolor   i   number indicating the type of colour to be used
!
!    npolyg   i   number of points in the polygon
!
!    polyg    i   array of length 2*npolyg containing the co-ordinates
!                 of the points in the polygon:
!                 polyg(1,i) = xi
!                 polyg(2,i) = yi
!
! ********************************************************************
!
!                      COMMON BLOCKS
!
! ********************************************************************
!
!                    LOCAL PARAMETERS
!
      integer irefgl, i
!
!    i            General loop variable
!
!    irefgl       file reference number for hpgl file
!
! ********************************************************************
!
!             SUBROUTINES CALLED
!
!     ERCLOS:  Resets old name of previous subroutine of higher level
!     EROPEN:  Produces concatenated name of local subroutine
!     ERRSUB:  Error messages
!
! ********************************************************************
!
!                    I/O
!
!    none
! ********************************************************************
!
!                    ERROR MESSAGES
!
!   - &
! ********************************************************************
!
!                    PSEUDO CODE
!
!   trivial
! ======================================================================
!
      irefgl = abs(irefpl) + 1

!    * Put definitions of number of polygon points and "colour"
!      into postscript file

         write (irefgl,100) polyg(1),polyg(2)
100      format (' gm11732;pu',f6.2,',',f6.2,'pm;')
         do 110 i=4,2*npolyg,2
110      write (irefgl,120) polyg(i-1),polyg(i)
120      format (' pd',f6.2,',',f6.2,';')
         write (irefgl,130)
130      format (' pm2epgm;')
      end
!dc*eor
