      subroutine plintp(x1,y1,x2,y2,xint,yint,v1,v2,vint)
! ======================================================================
!
!        programmer    guus segal
!        version  0.1  date 30-12-1986
!
!   copyright (c) 1986-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     linear interpolation to find co-ordinates of point between
!     two other points
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double precision x1,y1,x2,y2,xint,yint,v1,v2,vint

!     v1         i    function value in point 1
!     v2         i    function value in point 2
!     vint       o    function value in interpolation point
!     x1         i    x-coordinate of first point
!     x2         i    x-coordinate of second point
!     xint       o    x-coordinate of interpolation point
!     y1         i    y-coordinate of first point
!     y2         i    y-coordinate of second point
!     yint       o    y-coordinate of interpolation point
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      double precision v, w

!     v
!     w
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      v=v2-v1
      if(abs(v).gt.sqreps*(abs(v1)+abs(v2))) then

!     --- v2 - v1 # 0  interpolation can be carried out

         w=vint-v1
         xint=x1+w*(x2-x1)/v
         yint=y1+w*(y2-y1)/v
      else

!     --- v2 - v1 = 0  interpolation point is made equal to point 2

         xint=x2
         yint=y2
      end if
      end
