      subroutine pltjad ( hptr, nptr, optr )
! ======================================================================
!
!        programmer    Jos van Kan
!        version  1.0  date 20-01-1995
!
!   copyright (c) 1995-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!  pltjad changes the 'address register' of the cell at
!  hptr, effectively changing the pointer to the next segment
!  nptr is the new pointer (pointing to the new segment), optr the old seg
!  pointer.
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulepltj
      implicit none

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer hptr, nptr, optr

!    hptr      i      celnumber to be changed
!    nptr      i      new pointer to next HEADER
!    optr      o      old pointer to next HEADER
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
      integer pltjca

!     ERCLOS  Resets old name of previous subroutine of higher level
!     EROPEN  Produces concatenated name of local subroutine
!     ERRSUB  Error messages
!     PLTJCA  to get the next segment
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    1263   Trying to change adrg of atom
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      if (hptr.eq.nil) then
         call eropen ('pltjad')
         call errsub (1263, 0, 0, 0)
         call erclos ('pltjad')
      end if

!     --- Error : Trying to change adrg of atom

      optr = pltjca (hptr)
      adrg (hptr) = nptr
      end
