      subroutine pltjcu ( hptr, cell0 )
! ======================================================================
!
!        programmer    Jos van Kan
!        version  1.1  date 21-11-1995 Better error handling
!        version  1.0  date 20-01-1995
!
!   copyright (c) 1995-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!       pltjcu cuts a segment (with header hptr) at cell0 and creates with
!       the rest a new segment after this one.
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      use sepmodulepltj
      implicit none

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer hptr, cell0

!     cell0   i    cell number
!     hptr    i    header cell number of this segment
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer optr, auxptr, gbgcan

!     auxptr   auxiliary variable to (formally) store a pointer.
!     gbgcan
!     optr     auxiliary variable to temporarily store the old segment
!              pointer
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS  Resets old name of previous subroutine of higher level
!     EROPEN  Produces concatenated name of local subroutine
!     PLTJAD  to change the segment pointer
!     PLTJDC  to change the cell pointer of the freelist.
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ('pltjcu')

!     --- Let cell0 be end of this segment. Save pointer to former
!         successor in auxptr.

      call pltjdc (cell0, nil, auxptr)
      if ( ierror/=0 ) goto 99999

!     --- Make header cell point to former successor of cell0. Save old
!         pointer in optr.

      call pltjad (hptr, auxptr, optr)

!     --- Let address register of cell0's former successor point to next segment
!         Former value of adrg (nil) is put away in gbgcan and is lost.

      call pltjad (auxptr, optr, gbgcan)
99999 continue
      call erclos ('pltjcu')
      end
