      subroutine pltjip ( xcoor, ycoor, outsp1, outsp0, insp1, yinsp )
! ======================================================================
!
!
!        programmer     Jos van Kan
!        version 1.0    date   20-01-1995
!
!
!
!   copyright (c) 1995-1995 "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ********************************************************************
!
!                         DESCRIPTION
!
!       pltjip interpolates linearly in an array with function values ycoor and
!       x coordinates xcoor. xcoordinates are xcoor (outsp1) and xcoor (outsp0)
!       and between two those lies xcoor (insp1). For this x value is inter- &
!       polated.
! ********************************************************************
!
!                      KEYWORDS
!
!
! ********************************************************************
!
!                      INPUT / OUTPUT    PARAMETERS
!
      implicit none
      double precision ycoor (*), xcoor (*), yinsp
      integer outsp0, outsp1, insp1

!     insp1   i    index in the arrays
!     outsp0  i    index in the arrays
!     outsp1  i    index in the arrays
!     xcoor   i    array of x coordinates in the listpack.
!     ycoor   i    array of y coordinates in the listpack.
!     yinsp   o    interpolated value
! ********************************************************************
!
!                      COMMON BLOCKS
!
! ********************************************************************
!
!                      LOCAL PARAMETERS
!
      double precision x0, x1, y0, y1, xc

!     x0      auxiliary variable to store x coordinates
!     x1      auxiliary variable to store x coordinates
!     xc
!     y0      auxiliary variable to store y coordinates
!     y1      auxiliary variable to store y coordinates
! ********************************************************************
!
!                      SUBROUTINES CALLED
!
! ********************************************************************
!
!                      I/O
!
! ********************************************************************
!
!                      ERROR MESSAGES
!
! ********************************************************************
!
!                      PSEUDO CODE
!
!   trivial
! ======================================================================
!
      y1 = ycoor (outsp1)
      y0 = ycoor (outsp0)
      x1 = xcoor (outsp1)
      x0 = xcoor (outsp0)
      xc = xcoor (insp1)
      if (abs (x1 - x0).lt.1e-10) then
         yinsp = y1
      else
         yinsp = (y1 * (xc - x0) + y0 * (x1 - xc)) / (x1 - x0)
      end if
      end
