      subroutine pltop0 ( coor, solut, npoint, coornw )
!
! ********************************************************************
!
!        programmer    Guus Segal
!        version 1.0   date   08-06-1989
!
!   copyright (c) 1989  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   All rights reserved. No part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ********************************************************************
!
!     Store co-ordinates and solution into array coornw, such that
!     the first two components are equal to the (2-dim) co-ordinates
!     and the third one is equal to the solution
!
! ********************************************************************
!
!                  INPUT/OUTPUT
!

      implicit none
      integer npoint
      double precision coor(2,npoint), solut(npoint), coornw(3,npoint)
!
!     coor      i   Array containing the co-ordinates (Length 2xnpoint).
!
!                   x  = coor(1,i)       y  = coor(2,i)
!                    i                    i
!
!     coornw    o   Array containing both the co-ordinates and the solution.
!                   (Length 3xnpoint)
!
!                   x  = coor(1,i)       y  = coor(2,i)   f  = coor(3,i)
!                    i                    i                i
!
!     npoint    i   Number of points
!
!     solut     i   Array containing the solution.
!
! **********************************************************************
!
!    LOCAL PARAMETERS

      integer i

!
!    i         Loop variable
!
! **********************************************************************
!
      do 100 i = 1, npoint
         coornw(1,i) = coor(1,i)
         coornw(2,i) = coor(2,i)
         coornw(3,i) = solut(i)
100   continue
!
      end
