      subroutine ervl01(amas,smas,n)
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.2  date 05-12-2012 Fortran 90
!        version  1.1  date 19-02-1991 Z.Vlasek: notation
!        version  1.0  date 04-08-1986
!
!   copyright (c) 1986-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     take the sqrt of amas and store it in smas
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer n
      double precision amas(n),smas(n)

!     amas           i    mass matrix
!     n              i    length of the matrices
!     smas           o    sqrt of the mass matrix
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERTRAP         Error messages
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- tests

      do i=1,n
         if(abs(amas(i))<=0d0) &
          call ertrap('eigval  (ervl01)',465,14,i,0,0)
      end do

      smas=sqrt(amas)
      end
