      subroutine ervl11 ( a, b, n, stiff, smas, c )
! ======================================================================
!
!        programmer     Guus Segal
!        version 2.2    date 03-01-1999 New call to prsdia
!        version 2.1    date 12-01-1998 Unknowns are not longer renumbered
!        version 2.0    date 17-03-1991 Removal of intmas
!
!
!
!   copyright (c) 1986-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     solve   sqrt(m)^(-1) s sqrt(m)^(-1)    a  =  b
!     (afep subroutine eigen1)
! **********************************************************************
!
!                       KEYWORDS
!
!   eigenvalue
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulemat
      use sepmodulematr
      use sepmodulematstr
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer n
      double precision a(n),b(n),c(n), smas(n)
      type (rmatrix) :: stiff

!     a          i    input vector
!     b          o    output eigenvector
!     c               work array of length n
!     n          i    length of the vectors
!     smas       i    sqrt(m), sqrt of the mass matrix
!     stiff      i    stiffness matrix
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     SEPNSCMATVEC   Compute y = A x, where A is non-symmetric compact matrix
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'ervl11' )

      b = a/smas
      call sepnscmatvec ( stiff, b, c )
      b = c/smas
      call erclos ( 'ervl11' )
      end
