      subroutine ervl14 ( x, y, amas, n, nbound )
! ======================================================================
!
!        programmer     Guus Segal
!        version 2.2    date 03-01-1999 New call to prsdia
!        version 2.1    date 12-01-1998 Unknowns are not longer renumbered
!        version 2.0    date 27-11-1992 Removal of intmas, intstf and stiff
!
!
!
!   copyright (c) 1986-1999 "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     compute eigenvector of (generalized) eigenvalue problem
!     (afep subroutine eigen2)
!     at this moment:   y = sqrt(m)^(-1)   x
! **********************************************************************
!
!                       KEYWORDS
!
!   eigenvalue
! **********************************************************************
!
!                       MODULES USED
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      implicit none
      double precision x(*), y(*), amas(*)
      integer n, nbound

!     amas       i    inverted mass matrix
!     n          i    length of the vectors
!     nbound     i    number of boundary conditions
!     x          i    input vector
!     y          o    output eigenvector
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, idum(1)

!     i          Counting variable
!     idum       General dummy variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     PRSDIA    Solve system of linear equations in the case that the matrix
!               is a diagonal matrix
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      do i=1,nbound
         y(i+n)=0d0
      end do
      call prsdia ( amas, x, y, n )
      end
