      subroutine ervl22 ( alpha, beta, j, x, del, ni )
      implicit none

! **********************************************
!
!   to be called from ervl20 only
!
! ********************************************************************
!
!
!        programmer     Zdenek Vlasek
!
!        version 1.0    date   19-02-1991
!
!
!
!   copyright (c) 1986,1989,1990  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ********************************************************************
!
!------ evaluate functions  delta(j,x), ni(j,x),  see P+R  (3.1), (3.2), &
!                           for a new  x
!
!       input parameters:   alpha(1..j)
!                           beta(1..j-1)
!                           j >=1
!                           x
!       output parameters:  del
!                           ni
! **********************************************

      integer j, ni
      double precision alpha(j), beta(j), x, del

!     ... local variables
      integer i

      if ( j.lt.1 ) then
        call errint ( 10, 1 )
        call errsub ( 1403, 1, 0, 0 )
        call instop
      end if

!     ... initialize  del, ni  ( case j=1 )
      del = alpha(1) - x

!     ... notice: abs(ni(x)) is equal to " 1 + original ni(x) ", &
!         so  ni(x) >= 1  and flagging by minus is now possible, &
!         see P+R, bottom of page 139

      if ( del.lt.0d0 ) then
        ni = 2
      else
        ni = 1
      end if

!     ... case j>=2
      do 10 i = 2, j
        call ervl23 ( alpha, beta, i, x, del, ni )
   10 continue
      end
