      subroutine prsprr ( usol )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.3  date 07-04-2014 Extra debug
!        version  1.2  date 26-10-2005 Debug statements
!        version  1.1  date 12-08-1992 Extension with multiplication factor
!
!   copyright (c) 1989-2014  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     fill part of usol corresponding to "right" periodical boundary
!     conditions in the case of real arithmetic
!     Formula to be used: ur = ul + c
! **********************************************************************
!
!                       KEYWORDS
!
!     periodical
!     boundary_condition
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekprob
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double precision usol(nusol)

!    usol    i/o  Solution array to be addapted
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i              General loop variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     PRININ         print 1d integer array
!     PRINRL         Print 1d real vector
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!    for i:= (1)npboun do
!
!       U                     = C2 U         + C1
!        i+nusol-nbound-npboun    i kprobs(i)    i
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prsprr' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from prsprr'
         write(irefwr,1) 'npboun, nusol, nbound', npboun, nusol, nbound
         call prinrl ( rprobs(1,1), npboun, 'c1' )
         call prinrl ( rprobs(1,2), npboun, 'c2' )
         call prinin ( kprobs, npboun, 'kprobs' )
  1      format ( a, 1x, (10i6) )

      end if
      if ( ierror/=0 ) go to 1000
      do i = 1, npboun
         usol(nusol-nbound-npboun+i) = rprobs(i,2)*usol(kprobs(i))+rprobs(i,1)
      end do

1000  call erclos ( 'prsprr' )
      if ( debug ) then

!     --- Debug information

         call prinrl ( usol(nusol-nbound-npboun+1), npboun, 'usol' )
         write(irefwr,*) 'End prsprr'

      end if

      end
