      subroutine sepfilloldsol
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 27-12-2016
!
!   copyright (c) 2016-2016  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Fill old solutions in sepmodulebuild
!
! **********************************************************************
!
!                       KEYWORDS
!
!     pointer
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulevecs
      use sepmodulekprob
      use sepmodulesmf
      use sepmodulebuild
      use sepmoduleoldvecs
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!

!     SMF            i    Contains all input for subroutine SEPBUILD
!                         See modules SEPMODULESMF
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     PRININ         print 1d integer array
!     SEPCOPYOLDSOL  Create relation between solution arrays and buffer
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepfilloldsol' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepfilloldsol'
         write(irefwr,1) 'numold', numold
         write(irefwr,*) 'oldsol ', oldsol
  1      format ( a, 1x, (10i6) )

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      if ( numold>0 ) then

!     --- There are more old solutions

         oldsol1 = .true.
         call sepcopyoldsol ( SMF%islold, istold1 )
         if ( SMF%islold(1)>0 ) vecold => ks(SMF%islold(1))%sol
   !      if ( numold==1 ) oldsols(1)%iseqtype = 1

      else

         if ( oldsol ) then

            if ( debug ) call prinin ( SMF%islold, 5, 'islold' )

            vecold => ks(SMF%islold(1))%sol
            oldsols(1)%oldvecs => vecold
            oldsols(1)%lenoldvec = size(vecold)
            if ( indprf>0 ) oldsols(1)%kprobf => kprobf
            oldsols(1)%iseqtype = 1

         else

            vecold => usol
            oldsols(1)%oldvecs =>usol
            if ( indprf>0 ) oldsols(1)%kprobf => kprobf
            oldsols(1)%iseqtype = 1

         end if  ! ( oldsol )

      end if  ! ( numold==0 )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepfilloldsol'

      end if  ! ( debug )
      call erclos ( 'sepfilloldsol' )

      end subroutine sepfilloldsol
