      subroutine to0008 ( relemvc, rhside )
! ======================================================================
!
!        programmer    Guus Segal
!        version  3.1  date 15-11-2012 Long integers
!        version  3.0  date 06-12-2008 New parameter list
!        version  2.1  date 02-02-2005 Correction numrhs> 1
!
!   copyright (c) 1983-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Add element vector to right-hand side
!
! **********************************************************************
!
!                       KEYWORDS
!
!     assembly
!     vector
!     real
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulebuild
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double precision, intent(in) :: relemvc(icount)
      double precision, intent(inout) ::rhside(*)

!     relemvc    i   Array containing the various element vectors
!     rhside    i/o   Contains the various right-hand sides
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer :: i, inusol

!                    they are not
!     i              Counting variable
!     inusol         Position of unknown in array RHSIDE
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'to0008' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from to0008'

      end if
      if ( ierror/=0 ) go to 1000

      do i = 1, icount
         inusol = indexren(i)
         rhside(inusol) = rhside(inusol)+relemvc(i)
      end do

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End to0008'

      end if
      call erclos ( 'to0008' )

      end
