      subroutine to0055
! ======================================================================
!
!        programmer    Guus Segal
!        version  3.0  date 24-07-2015 Use sepmodulebuild
!        version  2.3  date 03-10-1994 Use smaller value of sigma
!        version  2.2  date 09-09-1994 Extension with jmethod = 5,6
!
!   copyright (c) 1985-2015  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     compute norm of matrix, and make sigma equal to norm/sqreps
!
! **********************************************************************
!
!                       KEYWORDS
!
!     matrix
!     norm
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulemat
      use sepmodulecmat
      use sepmoduleintmat
      use sepmodulematstr
      use sepmodulebuild
      use sepmodulekprob
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      type (intmatrix), pointer :: IM
      double precision, pointer :: Ar(:)
      double complex, pointer :: Ac(:)
      double precision :: rownrm

!     Ac             Complex matrix
!     Ar             Real matrix
!     IM             Refers to intmt(intmat)
!     rownrm         Row norm of matrix
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      rownrm = 0d0
      IM => intmt(realmt(stiffmat(1))%intmatref)
      if ( IM%complexm ) then

!     --- complex matrix

         Ac => realmt(stiffmat(1))%Sz_ii
         rownrm = maxval(abs(Ac(IM%diag)))

      else

!     --- real matrix (row-compact storage)

         Ar => realmt(stiffmat(1))%S_ii
         rownrm = maxval(abs(Ar(IM%diag)))

      end if  ! ( IM%complexmat )
      sigma = rownrm/sqreps*0.1d0

      end
