      subroutine tobvalzc ( usol )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 16-11-1998 Correction loop upper bound
!        version  1.0  date 01-01-1998
!
!   copyright (c) 1998-2015  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Set part of usol corresponding to boundary conditions equal to 0
!    Complex version
! **********************************************************************
!
!                       KEYWORDS
!
!     boundary_condition
!     complex
!     essential
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekprob
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double complex usol(*)

!     usol      i/o   Solution vector
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i          Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      usol(kprobhinvo(nrusol:nrusol+nbound-1)) = (0d0,0d0)
      end
