      subroutine tofict01
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 05-04-2000
!
!   copyright (c) 2000-2000  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   Fill arrays index2 and index5 with the positions of the unknowns in the
!   nodal points of an element
! **********************************************************************
!
!                       KEYWORDS
!
!     element
!     matrix
!     fictitious_domain
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulebuild
      use sepmodulekprob
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer :: inusol, j, k, inodp

!     inodp      Nodal point number
!     inusol     Position of unknown in array USOL
!     j          Counting variable
!     k          Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      icount = 0
      if ( indprf==0 ) then

!     --- Constant number of degrees of freedom

         do j = 1,inpelm
            inodp = index1(j)
            inusol = (inodp-1)*nunkp
            do k = 1, ndimlc
               index5(icount+k) = inusol+k
            end do
            icount = icount+ndimlc
         end do

      else

!     --- Variable number of degrees of freedom

         do j = 1, inpelm
            inodp = index1(j)
            inusol = kprobf(inodp)
            do k = 1, ndimlc
               index5(icount+k) = inusol+k
            end do
            icount = icount+ndimlc
         end do

      end if
      if ( indprh>0 ) then
         do j = 1, icount
            index2(j) = kprobr(index5(j))
         end do
      else
         do j = 1, icount
            index2(j) = index5(j)
         end do
      end if
      end
