      subroutine prenthplotmsh
! ======================================================================
!
!        programmer    John Brusche
!        version  1.0  date 13-09-2005
!
!   copyright (c) 2005-2005  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Plot the mesh. Nodal point numbers are shown.
!
! **********************************************************************
!
!                       KEYWORDS
!
!     enthalpy
!     heat_equation
!     refine
!     plot
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleplot
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, iskip, iinplt(22)
      double precision rinplt(10)

!     i              Counting variable
!     iinplt         Input array for subroutine PLOTMS:
!     iskip          Indicates if element groups must be skipped (>0)
!                    or not (0)
!     rinplt         Input array for subroutine PLOTMS:
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     SEPPLOTMS      plot mesh
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prenthplotmsh' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from prenthplotmsh'

      end if
      if ( ierror/=0 ) go to 1000

      rinplt(1) = 15d0
      rinplt(2) = 1d0

      iskip = 0
      iinplt(1) = 22
      iinplt(2) = 1
      iinplt(3) = 1
      iinplt(4) = 0
      do i = 5, 22
         iinplt(i) = 0
      end do
      jmark = 0

      call sepplotms ( iinplt, rinplt, iskip)

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End prenthplotmsh'

      end if
      call erclos ( 'prenthplotmsh' )

      end subroutine prenthplotmsh
