      subroutine prresetctimen
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 05-06-2011
!
!   copyright (c) 2011-2011  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Reset the parameters in ctimen
!
! **********************************************************************
!
!                       KEYWORDS
!
!     timing
!     reset
!     time_integration
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduletime
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
      integer inttimsav
      double precision realtimsav
      common /ctimensav/ realtimsav(10), inttimsav(8)
      save /ctimensav/

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prresetctimen' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from prresetctimen'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      t        = realtimsav(1)
      tout     = realtimsav(2)
      tstep    = realtimsav(3)
      tend     = realtimsav(4)
      t0       = realtimsav(5)
      theta    = realtimsav(6)
      toutinit = realtimsav(7)
      toutend  = realtimsav(8)
      toutstep = realtimsav(9)
      toutnext = realtimsav(10)
      iflag        = inttimsav(1)
      icons        = inttimsav(2)
      itimdep      = inttimsav(3)
      itimloop     = inttimsav(4)
      ioutact      = inttimsav(5)
      itiminterval = inttimsav(6)
      icalltim     = inttimsav(7)
      maxcalltim   = inttimsav(8)

1000  call erclos ( 'prresetctimen' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End prresetctimen'

      end if  ! ( debug )

      end
