      subroutine sepmatlabproj
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 27-07-2016
!
!   copyright (c) 2016-2016  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Write projection vectors in matlab format
!     Old subroutine prmatlabproj
! **********************************************************************
!
!                       KEYWORDS
!
!     projection
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleproj
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, j, iref

!                    they are not
!     i              Counting variable
!     iref           File reference number
!     j              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
      integer inisetnewref

!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     INIRMREF       Remove entry iref from the set of reference numbers used
!     INISETNEWREF   Create new reference number
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepmatlabproj' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepmatlabproj'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

!     --- Open file

      iref = inisetnewref()

      open ( unit = iref, file = 'proj_vec.dat' )

!     --- Loop over projection vectors

      do i = 1, nproj

         do j = projrows(i)+1, projrows(i+1)

            if ( abs(projU(j))>0d0 ) then
               write(iref,100) projcols(j), i, projU(j)
100            format(i9,1x,i9,ss,1pe22.12e2)
            end if  ! ( abs(projU(j))>0d0 )

         end do  ! j = projrows(iproj)+1, projrows(iproj+1)

      end do  ! i = 1, nproj

!     --- Close file

      close ( unit = iref )
      call inirmref ( iref )

1000  call erclos ( 'sepmatlabproj' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepmatlabproj'

      end if  ! ( debug )

      end
