      subroutine seppjdsts
! ======================================================================
!
!        programmer     Gjalt Wijma
!        version 1.0    date   25-06-1998
!
!
!   copyright (c) 1997-1997  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     This subroutine copies the non-sparse array CONSET into the
!     sparse array SPCONSET.
!     Old subroutine prpjdsts
! **********************************************************************
!
!                       KEYWORDS
!
!     conjugate_gradients
!     projection
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleproj
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      implicit none
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer iset, i, j

!     i           Loop variable
!     iset        Counting variable
!     j           Loop variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     PRININ         print 1d integer array
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'seppjdsts' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from seppjdsts'
  1      format ( a, 1x, (10i6) )

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      i = 0
      spconsetsh(1) = nconset(1)
      do iset = 1, nset
         spconsetsh(1+iset) = nconset(iset+1)
         do j = 1, nset
            if ( conset(iset,j).eq.1 ) then
               i = i+1
               spconsetsa(i) = j
            end if
         end do
      end do

      if ( debug .or. print_lv>=3 ) then
         write(irefwr,*) '   [ set : connected sets ]'
         do i = 1, nset
            write(irefwr,*) '   ', i, ' : ', &
            (spconsetsa(j),j=nconset(i)+1,nconset(i+1))
         end do
         write(irefwr,*) ' '
      end if

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,1) 'nset', nset
         call prinin ( conset, nset+1, 'conset' )
         call prinin ( spconsetsh, nset+1+nconset(nset+1), 'spconsetsh' )
         call prinin ( spconsetsa, nconset(nset+1), 'spconsetsa' )
         write(irefwr,*) 'End seppjdsts'

      end if  ! ( debug )
      call erclos ( 'seppjdsts' )

      end subroutine seppjdsts
