      subroutine chtype ( iserie, kproblc )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.2  date 26-11-1993 New error messages
!        version  1.1  date 06-06-1989 Extension for more problems
!        version  1.0  date 23-04-1985
!
!   copyright (c) 1985-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    change type numbers for the iserie th serie
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulemain
      use sepmodulekprob
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iserie, kproblc

!      iserie   i   new series number
!                   In the case of more problems, CHTYPE should consist of
!                   two numbers:  ISERIEold and IPROB according to:
!                   iserie = ISERIEold + (IPROB-1)*1000  with:
!                   ISERIEold:  new series number
!                   IPROB:      problem number
!      kproblc i/o  standard sepran array containing information of the problem
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer jserie, k, ielgrp

!     ielgrp         element group number
!     jserie         Series number
!     k              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     ERRINT         Put integer in error message
!     ERRSUB         Error messages
!     SEPACTKPROB    Activate arrays for module sepmodulekprob
!     SEPFILLKPROB   Fill parameters in module sepmodulekprob
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
!     367   ISERIE out of range
!     368   subroutine chtype has been called whereas ntype = 1
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'chtype' )
      jserie = mod ( iserie,1000 )
      iprob  = iserie / 1000 + 1

      kprob2d(1) = kproblc
      kprob => kprob2d(1)
      iseqkp = kprob
      kprobpart => kp(iseqkp)%kprobsub(iprob)
      kprobloc => kprobpart%kprobloc
      kprobc => kprobpart%kprobc
      kprobd => kprobpart%kprobd
      call sepfillkprob
      if(ierror/=0) go to 1000
      if ( ntype==1 ) then
         call errsub ( 368, 0, 0, 0 )
      end if
      if ( jserie<1 .or. jserie>ntype ) then
         call errint ( jserie, 1 )
         call errint ( ntype, 2 )
         call errsub ( 367, 2, 0, 0 )
      end if
      if ( ierror/=0 ) go to 1000
      do ielgrp = 1, nelgrp+numnat
         kprobc(ielgrp) = kprobd((jserie-1)*(nelgrp+numnat)+ielgrp)
      end do  ! ielgrp = 1, nelgrp+numnat
1000  call erclos ( 'chtype' )
      end
