      subroutine ininodeelms1 ( elements, numelms, elementsact, &
                                iprocessor )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 20-03-2015
!
!   copyright (c) 2015-2015  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Fill array elementsact for all elements in array elements
!
! **********************************************************************
!
!                       KEYWORDS
!
!     element
!     node
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer elements(*), numelms, iprocessor, elementsact(*)

!     elements       i    Array of length numelms containing the element
!                         numbers of the elements of which the nodes must
!                         be detected
!     elementsact   i/o   Array of size nelem indicating which elements are
!                         already part of a submesh (>0) or not yet (=0)
!     iprocessor     i    Processor sequence number
!     numelms        i    Number of elements
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!     Clear arrays elementsact and iwork
!     Make elementsact equal to 1 for all elements in elements
!     Set iwork = 1 for all nodes in the elements in elements
!     Fill array nodes
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'ininodeelms1' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from ininodeelms1'

      end if

!     --- Make elementsact equal to 1 for all elements in elements

      elementsact(elements(1:numelms)) = iprocessor

      call erclos ( 'ininodeelms1' )
      if ( debug ) write(irefwr,*) 'End ininodeelms1'

      end
