      subroutine sepobst
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 01-03-2018
!
!   copyright (c) 2018-2018  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Set array elemskip equal to 0 for all elements outside the obstacle
!     and equal to 1 for all elements inside the obstacle
!     Old subroutine topobst
! **********************************************************************
!
!                       KEYWORDS
!
!     fill
!     obstacle
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, numinelmobst, istartelem

!     i              Counting variable
!     istartelem     Starting address in element array
!     numinelmobst   Number of elements that are completely within the obstacle
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!     Set elemskip to 0
!     Set elemskip = 1 for all elements in the obstacle
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- Set elemskip to 0

      elemskip(1:nelem) = 0

!     --- Set elemskip = 1 for all elements in the obstacle

      istartelem = numobst+1
      numinelmobst = ielemobst(istartelem)+ielemobst(istartelem+1)
      istartelem = istartelem+3
      do i = 0, numinelmobst-1
         elemskip(ielemobst(istartelem+i)) = 1
      end do

      end
