      subroutine sepprinkprob ( ichois )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 20-03-2018
!
!   copyright (c) 2018-2018  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print contents of array kprob or parts of it
!     Old subroutine prinkprob
! **********************************************************************
!
!                       KEYWORDS
!
!     array
!     print
!     problem_definition
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekprob
      use sepmodulemain
      use sepmodulekmesh
      use sepmodulecpack
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer :: ichois

!     ichois  i    choice parameter, values:
!                  -1: Print a selection of the complete integer array.
!                      This possibility is only allowed for kprob equal to
!                      KMESH, KPROB and INTMAT
!                      If the complete array KMESH must be printed, then
!                      both arrays KMPRB and kprob are assumed to be KMESH
!                      If the complete array KPROB must be printed, then
!                      array KMPRB is assumed to be KMESH and kprob is
!                      assumed to be KPROB
!                   0: Print the complete integer array.
!                      This possibility is only allowed for kprob equal to
!                      KMESH, KPROB and INTMAT
!                      If the complete array KMESH must be printed, then
!                      both arrays KMPRB and kprob are assumed to be KMESH
!                      If the complete array KPROB must be printed, then
!                      array KMPRB is assumed to be KMESH and kprob is
!                      assumed to be KPROB
!                  11: print kprob parts b and i
!                  12: print kprob part f
!                  13: print kprob part e
!                  14: print kprob part h
!                  15: print kprob part g
!                  16: print kprob part k
!                  17: print kprob part l
!                  18: print kprob part m
!                  19: print kprob part n
!                  22: print kprob part o
!                  23: print kprob part p
!                  24: print kprob part r
!                  25: print kprob part s
!                  26: print kprob part v and w
!                  27: print kprob part x
!                  28: print kprob part y
!                  29: print kprob part aa
!                  51: print kprob parts parinfo, sendinfo and innercontr
!                  52: print kprob part ab
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     SEPPRINKPROB1  Print array KPROB for one problem
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepprinkprob' )

      write ( irefwr, 200 ) nprob
200   format( /' Array KPROB relates to ', i3,' problems')

      iseqkp = kprob
      do iprob = 1, nprob
         write ( irefwr, 902 ) iprob
         kprobpart => kp(iseqkp)%kprobsub(iprob)
         kprobloc => kprobpart%kprobloc
         call sepprinkprob1 ( ichois )
      end do

902   format (//' Problem number',i3,':'///)

      call erclos ( 'sepprinkprob' )
      end subroutine sepprinkprob
