      subroutine topedges01 ( nmeshd, nelem, nedpel, length )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 04-05-2002
!
!   copyright (c) 2002-2002  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   creates the edges part 1 pointers and initialization
!   Restricted to one specific element group only
! **********************************************************************
!
!                       KEYWORDS
!
!     topology
!     edge
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer nmeshd(*), nelem, nedpel, length

!     length         o    Computed length of array nmeshd
!     nedpel         i    number of edges in one element
!     nelem          i    Number of elements
!     nmeshd         o    nmesh part d
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer ielem, ipd

!     ielem          Element number
!     ipd            pointer in kmeshaad
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     TOPEDG011      Create the first part of the edges array for one
!                    element group
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'topedges01' )
      ipd = nelem + 1
      ielem = 0

      call topedg011 ( nmeshd, nelem, ielem, ipd, nedpel )

      length = ipd - 1

      call erclos ( 'topedges01' )
      end
