      subroutine el0813lin ( iuser, isub, iseqtemp, ishift )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 20-01-2012
!
!   copyright (c) 2012-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Fill information concerning coefficient 5
!     raise ipos, ishift
! **********************************************************************
!
!                       KEYWORDS
!
!     element_matrix
!     element_vector
!     elliptic_equation
!     initialization
!     parabolic_equation
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      use sepmodulecactl
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iuser(*), isub, iseqtemp, ishift

!     iseqtemp       o    Sequence number of temperature in solution vector
!     ishift        i/o   Shift of specific variable with respect to diagonal
!     isub           i    Integer help parameter for do-loops to indicate the
!                         smallest coefficient number that is dependent on space
!     iuser          i    Integer user array to pass user information from
!                         main program to subroutine. See STANDARD PROBLEMS
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'el0813lin' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from el0813lin'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      iseqtemp = iuser(ipos)

      ipos = ipos + 1
      ishift = ishift+2-isub

1000  call erclos ( 'el0813lin' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End el0813lin'

      end if  ! ( debug )

      end
