      subroutine el2009(ichois,elemmt,elemvc,s,f,indloc,nloc,jindloc)
! ======================================================================
!
!        programmer    Guus Segal
!        version  2.2  date 03-04-1999 Include commons
!        version  2.1  date 22-08-1991 Zdenek: no dimension, cdc, ce
!        version  2.0  date 15-05-1987
!
!   copyright (c) 1985-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    the element matrix s (nxn) is transformed to a new element matrix s
!    (nxn;  new sequence)
!    the element vector f (1xn) is transformed to a new vector f
!    the new numbering is stored in array ind according to:
!    elemmt(i,j) = s(indloc(i),indloc(j))
!    f(i) = f(indloc(i))
!    Both arrays are supposed to be stored as one-dimensional arrays
!    If s is stored as two-dimensional array then s transpose must be used
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecactl
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer ichois,indloc(*),nloc,jindloc
      double precision elemmt(*), elemvc(*), f(*), s(*)

!     elemmt     o    the element matrix in the new sequence
!     elemvc     o    the element vector in the new sequence
!     f          i    the element vector in the old sequence
!     ichois     i    Choice parameter. Possibilities:
!                     0  both element matrix and vector are transformed
!                     1  only the element matrix is transformed
!                     2  only the element vector is transformed
!                     10 both element matrix and vector are transformed
!                        The element matrix is transposed  (s is stored 2-d)
!                     11 only the element matrix is transformed
!                        The element matrix is transposed  (s is stored 2-d)
!     indloc       i/o   index array containing the new sequence
!     jindloc       i    indication whether array ind is filled by the user
!                     jindloc=0, or must be filled by el2009 for ifirst=0
!                     jindloc=2,3
!     n          i    number of rows in s
!     s          i    the element matrix in the old sequence
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      logical matr,vectr,mattra
      integer mloc, i, i1, in, j, l, lm
      save mloc

!     i          Counting variable
!     i1
!     in
!     j          Counting variable
!     l          General loop variable
!     lm
!     m
!     matr
!     mattra
!     vectr
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      if(ifirst.eq.0) then

!     --- ifirst = 0

         if(jindloc.gt.0) then

!        --- jindloc > 0    fill indloc

           mloc=nloc/jindloc
           do 50 l=1,jindloc
              lm=(l-1)*mloc
              do 50 i=1,mloc
 50              indloc(jindloc*(i-1)+l)=i+lm
         end if
      end if
      matr=.true.
      vectr=.true.
      mattra=.false.
      if(ichois.eq.1) then
         vectr=.false.
      else if(ichois.eq.2) then
         matr=.false.
      else if(ichois.eq.10) then
         matr=.false.
         mattra=.true.
      else if(ichois.eq.11) then
         matr=.false.
         mattra=.true.
         vectr=.false.
      end if
      if(matr) then

!     --- change matrix  standard sequence

         in=0
         do 110 i=1,nloc
            i1=(indloc(i)-1)*nloc
            do 100 j=1,nloc
100            elemmt(in+j)=s(i1+indloc(j))
110         in=in+nloc
      else if(mattra) then

!     --- change matrix  transposed sequence

         in=0
         do 130 i=1,nloc
            do 120 j=1,nloc
120            elemmt(in+j)=s((indloc(j)-1)*nloc+indloc(i))
130         in=in+nloc
      end if
      if(vectr) then
         do 200 i=1,nloc
200         elemvc(i)=f(indloc(i))
      end if
      end
