      subroutine el6007(f, vec1, vec2, vec3, vec4, eta, m)
! ======================================================================
!
!        programmer    Patrick Anderson
!        version  1.0  date 24-01-1997
!
!   copyright (c) 1997-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Compose f out of vec1, vec2, vec3, vec4 and eta
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer m
      double precision f(3*m), vec1(m), vec2(m), vec3(m), &
                        vec4(m), eta(m)

!     eta       i     viscosity
!     f         o     resulting vector
!     m         i     number of integration points
!     vec1      i     first input vector
!     vec2      i     second input vector
!     vec3      i     third input vector
!     vec4      i     fourth input vector
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i    counting parameter
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      do i = 1, m
         eta(i) = 1.0d0
         f(3*i-2) = 2*eta(i)*vec1(i)
         f(3*i-1) = eta(i)*(vec2(i)+vec3(i))
         f(3*i)   = 2*eta(i)*vec4(i)
      end do
      end
