      subroutine el6045(s, smatr, tmatr, pmatr, qmatr, m)
! ======================================================================
!
!        programmer Patrick Anderson
!
!        version 1.1    date  25-02-1997  Correction ico nonsym
!        version 1.0    date  25-01-1997
!
!   copyright (c) 1997-1997  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! **********************************************************************
!
!                       DESCRIPTION
!
!     compose s out of smatr, tmatr, pmatr and qmatr
!
! **********************************************************************
!
!                       KEYWORDS
!
!    element_matrix
!    element_vector
!    elliptic_equation
!     initialization
!    parabolic_equation
!     spectral
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      implicit none
      integer m
      double precision s(2*m,2*m), smatr(m,m), tmatr(m,m), &
                       pmatr(m,m), qmatr(m,m)

!     m         i     number of integration points
!     pmatr     i     input p matrix
!     qmatr     i     input q matrix
!     s         o     resulting matrix
!     smatr     i     input s matrix
!     tmatr     i     input t matrix
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, j

!     i    counting parameter
!     j    counting parameter
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    - &
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      do 200 i = 1, m
         do 100 j = 1, m

!        --- # (1,1)

            s(2*j-1,2*i-1) = smatr(i,j)

!           --- # (2,2)

            s(2*j,2*i)     = tmatr(i,j)

!           --- # (1,2)

            s(2*j,2*i-1)   = pmatr(i,j)

!           --- # (2,1)

            s(2*j-1,2*i)   = qmatr(i,j)
100      continue
200   continue

      end
