      subroutine elm651 ( coor, inpelm, index1, x, ndim)
!
! ********************************************************************
!
!
!        programmer    Arno van Duin
!        version 1.1   date   91-03-18  NDIM = 3
!        version 1.0   date   90-11-01
!
!
!   copyright (c) 1990  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
!
! ********************************************************************
!
! the coordinates of the midpoints of the edges are filled in vector x
!
! ********************************************************************
!
!
!                INPUT / OUTPUT PARAMETERS

      implicit none

      integer inpelm, index1(*), ndim
      double precision coor(*), x(*)

!
!     coor     i     array of length ndim x npoint containing the co-ordinates
!                    of the nodal points with respect to the global numbering
!
!                    x  = coor (1,i);  y  = coor (2,i);  z  = coor (3,i);
!                     i                 i                 i
!
!     index1   i     array of length inpelm containing the point numbers
!                    of the nodal points in the element
!
!     inpelm   i     number of points per element
!
!     ndim     i     the dimension of space
!
!     x        o     real array containing the coordinates of the midpoints
!                    of the edges of the element
!
! *********************************************************************
!
!               LOCAL PARAMETERS

      integer i

!
!     i           loop variable
!
! ********************************************************************
!
!                              METHOD
!
!       the information stored in coor is put in x
!
! ********************************************************************
!

!               SUBROUTINES CALLED
!
!       none
!
! ********************************************************************

      call eropen ( 'elm651' )

      if ( ndim.eq.3 ) then

!        isoparametric tetrahedrons

         x(1)  = coor ( 3 * index1(13) - 2 )
         x(2)  = coor ( 3 * index1(13) - 1 )
         x(3)  = coor ( 3 * index1(13) )

         x(4)  = coor ( 3 * index1(14) - 2 )
         x(5)  = coor ( 3 * index1(14) - 1 )
         x(6)  = coor ( 3 * index1(14) )

         x(7)  = coor ( 3 * index1(12) - 2 )
         x(8)  = coor ( 3 * index1(12) - 1 )
         x(9)  = coor ( 3 * index1(12) )

         x(10) = coor ( 3 * index1(11) - 2 )
         x(11) = coor ( 3 * index1(11) - 1 )
         x(12) = coor ( 3 * index1(11) )

      else

!        isoparametric triangles

         do 20 i = 2, inpelm, 2
            x(i-1) = coor( 2 * index1(i) - 1 )
            x(i)   = coor( 2 * index1(i) )
20       continue
      end if

      call erclos ( 'elm651' )

      end
