      subroutine elm653 ( B, size, A)
!
! ********************************************************************
!
!
!        programmer    Arno van Duin
!        version 1.0   date   90-11-01
!
!
!   copyright (c) 1990  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
!
! ********************************************************************
!
!         -1
!   A = B   is computed
!
! ********************************************************************
!
!
!                INPUT / OUTPUT PARAMETERS

      implicit none

      integer size
      double precision A(size,size), B(size,size)

!
!     size     i  integer denoting the size of the matrix
!
!     A        o  real matrix containing the inverse of B
!
!     B        i  real symmetric invertable matrix
!
! *********************************************************************
!
!               LOCAL PARAMETERS

      integer i, j, k

!
!     i, j, k       loop variable
!
! ********************************************************************
!
!                              METHOD
!         -1
!    A = B
!
! ********************************************************************
!
!               SUBROUTINES CALLED
!
!       none
!
! ********************************************************************

      call eropen ( 'elm653' )

      do 20 i = 1, size
         do 10 j = 1, size
            A(i,j) = B(i,j)
10       continue
20    continue
      do 1200 i=1,size
         A(i,i)=1/A(i,i)
         do 1110 k=1,i-1
            A(i,k)=-A(i,k)*A(i,i)
 1110    continue
         do 1120 j=i+1,size
            A(j,i)=A(j,i)*A(i,i)
 1120    continue
         do 1130 j=1,i-1
            do 1121 k=1,j
               A(j,k)=A(j,k)+A(i,j)*A(i,k)/A(i,i)
 1121       continue
 1130    continue
         do 1140 j=i+1,size
            do 1131 k=1,i-1
               A(j,k)=A(j,k)+A(j,i)*A(i,k)/A(i,i)
 1131       continue
            do 1132 k=i+1,j
               A(j,k)=A(j,k)-A(j,i)*A(k,i)/A(i,i)
 1132       continue
 1140    continue
 1200 continue
      do 1300 i=1,size
         do 1210 j=i+1,size
            A(i,j)=A(j,i)
 1210    continue
 1300 continue

      call erclos ( 'elm653' )

      end
