      subroutine elvswap(f, m, ndim)
! ======================================================================
!
!        programmer     Peter Minev
!        version 1.1    date   28-01-1996 Layout
!        version 1.0    date   29-03-1995
!
!   copyright (c) 1995-1996  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!***********************************************************************
!
!                         DESCRIPTION
!
!     swap parts of element vector in the the case of a linear
!     spectral element due to different nodal numbering
! **********************************************************************
!
!                      KEYWORDS
!
!     spectral
! **********************************************************************
!
!                      INPUT / OUTPUT    PARAMETERS
!
      implicit none
      integer m, ndim
      double precision f(m)

!     f     i/o    element vector
!     m      i     number of nodal points in the element (4 in 2D)
!     ndim   i     dimension of the space
!***********************************************************************
!
!                   COMMON BLOCKS
!
!***********************************************************************
!
!                   LOCAL PARAMETERS

      double precision swap

!     swap     swap parameter
!***********************************************************************
!
!                  SUBROUTINES CALLED
!
!***********************************************************************
!
!                    I/O
!
!    none
! ********************************************************************
!
!                   ERROR MESSAGES
!
!***********************************************************************
!
!                    PSEUDO CODE
!
!   trivial
! ======================================================================
!
      if( ndim.eq.2 ) then
         swap = f(3)
         f(3) = f(4)
         f(4) = swap

      end if

      if( ndim.eq.3 ) then
         swap = f(3)
         f(3) = f(4)
         f(4) = swap
         swap = f(7)
         f(7) = f(8)
         f(8) = swap

      end if

      end
