      subroutine errorelvar0 ( errornr )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 10-06-2013
!
!   copyright (c) 2013-2013  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print error message errornr for element
!
! **********************************************************************
!
!                       KEYWORDS
!
!     element
!     error_manipulation
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      use sepmodulecactl
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer errornr

!     errornr        i    Error number to be printed
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     ERRINT         Put integer in error message
!     ERRSUB         Error messages
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'errorelvar0' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from errorelvar0'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      call errint ( ielem, 1 )
      call errint ( itype, 2 )
      call errint ( ielgrp, 3 )
      call errsub ( errornr, 3, 0, 0 )

1000  call erclos ( 'errorelvar0' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End errorelvar0'

      end if  ! ( debug )

      end
