      subroutine sepadaprule251
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 27-07-2017
!
!   copyright (c) 2017-2017  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Adapt integration rule in case of boundary elements for linear elasticity
!     See old subroutine el0251
! **********************************************************************
!
!                       KEYWORDS
!
!     element_matrix
!     element_vector
!     numerical_integration
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleelm
      use sepmodulebasefn
      use sepmodulecomio
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!

! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepadaprule251' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepadaprule251'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      if ( B%rule==0 ) then

!     --- Default integration rule

         B%rule = 3
         select case (E%ishape)
            case(1, 3)
               B%rule = 1
            case default
               B%rule = 3
         end select  ! case (E%ishape)

      end if  ! ( B%rule==0 )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepadaprule251'

      end if  ! ( debug )
      call erclos ( 'sepadaprule251' )

      end subroutine sepadaprule251
