      subroutine sepeldefault
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 16-08-2015
!
!   copyright (c) 2015-2015  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Set default values for parameters in module sepmodulebasefn
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulebasefn
      use sepmodulecactl
      use sepmodulecomio
      use sepmoduleelm
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepeldefault' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepeldefault'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      B => B1

!     --- Set default values

      B%kstep = 1           ! step in quadrature rule
      B%jdiag = 2           ! general quadrature rule
      B%nvert = E%npelm     ! Number of vertices
      B%n = E%npelm         ! number of basis functions
      B%m = B%n
      B%fillgauss = .false. ! do not compute Gauss points
      B%nd2 = 0             ! No second derivatives
      B%fillderiv = .true.
      B%fillderivn = .false. ! Do not fill derivatives in nodes
      B%fillderiv2 = .false.
      B%derivconst = .false. ! derivatives of basis functions variable
      B%comppsi = .false.   ! do not compute linear basis functions
      B%fillqmat = .false.  ! do not fill transformation matrix
      B%compqmat = .false.  ! do not fill transformation matrix
      B%callbyderiv = .false.
      B%fillpsi = .false.
      E%methodupw = 0       ! No uwpind
      E%filloldvec = .false.  ! do not fill prior vector
      E%filloldderiv = .false.  ! do not fill derivative of prior vector
      E%applyupw = 0        ! upwind is applied to all terms
      E%jtransfo = 0
      E%iqmat = 0
      E%ktang = 0
      E%notvec = 0
      E%notmat = 0
      E%compold = 0

      kstep = 1
      jdiag = 2
      jtrans = 0

      if ( E%ielem/=0 ) then
         ielem = E%ielem
         ielgrp = E%ielgrp
         E%itype = itype
      end if  ! ( E%ielem/=0 )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepeldefault'

      end if  ! ( debug )
      call erclos ( 'sepeldefault' )

      end subroutine sepeldefault
