      subroutine el2708 (coor0, coorn, coor1, isequ, iseqnr)
! ======================================================================
!
!        programmer    Chris van Oijen
!        version  2.0  date 06-01-2016 Use sepmoduleelem
!        version  1.2  date 12-12-2012 Long integers
!        version  1.1  date 01-11-2002  Added common cactl (RvL)
!
!   copyright (c) 1996-2016  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Add displacement field to element coordinates in buffer
!
! **********************************************************************
!
!                       KEYWORDS
!
!     mechanics
!     non_linear
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulebuild
      use sepmoduleoldvecs
      use sepmoduleelem
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iseqnr, isequ(ndim,inpelm)
      double precision coor0(ndim,*), coorn(ndim,*), coor1(ndim,*)

!     coor0          i    Coordinates in undeformed configuration
!     coor1          i
!     coorn          i    ?
!     iseqnr         i    Sequence number with respect to the storage in array
!                         ISEPIN
!     isequ          i    Sequence for displacement dof's
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, j
      double precision, pointer :: vecoldlc(:), vecoldlc1(:)
      integer, pointer :: index3n1(:)

!     i              Counting variable
!     j              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      iseqtype = oldsols(iseqnr+1)%iseqtype
      index3n1 => indoldsols(iseqtype)%index3
      vecoldlc1 => oldsols(iseqnr+1)%oldvecs
      iseqtype = oldsols(iseqnr)%iseqtype
      index3n => indoldsols(iseqtype)%index3
      vecoldlc => oldsols(iseqnr)%oldvecs
      do i = 1, n
         do j = 1, ndim
            coorn(j,i) = coor0(j,i)+vecoldlc1(index3n1(isequ(j,i)))
            coor1(j,i) = coorn(j,i)+vecoldlc(index3n(isequ(j,i)))
         end do
      end do

      end
