      subroutine el4035 (ichint,itcoor,elemvc,elemwg,pc,phig,xg, &
                         x,u,smatr,vector,w,n,lrow,ndim)
!
! -------------------------------------------------------------------- &
!
!        programmer   jaap van der zanden
!
!        version 3.3  date   10-03-1992 explicit type
!        version 3.2  date   29-12-1991 elemvc=gradp in n points
!        version 3.1  date   22-08-1991 Zdenek: no dimension, cdc, ce
!        version 3.01 date   08-12-1988 beautifying action
!        version 3    date   12-06-1985 itcoor=2,4
!        version 2    date   23-05-1985 ndim=3
!        version 1    date   22-12-1984
!
!
!   copyright (c) 1984  "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! -------------------------------------------------------------------- &
!
!    computation of gradient of pressure  (u in nodal points !)
!
! -------------------------------------------------------------------- &
      integer ichint, itcoor, n, lrow, ndim
      double precision pc
      double precision elemvc(*), elemwg(*), phig(*), xg(*), x(*), u(*), &
             smatr(*), vector(*), w(*)
! -------------------------------------------------------------------- &
!
!   LOCAL  VARIABLES
!
! ------------------------------------------------------------------- &
      integer i, ii, ik, j, j1, j2, jl, k, n1, nln, nstep, nt
      double precision dpdx(3), phic, phicr, sum

      if (ichint.ge.10) then
         nstep=1
         n1=n
      else
         nstep=2
         n1=(n/2)*2
      end if
      if ((ichint.eq.0 .or.ichint.eq.10).and.(itcoor.eq.0)) then
         phic=w(n)
      else
         phic=0.0d0
         ik=n*(n-1)+1
         do 5 k=1,n
            phic=phic+phig(ik)*w(k)
            ik=ik+1
5        continue
      end if
      if ((itcoor.eq.2).or.(itcoor.eq.4)) then
!
!*  integration of phi(7)/r
!
         phicr=0.0d0
         ik=n*(n-1)+1
         do 6 k=1,n
            phicr=phicr+phig(ik)*w(k)/xg(k)
            ik=ik+1
6        continue
      end if
      nln=n*lrow
      nt=ndim*n
      jl=nln-lrow
      j2=n
      do 20 j=1,ndim
         sum=0.0d0
         do 10 i=1,nt
            sum=sum-u(i)*smatr(jl+i)
10       continue
         if ((j.eq.2).and.((itcoor.eq.2).or.(itcoor.eq.4))) then
            dpdx(j)=(sum+vector(j2))/phicr
         else
            dpdx(j)=(sum+vector(j2))/phic
         end if
         jl=jl+nln
         j2=j2+n
20    continue
      ii=1
      do 40 i=1,n1,nstep
         j1=i
         j2=n
         sum=0.0d0
         do 30 j=1,ndim
            sum=sum+(x(j1)-x(j2))*dpdx(j)
            j1=j1+n
            j2=j2+n
30       continue
         elemvc(ii)=pc+sum
         elemwg(ii)=1.0d0
         ii=ii+1
40    continue
      end
