      subroutine el4037(itcoor,w,wh,xg,phig,dphidx,uold,duoldx, &
                        secinv,dvdgrd,elvect,ndim,n,m,psig,dpsidx,n1)
      integer itcoor,ndim,n,m,n1
      double precision w(*), wh(*), xg(*), phig(*), uold(*), dphidx(*), &
             duoldx(*), elvect(*), secinv(*), dvdgrd(*), psig(*), &
             dpsidx(*)
!
! ********************************************************************
!
!
!        programmer   jaap van der zanden
!
!    version 5.1  date    22-08-1991 Zdenek: no dimension, cdc, ce
!    version 5.0  date    6-04-1990 itcoor=3 error in sum1,sum2,sum3
!    version 4.1  date    4-04-1990 itcoor=3, error in dd3
!    version 4    date   21-05-1985 ndim=3,itcoor=3
!    version 3    date   14-05-1985 simplified parameter list
!    version 2    date   26-02-1985
!
!        programmer   hans damsteegt
!
!    version 1    date   01-10-1983 afep
!
!
!
!
!   copyright (c) 1984  "ingenieursbureau sepra''
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from the "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ********************************************************************
!
!     element vector for generalized newtonian fluids
!
!     terms of vector for newton linearization of viscosity
!
! ********************************************************************
!
!   LOCAL  VARIABLES
!
      double precision a12,a13,a23,dd1,dd2,dd3, &
             phik,pxik,pyik,pzik,qxik,qyik,sum1,sum2,sum3,whk,xk
      integer i,ik,k,m2,m3,m4,m5,m6,m7,m8,nm,nm2,n1m,n2
      nm=n*m
      m2=m+m
      m3=m2+m
      do 100 k=1,m
         wh(k)=w(k)*dvdgrd(k)*secinv(k)
100   continue
!
!     ik          = ( i - 1 ) * n + k
!
      if ((ndim.eq.2).and.(itcoor.eq.0)) then
!
! *  2-dim cartesian coordinates
!
         ik=1
         do 400 i=1,n
            sum1=0
            sum2=0
            do 300 k=1,m
               pxik=dphidx(ik)
               pyik=dphidx(nm+ik)
               a12=duoldx(m+k)+duoldx(m2+k)
               dd1=2*pxik*duoldx(k)+pyik*a12
               dd2=2*pyik*duoldx(m3+k)+pxik*a12
               whk=wh(k)
               sum1=sum1+dd1*whk
               sum2=sum2+dd2*whk
               ik=ik+1
300         continue
!
! * fill array elvect
!
            elvect(i)=elvect(i)+sum1
            elvect(i+n)=elvect(i+n)+sum2
400      continue
      else if ((ndim.eq.3).and.(itcoor.eq.0)) then
!
! *  3-dim cartesian coordinates
!
         ik=1
         m4=m3+m
         m5=m4+m
         m6=m5+m
         m7=m6+m
         m8=m7+m
         nm2=nm+nm
         n2=n+n
         do 430 i=1,n
            sum1=0
            sum2=0
            sum3=0
            do 420 k=1,m
               pxik=dphidx(ik)
               pyik=dphidx(nm+ik)
               pzik=dphidx(nm2+ik)
               a12=duoldx(m+k)+duoldx(m3+k)
               a13=duoldx(m2+k)+duoldx(m6+k)
               a23=duoldx(m5+k)+duoldx(m7+k)
               dd1=2*pxik*duoldx(k) +pyik*a12         +pzik*a13
               dd2=  pxik*a12     +2*pyik*duoldx(m4+k)+pzik*a23
               dd3=  pxik*a13     +pyik*a23 +2*pzik*duoldx(m8+k)
               whk=wh(k)
               sum1=sum1+dd1*whk
               sum2=sum2+dd2*whk
               sum3=sum3+dd3*whk
               ik=ik+1
420         continue
!
! * fill array elvect
!
            elvect(i)=elvect(i)+sum1
            elvect(i+n)=elvect(i+n)+sum2
            elvect(i+n2)=elvect(i+n2)+sum3
430      continue
!
! * compute terms of vector for axisymmetric coordinates (no swirl)
!
!
      else if (itcoor.eq.1) then
         ik=1
         do 800 i=1,n
            sum1=0
            sum2=0
            do 700 k=1,m
               pxik=dphidx(ik)
               pyik=dphidx(nm+ik)
               a12=duoldx(m+k)+duoldx(m2+k)
               dd1=2*pxik*duoldx(k)+pyik*a12 &
                   +2*phig(ik)*uold(k)/(xg(k)**2)
               dd2=2*pyik*duoldx(m3+k)+pxik*a12
               whk=wh(k)
               sum1=sum1+dd1*whk
               sum2=sum2+dd2*whk
               ik=ik+1
700         continue
!
! * fill array elvect
!
            elvect(i)=elvect(i)+sum1
            elvect(i+n)=elvect(i+n)+sum2
800      continue
      else if (itcoor.eq.3 .and. ndim.eq.2) then
!
! *  axisymmetric coordinates with swirl
!
         ik=1
         m4=m3+m
         m5=m4+m
         n2=n+n
         n1m=n1*m
         do 830 i=1,n
            sum1=0
            sum2=0
            sum3=0
            do 820 k=1,m
               pxik=dphidx(ik)
               pyik=dphidx(nm+ik)
               xk=xg(k)
               a12=duoldx(m+k)+duoldx(m2+k)
               dd1=2*pxik*duoldx(k) + pyik*a12 &
                  +2*uold(k)*phig(ik)/(xk*xk)
               dd2=pxik*a12 + 2*pyik*duoldx(m3+k)
               whk=wh(k)
               sum1=sum1+dd1*whk
               sum2=sum2+dd2*whk
               if (i.le.n1) then
                  qxik=dpsidx(ik)
                  qyik=dpsidx(n1m+ik)
                  a13=duoldx(m4+k)-uold(m2+k)/xk
                  a23=duoldx(m5+k)
                  dd3=a13*(qxik-psig(ik)/xk) + qyik*a23
                  sum3=sum3+dd3*whk
               end if
               ik=ik+1
820         continue
!
! * fill array elvect
!
            elvect(i)=elvect(i)+sum1
            elvect(i+n)=elvect(i+n)+sum2
            if (i.le.n1) then
               elvect(i+n2)=elvect(i+n2)+sum3
            end if
830      continue
      else if (itcoor.eq.2) then
!
! *  polar coordinates
!
         ik=1
         do 920 i=1,n
            sum1=0
            sum2=0
            do 910 k=1,m
               pxik=dphidx(ik)
               xk=xg(k)
               pyik=dphidx(nm+ik)/xk
               phik=phig(ik)/xk
               a12=duoldx(m2+k)+(duoldx(m+k)-uold(m+k))/xk
               dd1=2*pxik*duoldx(k)+pyik*a12+2*uold(k)*phik/xk
               dd2=(pxik-phik)*a12+2*(duoldx(m3+k)+uold(k)/xk)*pyik
               whk=wh(k)
               sum1=sum1+dd1*whk
               sum2=sum2+dd2*whk
               ik=ik+1
910         continue
!
! * fill array elvect
!
            elvect(i)=elvect(i)+sum1
            elvect(i+n)=elvect(i+n)+sum2
920      continue
      end if
      end
