      subroutine el4042(icheld,ix,jd,itcoor,nloc,ndim, &
                        modelv,etha,cn,cl,ct,temp1,param, &
                        x,u,dudx,gradv,elemvc,elemwg)
!
! =====================================================================
!
!        programmer   jaap van der zanden
!
!        version 3.2  date   22-11-1992 remove name, m; expl. decl.
!        version 3.1  date   22-08-1991 Zdenek: no dimension, cdc, ce
!        version 3    date   08-12-1986 revision into el4042
!                                       (icheld=9,sqrt(secinv))
!                                       (icheld=10,grad(temp))
!
!
!   copyright (c) 1986,1992  "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! **********************************************************************
      use sepmodulecactl
      implicit none
      integer icheld, ix, jd, itcoor, nloc, ndim, modelv
      double precision cn, cl, ct, temp1
      double precision etha(*), param(*), x(*), u(*), dudx(*), gradv(*), &
             elemvc(*), elemwg(*)
! **********************************************************************
!
!   DESCRIPTION
!
!     this subroutine computes derived quantities with help
!          of el4010, el4040
!
! **********************************************************************
!
!   COMMON  BLOCKS
!
! **********************************************************************
! - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - &
!
!   LOCAL  VARIABLES
!
! **********************************************************************
      integer ig, ij, ip, nh, nn, nt
      double precision viscos
      save nn
! **********************************************************************
!
!   SUBROUTINES  CALLED
!
!   EL4010  compute d v_i/d x_j, divergence, curl
!   EL4043  Compute  quantities for a generalized newtonian liquid
!   ERCLOS  reset old name of calling tree
!   EROPEN  add name of routine to calling tree
!
! **********************************************************************
!
!   I / O
!
!   none
!
! **********************************************************************
!
!   ERROR  MESSAGES
!
!   none
!
! **********************************************************************
!
!   PSEUDO  CODE
!
!   trivial
!
! =====================================================================
!
!*  derived quantities in vertices only
!   (set nt for weights)
!
      if (ifirst.eq.0) then
         nh=nloc/2
         nn=nh*2
         if ( (icheld.ge.2 .and. icheld.le.4) .or. &
              (icheld.ge.7 .and. icheld.le.9) ) then
            if ( icheld.eq.2 .or. icheld.eq.3 .or. &
                 icheld.eq.7 .or. icheld.eq.9 ) then
               nt=nh
            else if ( icheld.eq.4 .or. icheld.eq.8 ) then
               if ( ndim.eq.2 .and. itcoor.ne.3 ) then
                  nt=nh
               else if ( ndim.eq.3 .or. itcoor.eq.3 ) then
                  nt=nh*3
               end if
            end if
         else if ( icheld.ge.5 .and. icheld.le.6 ) then
            if (icheld.eq.5) then
               if ( ndim.eq.2 .and. &
                  ( itcoor.eq.0 .or. itcoor.eq.2 )) then
                  nt=nh*3
               else if ( ndim.eq.2 .and. itcoor.eq.1 ) then
                  nt=nh*4
               else if ( ndim.eq.3 .or. itcoor.eq.3 ) then
                  nt=nh*6
               end if
            else if (icheld.eq.6) then
               if ( ndim.eq.2 .and. &
                  ( itcoor.eq.0 .or. itcoor.eq.2 )) then
                  nt=nh*4
               else if ( ndim.eq.2 .and. itcoor.eq.1 ) then
                  nt=nh*5
               else if ( ndim.eq.3 .or. itcoor.eq.3 ) then
                  nt=nh*9
               end if
            end if
         else if (icheld.eq.10) then
            nt=nh*ndim
         end if
         do 1 ig=1,nt
            elemwg(ig)=1.0d0
1        continue
      end if
      call eropen('el4042')
      ij=1
      do 10 ip=1,nn,2
         if ( icheld.ge.2 .and. icheld.le.4 ) then
            call el4010(icheld,ix,jd,itcoor,x,u,dudx, &
                        ip,nloc,ndim,elemvc(ij))
            if ( icheld.eq.2 .or. icheld.eq.3 ) then
               ij=ij+1
            else if (icheld.eq.4) then
               if ( ndim.eq.2 .and. itcoor.ne.3 ) then
                  ij=ij+1
               else if ( ndim.eq.3 .or. itcoor.eq.3 ) then
                  ij=ij+3
               end if
            end if
         else if ( icheld.ge.5 .and. icheld.le.10 ) then
            call el4043(icheld-4,itcoor,ip,nloc,ndim, &
                        modelv,etha,cn,cl,ct,temp1,param,x,u,dudx, &
                        viscos,gradv,elemvc(ij))
            if (icheld.eq.5) then
               if ( ndim.eq.2 .and. &
                  ( itcoor.eq.0 .or. itcoor.eq.2 )) then
                  ij=ij+3
               else if ( ndim.eq.2 .and. itcoor.eq.1 ) then
                  ij=ij+4
               else if ( ndim.eq.3 .or. itcoor.eq.3 ) then
                  ij=ij+6
               end if
            else if (icheld.eq.6) then
               if ( ndim.eq.2 .and. &
                  ( itcoor.eq.0 .or. itcoor.eq.2 )) then
                  ij=ij+4
               else if ( ndim.eq.2 .and. itcoor.eq.1 ) then
                  ij=ij+5
               else if ( ndim.eq.3 .or. itcoor.eq.3 ) then
                  ij=ij+9
               end if
            else if ( icheld.eq.7 .or. icheld.eq.9 ) then
               ij=ij+1
            else if (icheld.eq.8) then
               if ( ndim.eq.2 .and. itcoor.ne.3 ) then
                  ij=ij+1
               else if ( ndim.eq.3 .or. itcoor.eq.3 ) then
                  ij=ij+3
               end if
            else if (icheld.eq.10) then
               ij=ij+ndim
            end if
         end if
10    continue
      call erclos('el4042')
      end
