      subroutine el8233 (elemvc, f, f1, f2, isequ, iseqp, npres)
! ======================================================================
!
!        programmer    Chris van Oijen
!        version  2.0  date 06-01-2016 Use sepmoduleelem
!        version  1.1  date 28-05-2003 extension ndim
!        version  1.0  date 16-10-2000  Derived from el1006
!
!   copyright (c) 2000-2016  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Assemble element vector for general nonlinear solid
!
! **********************************************************************
!
!                       KEYWORDS
!
!     element_vector
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleelem
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer npres, isequ(*), iseqp(*)
      double precision elemvc(icount), f(ndim*n), f1(npres), f2(npres)

!     elemvc  o    Element vector
!     f       i    Element vector without the effect of the pressure
!     f1      i
!     f2      i
!     iseqp   i    Sequence for pressure dof's
!     isequ   i    Sequence for displacement dof's
!     npres   i    Number of pressure unknowns
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i       Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!     The element vector has the following structure
!
!         | fu |
!     f = |    |
!         | fp |
!
!     with fu the material rhs and fp the divergence rhs.
!
!     Depending of the element type the submatrices are filled
!     corresponding to the correct dof.
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- Fill in material stiffness part fu

      do i = 1, ndim*n
         elemvc(isequ(i)) = f(i)
      end do

!     --- Fill fp

      do i = 1, npres
         elemvc(iseqp(i)) = f1(i) + f2(i)
      end do

      end
