      subroutine elm997
! ======================================================================
!
!        programmer    Guus Segal
!        version  2.0  date 08-02-2003 Standard element
!        version  1.0  date 15-10-1998
!
!   copyright (c) 1998-2003  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
! **********************************************************************
!
!                       KEYWORDS
!
!     matrix
!     vector
!     element
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleelm
      use sepmodulebasefn
      use sepmodulebuild
      use sepmodulecomio
      use sepmodulecactl
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, j

!     i              Counting variable
!     j              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     INSTOP         Stop the program
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'elm997' )

      if ( icount.eq.6)  then
         ist = 3
         ndim = 3
      else if ( icount.eq.4 ) then
         ist = 2
         ndim = 2
      else
         write(*,*)'ERROR: Element not used correctly'
         call instop
      end if

!     --- truss element for contact betweeen dies.
!         very stiff in 3 direction, u1=u2  otherwise soft
!         thickness=0.01, stiff=1, A=1d2  EA/t = 1d4

      do i=1,icount
         do j=1,icount
            E%mat(j,i)= 0d0
         end do
         E%vec(i) = 0d0
      end do

      do i=1,ndim-1
         E%mat(i,i) = 1d-4
         E%mat(i,i+ist) = -1d-4
         E%mat(i+ist,i) = -1d-4
         E%mat(i+ist,i+ist) = 1d-4
      end do
      do i=ndim,ndim
         E%mat(i,i) = 1d4
         E%mat(i,i+ist) = -1d4
         E%mat(i+ist,i) = -1d4
         E%mat(i+ist,i+ist) = 1d4
      end do

      call erclos ( 'elm997' )

      end
