      subroutine elp222 (dphiol,dphinw,xg,n,m)
!
! =====================================================================
!
!        programmer   Guus Segal
!        version 1.2  date   16-12-1992 JvdZ: expl. decl.
!        version 1.1  date   22-08-1991 Zdenek: no dimension, cdc, ce
!        version 1    date   24-12-1986
!
!   copyright (c) 1986,1991  "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! **********************************************************************
      implicit none
      integer n, m
      double precision dphiol(*), dphinw(*), xg(*)
! **********************************************************************
!
!   DESCRIPTION
!
!     compute new derivatives of basis functions for polar co-ordinates
!     the second component is divided by r (the first co-ordinate)
!
! **********************************************************************
!
!   INPUT / OUTPUT  PARAMETERS
!
!
!      dphiol  i   derivatives of basis functions at input
!
!      dphinw  o   transformed derivatives of basis functions
!
!      xg      i   co-ordinates of gauss points
!
!      n       i   number of basis funtions
!
!      m       i   number of integration points
!
! **********************************************************************
!
!     ERROR MESSAGES
!
!     None.
! **********************************************************************
!
!     CALLED SUBROUTINES
!
!     None.
! **********************************************************************
!
!   LOCAL  VARIABLES
!
! =====================================================================
      integer i, istart, k
      do 100 i=1,n*m
100      dphinw(i)=dphiol(i)
      istart=n*m
      do 120 i=1,n
         do 110 k=1,m
110         dphinw(k+istart)=dphiol(k+istart)/xg(k)
120      istart=istart+m
      end
