      subroutine elp272(coor,indlocex1,nloc,x,y,curved)
      use sepmodulecactl
      implicit none
      integer indlocex1(*), nloc
      double precision coor(*), x(*), y(*), curved
!
! --------------------------------------------------------------------
!
!   programmer   jaap van der zanden
!
!   version 2.6  date   22-08-1991 Zdenek: no dimension, cdc, ce
!   version 2.5  date   26-04-1991 criterion for midpoint to be in the
!                                   mid sharpened for proper selection
!                                   between Gauss and Newton-Cotes int.)
!   version 2.4  date   01-06-1989 initialize nlast
!   version 2.3  date   10-04-1989 criterion for curved elements
!   version 2.2  date   10-03-1989 criterion for curved elements
!   version 2.1  date   10-03-1989 common cactl
!   version 2    date   18-11-1987 nlast
!   version 1.1  date   14-01-1987 save
!   version 1    date   19-08-1985
!
!
!   copyright (c) 1984,1991  "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! -------------------------------------------------------------------- &
!
!     fill coordinates and test whether element is curved
!          (quadratic or extended quadratic triangle)
!          (quadratic or extended quadratic quadrilateral)
!
!     compute coordinates of 7'th point
!
! -------------------------------------------------------------------- &
!
      integer i     ,ih    ,indloc(10) ,indi  ,indi1 ,indi2 ,ipp   ,nlast
      double precision eps   ,xh    ,x7    ,yh    ,y7
      save indloc,nlast,eps
      data nlast/0/
      if ((ifirst.eq.0).or.(nloc.ne.nlast)) then
!
!*  fill indloc
!
         if ((nloc.eq.7).or.(nloc.eq.9)) then
            ipp=nloc
         else
            ipp=nloc+1
         end if
         do 1 i=1,nloc
            indloc(i)=i
1        continue
         indloc(ipp)=1
         nlast=nloc
!
!*  set eps small enough; this avoids problems with
!       non-curved non-equidistant meshes
!       (thanks to P.J. Slikkerveer, 26-04-1991)
!
         eps=1.0d-8
      end if
      if (nloc.eq.7) then
         ipp=6
      else
         ipp=nloc
      end if
      do 10 i=1,ipp
         ih=2*indlocex1(i)
         x(i)=coor(ih-1)
         y(i)=coor(ih)
10    continue
      curved=0.0d0
      if (nloc.lt.6) return
!
! --------------------------------------------------------------------
!
!      *  check whether boundary is curved or straight
!
      if (nloc.eq.9) ipp=8
      do 15 i=1,ipp,2
         indi=indloc(i)
         indi1=indloc(i+1)
         indi2=indloc(i+2)
         if (max(abs(x(indi)-2*x(indi1)+x(indi2)), &
                 abs(y(indi)-2*y(indi1)+y(indi2))) .gt. &
             max(abs(x(indi)-x(indi2)),abs(y(indi)-y(indi2)))*eps ) &
             curved=2.0d0
15    continue
      if (nloc.eq.7) then
         x7=x(1)+x(3)+x(5)
         y7=y(1)+y(3)+y(5)
         xh=x(2)+x(4)+x(6)
         yh=y(2)+y(4)+y(6)
         if (curved.lt.1) then
!
!    * triangle with straight sides  ==>  7'th point
!
            x(7)=x7/3
            y(7)=y7/3
         else
!
!   * triangle with curved boundary  ==>  7'th point
!
            x(7)=(4*xh-x7)/9
            y(7)=(4*yh-y7)/9
         end if
      end if
      end
