      subroutine elp280(itcoor,dldx,dphidx,baricc,n)
      implicit double precision (a-h,o-z)
      double precision dldx(*), dphidx(*), baricc(*)
!
! ********************************************************************
!
!        programmer   jaap van der zanden
!        version 1.1  date   22-08-1991 Zdenek: no dimension, cdc, ce
!        version 1    date   04-01-1985
!        version 2    date   13-06-1985 addition of n to elp274
!
!
!   copyright (c) 1984  "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ********************************************************************
!
!
!     compute derivatives of basis functions (itcoor=0)
!     for extended quadratic triangle with straight sides
!     in gauss integration points (itcoor>0)
!
! ********************************************************************
!
      dldx1=dldx(1)
      dldx2=dldx(2)
      dldx3=dldx(3)
      if (n.eq.6) then
         if (itcoor.eq.0) then
!
!      no algorithm has been constructed , the expressions are
!      plainly written down and can be used for dldx,dphidx as
!      well as for dldy,dphidy
!
            dphidx(1)=3*dldx1
            dphidx(2)=dldx1
            dphidx(3)=-dldx1
            dphidx(4)=-dldx1
            dphidx(5)=-dldx1
            dphidx(6)=dldx1
            dphidx(7)=dldx1/3
            dphidx(8)=4*dldx2
            dphidx(9)=-2*dldx3
            dphidx(10)=4*dldx1
            dphidx(11)=2*dldx1
            dphidx(12)=0.0d0
            dphidx(13)=2*dldx2
            dphidx(14)=-4*dldx3/3
            dphidx(15)=-dldx2
            dphidx(16)=dldx2
            dphidx(17)=3*dldx2
            dphidx(18)=dldx2
            dphidx(19)=-dldx2
            dphidx(20)=-dldx2
            dphidx(21)=dldx2/3
            dphidx(22)=0.0d0
            dphidx(23)=2*dldx3
            dphidx(24)=4*dldx3
            dphidx(25)=-2*dldx1
            dphidx(26)=4*dldx2
            dphidx(27)=2*dldx2
            dphidx(28)=-4*dldx1/3
            dphidx(29)=-dldx3
            dphidx(30)=-dldx3
            dphidx(31)=-dldx3
            dphidx(32)=dldx3
            dphidx(33)=3*dldx3
            dphidx(34)=dldx3
            dphidx(35)=dldx3/3
            dphidx(36)=4*dldx3
            dphidx(37)=2*dldx3
            dphidx(38)=0.0d0
            dphidx(39)=2*dldx1
            dphidx(40)=4*dldx1
            dphidx(41)=-2*dldx2
            dphidx(42)=-4*dldx2/3
         else
            kk=1
            ik=1
            do 10 k=1,7
               zeta1=baricc(kk)
               zeta2=baricc(kk+1)
               zeta3=baricc(kk+2)
               dphidx(ik   )=dldx1*(4*zeta1-1)
               dphidx(ik+14)=dldx2*(4*zeta2-1)
               dphidx(ik+28)=dldx3*(4*zeta3-1)
               dphidx(ik+7 )=4*(dldx1*zeta2+dldx2*zeta1)
               dphidx(ik+21)=4*(dldx2*zeta3+dldx3*zeta2)
               dphidx(ik+35)=4*(dldx3*zeta1+dldx1*zeta3)
               ik=ik+1
               kk=kk+3
10          continue
         end if
      else if (n.eq.7) then
         if (itcoor.eq.0) then
            dphidx(1)=3*dldx1
            dphidx(2)=dldx1+0.75d0*dldx3
            dphidx(3)=-dldx1
            dphidx(4)=-dldx1+0.75d0*dldx1
            dphidx(5)=-dldx1
            dphidx(6)=dldx1+0.75d0*dldx2
            dphidx(7)=dldx1/3
            dphidx(8)=4*dldx2
            dphidx(9)=-2*dldx3-3*dldx3
            dphidx(10)=4*dldx1
            dphidx(11)=2*dldx1-3*dldx1
            dphidx(12)=0.0d0
            dphidx(13)=2*dldx2-3*dldx2
            dphidx(14)=-4*dldx3/3
            dphidx(15)=-dldx2
            dphidx(16)=dldx2+0.75d0*dldx3
            dphidx(17)=3*dldx2
            dphidx(18)=dldx2+0.75d0*dldx1
            dphidx(19)=-dldx2
            dphidx(20)=-dldx2+0.75d0*dldx2
            dphidx(21)=dldx2/3
            dphidx(22)=0.0d0
            dphidx(23)=2*dldx3-3*dldx3
            dphidx(24)=4*dldx3
            dphidx(25)=-2*dldx1-3*dldx1
            dphidx(26)=4*dldx2
            dphidx(27)=2*dldx2-3*dldx2
            dphidx(28)=-4*dldx1/3
            dphidx(29)=-dldx3
            dphidx(30)=-dldx3+0.75d0*dldx3
            dphidx(31)=-dldx3
            dphidx(32)=dldx3+0.75d0*dldx1
            dphidx(33)=3*dldx3
            dphidx(34)=dldx3+0.75d0*dldx2
            dphidx(35)=dldx3/3
            dphidx(36)=4*dldx3
            dphidx(37)=2*dldx3-3*dldx3
            dphidx(38)=0.0d0
            dphidx(39)=2*dldx1-3*dldx1
            dphidx(40)=4*dldx1
            dphidx(41)=-2*dldx2-3*dldx2
            dphidx(42)=-4*dldx2/3
            dphidx(43)=0.0d0
            dphidx(44)=6.75d0*dldx3
            dphidx(45)=0.0d0
            dphidx(46)=6.75d0*dldx1
            dphidx(47)=0.0d0
            dphidx(48)=6.75d0*dldx2
            dphidx(49)=0.0d0
         else
            kk=1
            ik=1
            do 20 k=1,7
               zeta1=baricc(kk)
               zeta2=baricc(kk+1)
               zeta3=baricc(kk+2)
               dphi7x=dldx1*zeta2*zeta3 &
                     +dldx2*zeta1*zeta3 &
                     +dldx3*zeta1*zeta2
               dphidx(ik   )=dldx1*(4*zeta1-1)+3*dphi7x
               dphidx(ik+14)=dldx2*(4*zeta2-1)+3*dphi7x
               dphidx(ik+28)=dldx3*(4*zeta3-1)+3*dphi7x
               dphidx(ik+7 )=4*(dldx1*zeta2+dldx2*zeta1)-12*dphi7x
               dphidx(ik+21)=4*(dldx2*zeta3+dldx3*zeta2)-12*dphi7x
               dphidx(ik+35)=4*(dldx3*zeta1+dldx1*zeta3)-12*dphi7x
               dphidx(ik+42)=27*dphi7x
               ik=ik+1
               kk=kk+3
20          continue
         end if
      end if
      end
