      subroutine elstrupd ( sigma, n, stress )
! ======================================================================
!
!        programmer    Guus Segal
!        version 1.0   date 03-12-1998
!
!
!   copyright (c) 1998-1998  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   Update stress tensor with a given initial stress tensor
!   Ad-hoc test version, only meant for two-dimensional Cartesian Navier- &
!   Stokes
! **********************************************************************
!
!                       KEYWORDS
!
!    stress
!    element_vector
!    navier_stokes_equation
! **********************************************************************
!
!                       MODULES USED
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      implicit none
      integer n
      double precision stress(3), sigma(4,n)

!     n          i    number of basis functions for each component
!     sigma     i/o   array of length 4*n containing the stress tensor
!                     sigma(1,i) contains tau_xx
!                     sigma(2,i) contains tau_yy
!                     sigma(4,i) contains tau_xy
!     stress     i    Array containing the three values of the stress tensor
!                     in the element
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i          Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      do i = 1, n
         sigma(1,i) = sigma(1,i) + stress(1)
         sigma(2,i) = sigma(2,i) + stress(3)
         sigma(4,i) = sigma(4,i) + stress(2)
      end do

      end
