      program helmholtz11

!     --- Standard main program

      implicit none
      integer, allocatable, dimension (:) :: ibuffr
      integer (kind=8) pbuffr
      integer error
      parameter ( pbuffr=100000000)
      allocate(ibuffr(pbuffr), stat = error)
      if (error /= 0) then
         ! space for these arrays could not be allocated
         print *, "error: (helmholtz11) could not allocate space."
         stop
      end if  ! (error /= 0)
      call sepcombf ( ibuffr, ibuffr, pbuffr )
      end

!     --- Function funccf is used to define the right-hand side

      function funccf ( ichoice, x, y, z )
      use sepmoduleconsts
      implicit none
      integer ichoice
      double precision x, y, z, funccf
      double precision k, getconst
      k = getconst('k')
      if ( ichoice==1 ) then
         funccf = -(k**2-5*pi**2)*sin(pi*x)*sin(2d0*pi*y)
      else
         call errchr('funccf',1)
         call errsub ( 349, 0, 0, 1)
         call instop
      end if
      end
