      program layerarc02

!     --- Main program for straight/curved layer problem
!         See Manual Examples Section 3.1.6
!         To link this program use:
!
!         seplink layerarc02

      call startsepcomp
      end

      subroutine funccoor ( ichoice, ndim, coor, nodes, numnodes )

!     --- This subroutine is used to change the coordinates
!         The input coordinates are for the straight mesh
!         The output coordinates are for the curved mesh
!         The transformation is given by:
!
!         x_curved = (1-cos(pi x_straight))/2
!         y_curved = y_straight+sin(pi x_straight)/2

      use sepmoduleconsts
      implicit none
      integer          ichoice, ndim, numnodes , nodes(numnodes)
      integer          i, nodenr
      double precision coor(ndim,*)
      do i = 1, numnodes
         nodenr = nodes(i)
         coor(2,nodenr) = coor(2,nodenr)+0.5d0*sin(pi*coor(1,nodenr))
         coor(1,nodenr) = 0.5d0*(1d0-cos(pi*coor(1,nodenr)))
      end do
      end
