      program constrictionmesh

!     --- Main program to create the mesh for the mesh file for problem !       !         described in the paper:
!
!         Effect of constriction height on flow separation in a two-dimensional
!         channel, by G.C. Layek and C. Midya, Communications in non-linear
!         Science and Numerical Simulation 12, 2007, pp. 745-759
!
!         This main program is necessary in order to provide a function funccv
!         which defines the parameter curve

      call startsepcomp
      end


      subroutine funccv ( icurve, t, x, y, z )

!     --- Function subroutine to define the upper wall in the nozzle

      use sepmoduleconsts
      implicit none
      integer icurve
      double precision t, x, y, z
      double precision x0, h
      save x0, h
      double precision getconst

      integer ifirst
      data ifirst /0/

!     --- alpha and beta are provided as real constants in the input file
!         x is equal to the parameter t

      if ( ifirst==0 ) then

!     --- Get the parameters x0 and h in the first call
!         They are saved for the next calls

         x0 = getconst('x0')
         h  = getconst('h')
         ifirst = 1           ! change ifirst to prevent reading the parameters
                              ! again

      end if  ! ( ifirst==0 )

      x = t

      if ( abs(t)>x0 ) then
         y = 1d0
      else
         y = 1d0 - 0.5d0*h*(1d0+cos(pi*t/x0))
      end if  ! ( abs(t)>x0 )

      end
