      program timedcop_03

!     --- Main program for for the solution of a coupled set of time-dependent
!         equations as described in the Users Manual Section 6-4-3
!         In this case a time loop in the structure block is used
!         The boundary conditions are stored in a separate vector
!         This program is only necessary since function subroutines must be
!         provided to define the time and space dependent  coefficients
!         boundary conditions, initial condition and exact solution

      call startsepcomp
      end

! *******************************************************************
!
!    function func for the initial condition and the exact solution
!    Is also used for the boundary conditions
!
! *******************************************************************
      function func ( ichoice, x, y, z )
      use sepmoduletime
      implicit none
      double precision func, x, y, z
      integer ichoice

      if ( ichoice==1 ) then

!     --- ichoice = 1, initial condition or exact solution for p

         func = t * x

      else if ( ichoice==2 ) then

!     --- ichoice = 2, initial condition or exact solution for T

         func = 3d0 * t * x

      else if ( ichoice==3 ) then

!     --- ichoice = 3, boundary conditions for p

         func = t * x

      else if ( ichoice==4 ) then

!     --- ichoice = 4, boundary conditions for T

         func = 3d0 * t * x

      end if

      end
! *******************************************************************
!
!    function funccf for the coefficients
!
! *******************************************************************
      function funccf ( ichoice, x, y, z )
      use sepmoduletime
      implicit none
      double precision funccf, x, y, z
      integer ichoice

      if ( ichoice==3 ) then
         funccf = x + 3d0 * ( t * x ) ** 2
      else if ( ichoice==4 ) then
         funccf = 3d0 * x + 3d0 * ( t * x ) ** 2
      end if

      end
      subroutine userout ( kmesh, kprob, isol, isequence, numvec )
      use sepmoduletime
      implicit none
      integer kmesh(*), kprob(*), numvec, isol(5,*), isequence(*)
      t = t-tstep
      end
