      subroutine clunix ( )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 24-10-2005 Adaptation for parallel
!        version  1.0  date 20-01-2004
!
!   copyright (c) 2004-2005  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Machine dependent closing of sepran
!     Moves files from temp directory to local dir.
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulemach
      use sepmodulecpack
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
!uni      character (len=19) namedir
!uni      character (len=100) string

!     namedir        Name of temp dir
!     string         String to store a character string
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
      integer system

!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     SYSTEM         Performs system calls
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!uni      call eropen ( 'clunix' )
!uni      debug = .false.
!uni      if ( debug ) then
!uni
!uni!     --- Debug information
!uni
!uni         write(6,*) 'Debug information from clunix'
!uni
!uni      end if
!uni      if ( debug ) write(6,*) 'name10: ', name10(1:4)
!uni
!uni      if ( name10(1:4).eq.'/tmp' ) then
!uni
!uni!     --- File 1 starts with /tmp, i.e. everything has been written
!uni!         to a subdir /tmp
!uni!         Copy all files that are different from this subdir to the local
!uni!         directory and remove temp dir
!uni
!uni         namedir = name10(1:19)
!uni         if ( parallel ) then
!uni            string = 'rsync -a '//namedir//'/sepcomp_par* .'
!uni         else
!uni            string = 'rsync -a '//namedir//'/ .'
!uni         end if   ! ( parallel ) then
!uni         if ( debug ) write(6,*) string
!uni         ierror = system ( string )
!uni         string = 'rm -rf '//namedir
!uni         if ( debug ) write(6,*) string
!uni         ierror = system ( string )
!uni
!uni      end if
!uni
!uni      if ( debug ) then
!uni
!uni!     --- Debug information
!uni
!uni         write(irefwr,*) 'End clunix'
!uni
!uni      end if
!uni      call erclos ( 'clunix' )

      end
