/* Routine to get a string out of the environment belonging to a name
   This name is passed back in a FORTRAN character variable

   Module:      getnam
   Author:      Eef Hartman
   Version:     2.1
   Last change: 90/07/23
   Compiled:    90/07/23 14:55:08

   Called by:
	CHARACTER NAME*n, CHARST*n
	CALL GETNAM(NAMSTR,VALSTR,VALLEN)
   NAMSTR is a C-like string with the name of a environment variable,
   terminated with \0.
   VALSTR is a CHARACTER*n string to receive the string and should
   be declared long enough for every possible value.
   Both are passed BY reference (C-calling convention).
   VALLEN is the declared (or maximum) length of the VALSTR argument

   The information comes out of the _real_ environment,
   no csh's local variables */

extern char *getenv();
static char SCCSid[] = "@(#)getnam	2.1";

#ifdef UNDERSCORE
   void getnam_ (name_ptr,value_ptr,value_len)
#else
#ifdef CRAY
   void GETNAM (name_ptr,value_ptr,value_len)
#else
   void getnam (name_ptr,value_ptr,value_len)
#endif
#endif
char *name_ptr, *value_ptr;
int value_len;
{ char *envvalue;
  int l;

  envvalue = getenv (name_ptr);
  l = 0;
  while (l < value_len && *(envvalue + l))
  { *(value_ptr + l) = *(envvalue + l);
    l++; }
  while (l < value_len) *(value_ptr + l++) = ' ';
  return; }
