      subroutine inimatlab
! ======================================================================
!
!        programmer  Dragan Vidovic
!        version  1.0  date 14-03-2002
!
!   copyright (c) 1996-2001  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Opens Matlab engine
! **********************************************************************
!
!                       KEYWORDS
!
!     matlab
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulematlab
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      logical matpresent
!
!     matpresent     Indicates wether matlab is present on the machine
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
      integer engOpen

!     ENGOPEN        Function from MATLAB communication library. See
!                    MATLAB External Interfaces/API manual.
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     ERRCHR         Put character in error message
!     ERRSUB         Error messages
!     INSTOP         Stop the program
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    2725   MATLAB function returned an error
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'inimatlab' )

      if (usematlab.eq.1) then

         matpresent = .false.
!matlab         matpresent = .true.

         if ( .not. matpresent ) then
            call errchr ( 'engOpen', 1 )
            call errsub ( 2728, 0, 0, 1 )
            call instop
         end if

!     --- Start MATLAB engine

!matlab         matlabeng = engOpen('matlab ')

         if (matlabeng.eq.0) then
            call errchr ( 'engOpen', 1 )
            call errsub ( 2725, 0, 0, 1 )
            call instop
         end if

      end if

      call erclos ( 'inimatlab' )

      end


