      subroutine inimpi
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 06-09-2014 Use mpistart
!        version  1.0  date 20-06-2001
!
!   copyright (c) 2001-2014  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Join parallel application.
!     Initialize the common cparallel
! **********************************************************************
!
!                       KEYWORDS
!
!     initializations
!     parallel
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecpack
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer ierr
!mpist      include 'mpif.h'
      character (len=14) name

!     ierr           Return code of an MPI subroutine
!     name           String to store a name
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     MPI_COMM_RANK    Get rank of process in MPI communication context
!     MPI_COMM_SIZE    Get number of processes in MPI communication context
!     MPI_INIT         Enroll in MPI
!     MPI_IRECV        Nonblocking receive operation
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    2259   MPI error
! **********************************************************************
!
!                       PSEUDO CODE
!
!     Initialize common cparallel
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'inimpi' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from inimpi'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000
      
      if ( .not. mpistart ) then
      
!     --- First time mpi is Initialized
!         Enroll in MPI computation, i.e. start mpi

!mpist         call MPI_Init ( ierr )
!mpist         if ( ierr.ne.MPI_SUCCESS ) then

!            --- an error occurred:

!mpist            call errint ( inodenr, 1 )
!mpist            call errsub ( 2259, 1, 0, 0 )
!mpist            call instop
            
!mpist         end if
         mpistart = .true.
         
      end if  ! ( .not. mpistart )

!     --- Initialize cparallel
!         First get node number inodenr

!mpist      call MPI_COMM_RANK ( MPI_COMM_WORLD, inodenr, ierr )
!mpist      if ( ierr.ne.MPI_SUCCESS ) then

!     --- an error occurred:

!mpist         call errint ( inodenr, 1 )
!mpist         call errsub ( 2259, 1, 0, 0 )
!mpist         call instop

!mpist      end if

!     --- Raise node number to start with 1 in order to be consistent with
!         SEPRAN

!mpist      inodenr = inodenr+1

!     --- Fill actual number of nodes

!mpist      call MPI_COMM_SIZE ( MPI_COMM_WORLD, iacnodes, ierr )
!mpist      if ( ierr.ne.MPI_SUCCESS ) then

!     --- an error occurred:

!mpist         call errint ( inodenr, 1 )
!mpist         call errsub ( 2259, 1, 0, 0 )
!mpist         call instop

!mpist      end if

!     --- define MPI types for communications

!mpist      SPINT = MPI_INTEGER
!mpist      SPCHAR = MPI_CHARACTER
!mpist      SPDOUBLE = MPI_DOUBLE_PRECISION
!mpist      SP_ANY = MPI_ANY_SOURCE

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End inimpi'

      end if  ! ( debug )
      call erclos ( 'inimpi' )

      end subroutine inimpi
