      subroutine prparglmax ( iinptr, ioutptr, icount, itype )
! ======================================================================
!
!        programmer    Kees Vuik
!        version  1.0  date 14-03-2002
!
!   copyright (c) 2001-2001  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
!
! **********************************************************************
!
!                       DESCRIPTION
!
!     This function performs a global max of a quantitity or vector across
!     all processes
! **********************************************************************
!
!                       KEYWORDS
!
!     parallel
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecpack
      implicit none

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iinptr, ioutptr, icount, itype

!     icount   i    the length of array to be sent
!     iinptr   i    pointer to first element of array to be sent
!     ioutptr  i    pointer to first element of array to be received
!     itype    i    MPI datatype
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
!mpi      include 'mpif.h'
      integer ierr

!     ierr      error status of an MPI call ( .eq.MPI_SUCCESS if ok)
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS          Resets old name of previous subroutine of higher level
!     EROPEN          Produces concatenated name of local subroutine
!     ERRINT          Put integer value in error message file
!     ERRSUB          Error message subroutine
!     MPI_ALLREDUCE   Perform a collective communication
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    1750   MPI error
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prparglmax' )

!mpi      call MPI_ALLREDUCE ( iinptr, ioutptr, icount, itype, &
!mpi                           MPI_MAX, MPI_COMM_WORLD, ierr)
!mpi      if ( ierr.ne.MPI_SUCCESS ) then
!mpi         call errint ( ierr, 1 )
!mpi         call errsub ( 1750, 1, 0, 0 )
!mpi     end if

      call erclos ( 'prparglmax' )
      end
