      subroutine stunix1 ( namedir )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.3  date 26-11-2005 Extension with some files
!        version  1.2  date 26-10-2005 Extension for parallel computations
!        version  1.1  date 02-07-2004 Do not outcomment namedir declaration
!        version  1.0  date 20-01-2004
!
!   copyright (c) 2004-2005  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     STUNIX1 is a machine-dependent subroutine that is used to do
!     some system calls
!     This version is meant for unix
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecpack
      use sepmodulemach
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      character (len=19) namedir

!     namedir        Name of temp dir
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
!uni      character (len=100) string
!uni      integer length, ierror
!uni      logical check

!     check          Indicates if the file exist (true) or not
!     ierror         Error return for system
!     length         Help parameter to indicate the length of arrays
!     string         Word to be analyzed
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!uni      integer system

!     SYSTEM         System calls
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- Check if file meshoutput already exists in local directory

!uni      length = index ( name10, ' ' ) -1
!uni      inquire ( file=name10(21:length), exist=check )
!uni      if ( check ) then
!uni
!uni!     --- File exists, copy all files starting with name name10 to tmp dir
!uni
!uni         if ( parallel ) then
!uni
!uni!        --- Parallel case, copy also the files 000 and ...node
!uni
!uni            string = 'cp '// name10(21:length) // '_par.000 ' // namedir
!uni            ierror = system ( string )
!uni            write(string(length-11:length-9),100) inodenr
!uni100         format(i3.3)
!uni            ierror = system ( string )
!uni            string = 'cp ' // name10(21:length) // '* ' // namedir
!uni            ierror = system ( string )
!uni
!uni         else
!uni
!uni!        --- Not parallel, copy the files meshoutput
!uni
!uni            string = 'cp ' // name10(21:length) // '* ' // namedir
!uni            ierror = system ( string )
!uni
!uni         end if  ! ( parallel )
!uni
!uni      end if
!uni
!uni      length = index ( name74, ' ' ) -1
!uni
!uni!     --- Check if file sepcomp_par.001 exists
!uni
!uni      inquire ( file=name74(21:length-4)//'_par.001', exist=check )
!uni      if ( check ) then
!uni
!uni!     --- File exists, copy all files starting with name name74 to tmp dir
!uni
!uni         string = 'cp '//name74(21:length-4)//'* '//namedir
!uni         ierror = system ( string )
!uni
!uni      else
!uni
!uni!     --- not parallel, file sepcomp.out
!uni
!uni         inquire ( file=name74(21:length), exist=check )
!uni         if ( check ) then
!uni
!uni!        --- File exists, copy all files starting with name name74 to tmp dir
!uni
!uni            string = 'cp '//name74(21:length)//'* '//namedir
!uni            ierror = system ( string )
!uni         end if  ! ( check )
!uni
!uni      end if
!uni
!uni      length = index ( nameout2, ' ' ) -1
!uni      inquire ( file=nameout2(21:length), exist=check )
!uni      if ( check ) then
!uni
!uni!     --- File exists, copy all files starting with name nameout2 to tmp dir
!uni
!uni         if ( .not. parallel ) then
!uni
!uni!        --- Not parallel, copy the file sepcomp.out
!uni
!uni            string = 'cp '//nameout2(21:length)//'* '//namedir
!uni            ierror = system ( string )
!uni
!uni         end if
!uni
!uni      end if
!uni
!uni      inquire ( file=name74(21:length-4)//'_par.001', exist=check )
!uni      if ( check ) then
!uni
!uni!     --- File exists, copy all files starting with name name74 to tmp dir
!uni
!uni         if ( .not. parallel ) then
!uni
!uni!        --- Not parallel, copy the file sepcomp.out
!uni
!uni            string = 'cp '//name74(21:length-4)//'* '//namedir
!uni            ierror = system ( string )
!uni
!uni         end if
!uni
!uni      end if

      end
