
#include <X11/Xlib.h> /* XImage */

#define TRUE          1
#define FALSE         0
#define MAXFILENAME 256
#define MAXCOMMAND  256
#define MAXNAME      32
#define MINPOLY       3
#define MAXPOLY     256
#define X_OUTPUT      1
#define PS_OUTPUT     2
#define HPGL_OUTPUT   3
#define FIG_OUTPUT    4

/* FIG_OUTPUT added by Sander Gielen */

typedef struct window_t
{
   /* Do NOT change order of parameters; clip needs this order! */
   /* Only if your programming style is less than horrible !!! (KL) */
   double xmin, ymin, xmax, ymax, width, height, ratio;
} window_t;

typedef struct filnam_t
{
    char basedir[MAXFILENAME];
    char name[MAXNAME];
    char outname[MAXNAME]; /* added by KL */
    int  version, new;
} filnam_t;

typedef struct string_t
{
    char *str;
    int  length, alloc;
} string_t;


/* ANSI headers : added by KL */

/* sepview.c */

void showColorfile(char *name);
void errorMessage(char *message);
void infoMessage(char *message);
void sepplot(void);
void zoom_status(int s);
void color_status(int s);

/* plotfun.c : */

void clear_colors(void);
int  init(window_t *,filnam_t *,int );
void color(int iclr);
void line(double x1, double y1, double x2, double y2);
void text(double xin, double yin, double height, double  ang,char *strin);
void polyfill(double x[], double y[], int npoints);
void polyline(double x[], double y[], int npoints);
void symbol(double x, double y, int symb);
void pl_finish();

/* x_plotfun.c : */

int  x_init(window_t *,int flag);
void x_color(int iclr);
void x_line(double x1, double y1, double x2, double y2);
void x_text(double xin, double yin, double height, double  ang,char *strin);
void x_polyfill(double x[], double y[], int npoints);
void x_polyline(double x[], double y[], int npoints);
void x_symbol(double x, double y, int symb);
void x_finish();

void add_color(int color);
int  read_colortable(char *colfile);
void redraw(int x, int y, int width, int height);
void New_Colortable(char * cfn,char flag);
void ImgFreeImage(XImage *theImg);
void ImgPickPalette(int *Ncol, int *R, int *G, int *B);

/* ps_plotfun.c */

int  ps_init(window_t *,filnam_t *);
void ps_color(int iclr);
void ps_line(double x1, double y1, double x2, double y2);
void ps_text(double xin, double yin, double height, double  ang,char *strin);
void ps_polyfill(double x[], double y[], int npoints);
void ps_polyline(double x[], double y[], int npoints);
void ps_symbol(double x, double y, int symb);
void ps_finish();

/* hpgl_plotfun.c */

int  hpgl_init(window_t *,filnam_t *);
void hpgl_color(int iclr);
void hpgl_line(double x1, double y1, double x2, double y2);
void hpgl_text(double xin, double yin, double height, double  ang,char *strin);
void hpgl_polyfill(double x[], double y[], int npoints);
void hpgl_polyline(double x[], double y[], int npoints);
void hpgl_symbol(double x, double y, int symb);
void hpgl_finish();

/* fig_plotfun.c */

int  fig_init(window_t *,filnam_t *);
void fig_color(int iclr);
void fig_line(double x1, double y1, double x2, double y2);
void fig_text(double xin, double yin, double height, double  ang,char *strin);
void fig_polyfill(double x[], double y[], int npoints);
void fig_polyline(double x[], double y[], int npoints);
void fig_symbol(double x, double y, int symb);
void fig_finish();


/* GIF_plot.c */

int GIF_init(filnam_t *);
long GIFencode(int  Width,int  Height,int Ncol,
	       int R[],int  G[], int B[], int ScLine[], XImage * Image);
void GIF_finish();

/* clip.c */

int clip_polygon(double polygon_x[],double polygon_y[],
		 int *polygon_p,window_t *usr);
int clip_line(double *x1,double *y1,double *x2,
	      double *y2, window_t *usr);

/* symbol.c */

void line_text(double x,double y,double height,
	       double angle,unsigned char *string);
void line_symbol(double x,double y,int num);


/* getcolor.c */

int getcolor(int num,int *red, int *green, int *blue);

