      subroutine fil103 ( iproblc, ielgrp, iuser, user, &
                          kproblc, nlparm, iwork, work, kmeshlc )
      use sepmodulekmesh
      use sepmodulemain
      use sepmodulenparm
      use sepmodulekprob
      implicit none
      integer iproblc, ielgrp, iuser(*), kproblc, nlparm, kmeshlc, &
              iwork(4,nlparm)
      double precision user(*), work(nlparm)
      integer k, i, icount, nelgrptot, &
              jcount, mcount, ifunc, iref, ih, kcount, itype
      double precision func
      call eropen ( 'fil103' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from fil103'
         call prinin1 ( iwork, nlparm, 4, 'iwork' )
  1      format ( a, 1x, (10i10) )

      end if
      if ( ierror/=0 ) go to 1000

      kmesh = kmeshlc
      call sepfillkmesh(kmesh)
      kprob2d(1) = kproblc
      kprob => kprob2d(1)
      iprob = iproblc
      iseqkp = kprob
      kprobpart => kp(iseqkp)%kprobsub(iprob)
      kprobloc => kprobpart%kprobloc

      kprobc => kprobpart%kprobc

      if ( ielgrp<=0 .or. ielgrp>kprobloc(8) ) then
         call errint ( ielgrp, 1 )
         call errint ( kprobloc(8), 2 )
         call errsub ( 415, 2, 0, 0 )
      end if
      if ( ierror/=0 ) go to 1000

!     --- Set some constants

      inelem = Topgrp(ielgrp)%inelem
      if ( ielgrp==1 .or. iuser(2)<=0 ) then

!     --- ielgrp  =  1

        nelgrptot = kprobloc(8)+kprobloc(12)
        if ( kprobloc(11)>0 ) &
           nelgrptot = nelgrptot+kprobloc(kprobloc(11))
        icount = 5+nelgrptot
        jcount = 5

      else

!     --- ielgrp>1

        icount = iuser(4)
        jcount = nint(user(4))

      end if

!     --- Store value of icount into mcount

      mcount = icount

!     --- fill arrays iuser and user

      iuser(ielgrp+5) = icount+1

      do i = 1, nlparm
         ifunc = iwork(1,i)
         if ( debug ) write(irefwr,1) 'ifunc', ifunc
         if ( ifunc>=0 .and. ifunc<=2000 .or. abs(ifunc)>10000 ) then

!        --- Standard situation
!            ifunc>10000: scalar
!            ifunc<-10000: func = scalar

            func = work(i)
            call elf000 ( icount, jcount, ifunc, func, i, iuser, user )
            if ( jcount==2001 .or. jcount==2002 ) jcount = 2010

         else if ( ifunc==2001 ) then

!        --- ifunc  =  2001   read npoint function values from file iref

            icount = icount+1
            iuser(icount) = 2001
            icount = icount+1
            iuser(icount) = jcount+1
            call prinlg( 'user', -jcount-npoint, user, iuser )
            iref = iwork(2,i)
            if ( iref>0  ) then

!           --- iref>0  Read from file iref

               read(iref, *) (user(jcount+k), k = 1, npoint)

            else if ( iref<0 ) then

!           --- iref<0  Call subroutine funcfl

               call funcfl ( coor, npoint, -iref, user(jcount+1) )

            end if
            jcount = jcount+npoint
            if ( jcount==2001 .or. jcount==2002 ) jcount = 2010

         else if ( ifunc==2002 ) then

!        --- ifunc  =  2002   read inelem function values from file iref

            icount = icount+1
            iuser(icount) = 2002
            icount = icount+1
            iuser(icount) = jcount+1
            call prinlg ( 'user', -jcount-inelem, user, iuser )
            iref = iwork(2,i)
            if ( iref<0 ) then
               call errint ( iref, 1 )
               call errint ( ielgrp, 2 )
               call errint ( i, 3 )
               call errint ( iwork(1,i), 4 )
               call errint ( iwork(2,i), 5 )
               call errint ( iwork(3,i), 6 )
               call errint ( iwork(4,i), 7 )
               call errsub ( 571, 7, 0, 0 )
            end if
            if ( iref>0 ) read(iref,*) (user(jcount+k), k = 1, inelem)
            jcount = jcount+inelem
            if ( jcount==2001 .or. jcount==2002) jcount = 2010

         else if ( ifunc==2003 ) then

!        --- ifunc = 2003   Old vectors are used

            icount = icount+1
            iuser(icount) = ifunc
            iuser(icount+1) = iwork(2,i)
            iuser(icount+2) = iwork(3,i)
            icount = icount+2

         else if ( ifunc==2004 ) then

!        --- ifunc = 2004   Old vectors are used mulitplied by a function or
!                           constant

            icount = icount+1
            iuser(icount) = ifunc
            iuser(icount+1) = iwork(2,i)
            iuser(icount+2) = iwork(3,i)
            icount = icount+2
            call elf000 ( icount, jcount, iwork(4,i), work(i), &
                          i, iuser, user )

         else if ( ifunc<0 .and. ifunc>-i ) then

!        --- ifunc<0 and ifunc>-i  Coefficient  i is identical to
!                                      coefficient -iwork(1,i)

            kcount = mcount
            do k = 1, -ifunc
               ih = iwork(1,k)
               if ( ih>=0 .and. ih<=2000 .or. abs(ih)>10000 ) then
                  kcount = kcount+1
               else if ( ih>=2001 .and. ih<=2002 ) then
                  kcount = kcount+2
               else
                  kcount = kcount+3
               end if
               if ( debug ) &
                  write(irefwr,1) 'k, ih, kcount', &
                                   k, ih, kcount
            end do
            if ( ih>=0 .and. ih<=2000 .or. abs(ih)>10000 ) then
               icount = icount+1
               iuser(icount) = iuser(kcount)
            else if ( ih<=2002 ) then
               icount = icount+2
               iuser(icount-1) = ih
               iuser(icount) = iuser(kcount)
            else if ( ih==2003 ) then
               icount = icount + 3
               iuser(icount-2) = ih
               iuser(icount-1) = iuser(kcount-1)
               iuser(icount  ) = iuser(kcount)
            else
               icount = icount + 4
               iuser(icount-2) = ih
               iuser(icount-1) = iuser(kcount-1)
               iuser(icount  ) = iuser(kcount)
            end if
            do k = 1, 4
               iwork(k,i) = iwork(k,-ifunc)
            end do

         else

!        --- ifunc has wrong value

            call errint ( ifunc, 1 )
            call errint ( ielgrp, 2 )
            call errint ( i, 3 )
            call errint ( iwork(1,i), 4 )
            call errint ( iwork(2,i), 5 )
            call errint ( iwork(3,i), 6 )
            call errint ( iwork(4,i), 7 )
            call errsub ( 536, 7, 0, 0 )

         end if

      end do

      itype = kprobc(ielgrp) ! type number corresponding to ielgrp
      if ( itype>99 ) then
         do i = nlparm+1, nparmarr(itype)    ! fill rest of coefficients
            icount = icount+1
            iuser(icount) = 0
         end do  ! i = nlparm+1, nparmarr(itype)
      end if  ! ( itype>99 )
      iuser(4) = icount
      user(4)  = jcount
      iuser(2) = ielgrp
      call prinlg ( 'iuser', icount+1, user, iuser )
      call prinlg ( 'user', -jcount-1, user, iuser )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End fil103'

      end if
      call erclos ( 'fil103' )

      end subroutine fil103
