      subroutine eldervsubr ( ndim, npelm, x, nunk_pel, elem_vec,  &
                              elem_weight, uold, itype, icheld )
! ======================================================================
!
!        programmer     Guus Segal
!        version 1.0    date 15-10-2004
!
!
!   copyright (c) 2004-2004  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!      User element subroutine to compute derivatives to be used by SEPRAN
!      This is the special version for
!      the Numerical Analysis Lab of Delft University of Technology
! **********************************************************************
!
!                       KEYWORDS
!
!    derivatives
!    vector
!    element
! **********************************************************************
!
!                       MODULES USED
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      implicit none
      integer ndim, npelm, nunk_pel, itype, icheld
      double precision x(npelm,ndim), uold(nunk_pel),   &
                       elem_vec(nunk_pel), elem_weight(nunk_pel)

!     elem_vec    o   In this array the student must store the element vector,
!                     in the following way:
!                     elem_vec(i) = f_i; i = 1(1)nunk_pel
!                     It concerns the derived quantity that must be computed
!     elem_weight o   In this array the student must store the element weight
!                     vector, in the following way:
!                     elem_weight(i) = w_i ; i = 1(1)nunk_pel
!                     This weight vector is used for averaging purposes.
!     icheld      i   Choice parameter to distinguish between the various
!     itype       i   Type number of element.
!                     This parameter is defined in the input block PROBLEM
!     ndim        i   Dimension of the space.
!     npelm       i   Number of points per element
!     nunk_pel    i   number of degrees of freedom in the element
!     uold        i   In this array the solution from which the derived
!                     quantities must be computed, as indicated by Vi, is stored
!     x           i   Contains the coordinates of the nodes of the element using
!                     the local node numbering
!                     x(i,1) contains the x-coordinate of the i-th node in the
!                     element and x(i,2) the y-coordinate of this node
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
!      This part must be filled by the user
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!    The element vector and element weight vector
!    are filled by the user, depending on the parameters
!    itype and icheld
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- The next 3 statements must be removed and replaced by statements
!         to fill weights and derivatives into elem_vec

      call errchr ( 'eldervsubr', 1 )
      call errsub ( 349, 0, 0, 1 )
      call instop
      end
