      function elintsubr ( ndim, npelm, x, nunk_pel, uold, itype, icheli )
! ======================================================================
!
!        programmer     Guus Segal
!        version 1.0    date 15-10-2004
!
!
!   copyright (c) 2004-2004  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!      User element subroutine to compute integrals to be used by SEPRAN
!      This is the special version for
!      the Numerical Analysis Lab of Delft University of Technology
! **********************************************************************
!
!                       KEYWORDS
!
!    integral
!    element
! **********************************************************************
!
!                       MODULES USED
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      implicit none
      integer ndim, npelm, nunk_pel, itype, icheli
      double precision x(npelm,ndim), uold(nunk_pel), elintsubr

!     elintsubr   o   The user must give elintsubr the value of the integral
!                     over the element
!     icheli      i   Defines the type of integral to be computed
!     itype       i   Type number of element.
!                     This parameter is defined in the input block PROBLEM
!     ndim        i   Dimension of the space.
!     npelm       i   Number of points per element
!     nunk_pel    i   number of degrees of freedom in the element
!     uold        i   In this array the solution from which the derived
!                     quantities must be computed, as indicated by Vi, is stored
!     x           i   Contains the coordinates of the nodes of the element using
!                     the local node numbering
!                     x(i,1) contains the x-coordinate of the i-th node in the
!                     element and x(i,2) the y-coordinate of this node
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
!      This part must be filled by the user
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!    elintsubr gets the value of the integral over the element
!    depending on the parameters itype and icheli
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- The next 4 statements must be removed and replaced by statements
!         to compute the integral and to assign this value to elintsubr

      call errchr ( 'elintsubr', 1 )
      call errsub ( 349, 0, 0, 1 )
      call instop
      elintsubr = 0d0
      end
