      subroutine toordr ( kprobh, rhsd, nusol, work )
! ======================================================================
!
!        programmer     Guus Segal
!        version 1.0    date   01-01-1998
!
!
!   copyright (c) 1998-1998  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   Map array of solution type from the usual sequence, i.e. numbered per
!   nodal point to sequence defined by KPROBH
!   This is the sequence that corresponds to the matrices
!   Real version
! **********************************************************************
!
!                       KEYWORDS
!
!   map
! **********************************************************************
!
!                       MODULES USED
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      implicit none
      integer kprobh(*), nusol
      double precision work(*), rhsd(*)

!     kprobh     i    KPROB part h: contains the new numbering of the unknowns
!     nusol      i    Total number of unknowns
!     rhsd      i/o   Right-hand-side vector
!     work            Work array of length nusol
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i          Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      do i = 1, nusol
         work(kprobh(i)) = rhsd(i)
      end do
      do i = 1, nusol
         rhsd(i) = work(i)
      end do
      end
