      subroutine writb8 ( inum, ichois, numarr, namevc, iarray, iwork )
! ====================================================================== &
!
!        programmer    Niek Praagman
!        version  2.1  date 18-11-1991 Complete revision, new parameter list
!        version  2.0  date 17-02-1990 Insertion of PRINBF
!        version  1.0  date 03-10-1988
!
!   copyright (c) 1984-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   writb8 writes real user array to backing storage
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/cbuffrf90'

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      character * (*) namevc
      integer inum, ichois, numarr, iarray(*), iwork(*)

!    iarray    i   Real user array that must be written to the backing storage
!                  file
!    ichois    i   Length of user array
!    inum      i   Choice parameter at the input of subroutine WRITBS
!                  When INUM <= 0, ISOL is written on the next free positions
!                  of file 2. When INUM = -1, the subroutine prints a text, as
!                  described in the Programmer's Guide.
!                  When INUM > 0, ISOL is written on positions of a preceding
!                  written array, with array number INUM.
!    iwork         Work array of length NREC2 which is used as a buffer
!    namevc      i   Name of the array to be written to file 2.
!                  Character variable, is used for printing only
!    numarr    o   At output NUMARR gets the sequence number of ISOL in
!                  file 2.
!                  NUMARR must be a variable
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer ihelp(2), length

!     ihelp     Help array to store two positions from infor into the backing
!               storage in order to have the same files for old and new
!               versions of the backing storage subroutines
!     length    Total length of array to be written to backing storage
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS  Resets old name of previous subroutine of higher level
!     EROPEN  Produces concatenated name of local subroutine
!     WRIT00  writes array in buffered form to file 2
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ====================================================================== &
!
      call eropen ( 'writb8' )

!     --- Compute length of array

      length = 2 + ichois*intlen

      ihelp(1) = ichois
      ihelp(2) = 300
      call writ00 ( inum, numarr, namevc, ihelp, length, 1, 2, iwork )

      call writ00 ( inum, numarr, namevc, iarray, length, 3, &
                    ichois*intlen, iwork )

      call erclos ( 'writb8' )

      end
